﻿''' ---------------------------------------------
''' <summary>
''' 科歴情報マルチロウ用ヘッダー行
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN010C012

#Region "コンスタント"

	' 歴番号
	Friend Const CST_CH_HEADER_HISTORY_NO As String = "lbl001MEN010C012"
	' 病歴番号の表記
	Friend Const CST_CH_HEADER_BYOREKI_NO As String = "lbl002MEN010C012"
	' 医療費合計
	Friend Const CST_CH_HEADER_TOTAL_MED_COST As String = "lbl012MEN010C012"
	' 入院フラグ
	Friend Const CST_CH_HEADER_HSP_FLG As String = "lbl013MEN010C012"
	' 病名数
	Friend Const CST_CH_HEADER_DISEASE_COUNT As String = "lbl016MEN010C012"
	' がん登録
	Friend Const CST_CH_HEADER_CANCER As String = "lbl017MEN010C012"
	' カルテ
	Friend Const CST_CH_HEADER_RECORD_MNGSTATUS1_RNM As String = "lbl021MEN010C012"
	Friend Const CST_CH_HEADER_KEEPLCT_RNM As String = "lbl022MEN010C012"
	Friend Const CST_CH_HEADER_RECORD_RECEIPT_DT As String = "lbl023MEN010C012"
	Friend Const CST_CH_HEADER_LENDAIM_RNM As String = "lbl024MEN010C012"
	Friend Const CST_CH_HEADER_LCT_RNM As String = "lbl025MEN010C012"
	Friend Const CST_CH_HEADER_ISSUE_DT As String = "lbl026MEN010C012"
	' サマリ
	Friend Const CST_CH_HEADER_SUMMARY_MNGSTATUS1_RNM As String = "lbl027MEN010C012"
	Friend Const CST_CH_HEADER_SUMMARY_RECEIPT_DT As String = "lbl028MEN010C012"
	' 他１
	Friend Const CST_CH_HEADER_OTHER1_MNGSTATUS1_RNM As String = "lbl029MEN010C012"
	Friend Const CST_CH_HEADER_OTHER1_RECEIPT_DT As String = "lbl030MEN010C012"

#End Region

#Region "変数"

	' カルテ
	Friend Shared CST_CH_HEADER_RECORD As String() = {CST_CH_HEADER_RECORD_MNGSTATUS1_RNM, CST_CH_HEADER_KEEPLCT_RNM, CST_CH_HEADER_RECORD_RECEIPT_DT, CST_CH_HEADER_LENDAIM_RNM, CST_CH_HEADER_LCT_RNM, CST_CH_HEADER_ISSUE_DT}
	' サマリ
	Friend Shared CST_CH_HEADER_SUMMARY As String() = {CST_CH_HEADER_SUMMARY_MNGSTATUS1_RNM, CST_CH_HEADER_SUMMARY_RECEIPT_DT}
	' 他１
	Friend Shared CST_CH_HEADER_OTHER1 As String() = {CST_CH_HEADER_OTHER1_MNGSTATUS1_RNM, CST_CH_HEADER_OTHER1_RECEIPT_DT}

#End Region

End Class