﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 医療費明細一覧印刷　（Report）ＳＱＬクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMEN020R010

	Public Const itmHOST_NM As String = "HOST_NM"					'ホスト名
	Public Const itmPATIENT_NO As String = "PATIENT_NO"				'患者番号
	Public Const itmMED_COST_DATE As String = "MED_COST_DATE"		'日付
	Public Const itmSERIAL_NO As String = "SERIAL_NO"				'連番
	Public Const itmDEPT_CD As String = "DEPT_CD"					'診療科コード
	Public Const itmMNG_NO As String = "MNG_NO"						'管理番号
	Public Const itmMED_COST01 As String = "MED_COST01"				'医療費０１
	Public Const itmMED_COST02 As String = "MED_COST02"				'医療費０２
	Public Const itmMED_COST03 As String = "MED_COST03"				'医療費０３
	Public Const itmMED_COST04 As String = "MED_COST04"				'医療費０４
	Public Const itmMED_COST05 As String = "MED_COST05"				'医療費０５
	Public Const itmMED_COST06 As String = "MED_COST06"				'医療費０６
	Public Const itmMED_COST07 As String = "MED_COST07"				'医療費０７
	Public Const itmMED_COST08 As String = "MED_COST08"				'医療費０８
	Public Const itmMED_COST09 As String = "MED_COST09"				'医療費０９
	Public Const itmMED_COST10 As String = "MED_COST10"				'医療費１０
	Public Const itmMED_COST11 As String = "MED_COST11"				'医療費１１
	Public Const itmMED_COST12 As String = "MED_COST12"				'医療費１２
	Public Const itmMED_COST13 As String = "MED_COST13"				'医療費１３
	Public Const itmMED_COST14 As String = "MED_COST14"				'医療費１４
	Public Const itmMED_COST15 As String = "MED_COST15"				'医療費１５
	Public Const itmMED_COST16 As String = "MED_COST16"				'医療費１６
	Public Const itmMED_COST17 As String = "MED_COST17"				'医療費１７
	Public Const itmMED_COST18 As String = "MED_COST18"				'医療費１８
	Public Const itmMED_COST19 As String = "MED_COST19"				'医療費１９
	Public Const itmMED_COST20 As String = "MED_COST20"				'医療費２０
	Public Const itmMED_COST21 As String = "MED_COST21"				'医療費２１
	Public Const itmMED_COST22 As String = "MED_COST22"				'医療費２２
	Public Const itmMED_COST23 As String = "MED_COST23"				'医療費２３
	Public Const itmMED_COST24 As String = "MED_COST24"				'医療費２４
	Public Const itmMED_COST25 As String = "MED_COST25"				'医療費２５
	Public Const itmMED_COST26 As String = "MED_COST26"				'医療費２６
	Public Const itmMED_COST27 As String = "MED_COST27"				'医療費２７
	Public Const itmMED_COST28 As String = "MED_COST28"				'医療費２８
	Public Const itmMED_COST29 As String = "MED_COST29"				'医療費２９
	Public Const itmMED_COST30 As String = "MED_COST30"				'医療費３０
	Public Const itmMED_COST31 As String = "MED_COST31"				'医療費３１
	Public Const itmMED_COST32 As String = "MED_COST32"				'医療費３２
	Public Const itmMED_COST33 As String = "MED_COST33"				'医療費３３
	Public Const itmMED_COST34 As String = "MED_COST34"				'医療費３４
	Public Const itmMED_COST35 As String = "MED_COST35"				'医療費３５
	Public Const itmMED_COST36 As String = "MED_COST36"				'医療費３６
	Public Const itmMED_COST37 As String = "MED_COST37"				'医療費３７
	Public Const itmMED_COST38 As String = "MED_COST38"				'医療費３８
	Public Const itmMED_COST39 As String = "MED_COST39"				'医療費３９
	Public Const itmMED_COST40 As String = "MED_COST40"				'医療費４０
	Public Const itmMED_COST41 As String = "MED_COST41"				'医療費４１
	Public Const itmMED_COST42 As String = "MED_COST42"				'医療費４２
	Public Const itmMED_COST43 As String = "MED_COST43"				'医療費４３
	Public Const itmMED_COST44 As String = "MED_COST44"				'医療費４４
	Public Const itmMED_COST45 As String = "MED_COST45"				'医療費４５
	Public Const itmOTHER_DEPT_INFO As String = "OTHER_DEPT_INFO"	'対診科情報
	Public Const itmDATA_CAPTURE_DT As String = "DATA_CAPTURE_DT"	'データ取込日
	Public Const itmNEW_REG_DT As String = "NEW_REG_DT"				'新規登録日
	Public Const itmLASTUPDUSER_CD As String = "LASTUPDUSER_CD"		'更新者コード
	Public Const itmLASTUPD_DT As String = "LASTUPD_DT"				'最終更新日

	Public Const prmHOST_NM As String = "@HOST_NM"					'ホスト名
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"			'患者番号
	Public Const prmMED_COST_DATE As String = "@MED_COST_DATE"		'日付
	Public Const prmSERIAL_NO As String = "@SERIAL_NO"				'連番
	Public Const prmDEPT_CD As String = "@DEPT_CD"					'診療科コード
	Public Const prmMNG_NO As String = "@MNG_NO"					'管理番号
	Public Const prmMED_COST01 As String = "@MED_COST01"			'医療費０１
	Public Const prmMED_COST02 As String = "@MED_COST02"			'医療費０２
	Public Const prmMED_COST03 As String = "@MED_COST03"			'医療費０３
	Public Const prmMED_COST04 As String = "@MED_COST04"			'医療費０４
	Public Const prmMED_COST05 As String = "@MED_COST05"			'医療費０５
	Public Const prmMED_COST06 As String = "@MED_COST06"			'医療費０６
	Public Const prmMED_COST07 As String = "@MED_COST07"			'医療費０７
	Public Const prmMED_COST08 As String = "@MED_COST08"			'医療費０８
	Public Const prmMED_COST09 As String = "@MED_COST09"			'医療費０９
	Public Const prmMED_COST10 As String = "@MED_COST10"			'医療費１０
	Public Const prmMED_COST11 As String = "@MED_COST11"			'医療費１１
	Public Const prmMED_COST12 As String = "@MED_COST12"			'医療費１２
	Public Const prmMED_COST13 As String = "@MED_COST13"			'医療費１３
	Public Const prmMED_COST14 As String = "@MED_COST14"			'医療費１４
	Public Const prmMED_COST15 As String = "@MED_COST15"			'医療費１５
	Public Const prmMED_COST16 As String = "@MED_COST16"			'医療費１６
	Public Const prmMED_COST17 As String = "@MED_COST17"			'医療費１７
	Public Const prmMED_COST18 As String = "@MED_COST18"			'医療費１８
	Public Const prmMED_COST19 As String = "@MED_COST19"			'医療費１９
	Public Const prmMED_COST20 As String = "@MED_COST20"			'医療費２０
	Public Const prmMED_COST21 As String = "@MED_COST21"			'医療費２１
	Public Const prmMED_COST22 As String = "@MED_COST22"			'医療費２２
	Public Const prmMED_COST23 As String = "@MED_COST23"			'医療費２３
	Public Const prmMED_COST24 As String = "@MED_COST24"			'医療費２４
	Public Const prmMED_COST25 As String = "@MED_COST25"			'医療費２５
	Public Const prmMED_COST26 As String = "@MED_COST26"			'医療費２６
	Public Const prmMED_COST27 As String = "@MED_COST27"			'医療費２７
	Public Const prmMED_COST28 As String = "@MED_COST28"			'医療費２８
	Public Const prmMED_COST29 As String = "@MED_COST29"			'医療費２９
	Public Const prmMED_COST30 As String = "@MED_COST30"			'医療費３０
	Public Const prmMED_COST31 As String = "@MED_COST31"			'医療費３１
	Public Const prmMED_COST32 As String = "@MED_COST32"			'医療費３２
	Public Const prmMED_COST33 As String = "@MED_COST33"			'医療費３３
	Public Const prmMED_COST34 As String = "@MED_COST34"			'医療費３４
	Public Const prmMED_COST35 As String = "@MED_COST35"			'医療費３５
	Public Const prmMED_COST36 As String = "@MED_COST36"			'医療費３６
	Public Const prmMED_COST37 As String = "@MED_COST37"			'医療費３７
	Public Const prmMED_COST38 As String = "@MED_COST38"			'医療費３８
	Public Const prmMED_COST39 As String = "@MED_COST39"			'医療費３９
	Public Const prmMED_COST40 As String = "@MED_COST40"			'医療費４０
	Public Const prmMED_COST41 As String = "@MED_COST41"			'医療費４１
	Public Const prmMED_COST42 As String = "@MED_COST42"			'医療費４２
	Public Const prmMED_COST43 As String = "@MED_COST43"			'医療費４３
	Public Const prmMED_COST44 As String = "@MED_COST44"			'医療費４４
	Public Const prmMED_COST45 As String = "@MED_COST45"			'医療費４５
	Public Const prmOTHER_DEPT_INFO As String = "@OTHER_DEPT_INFO"	'対診科情報
	Public Const prmDATA_CAPTURE_DT As String = "@DATA_CAPTURE_DT"	'データ取込日
	Public Const prmNEW_REG_DT As String = "@NEW_REG_DT"			'新規登録日
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"	'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"			'最終更新日

	'追加
	Public Const sqlIns_MTW_MED_COST_DETAILS As String = _
	 "INSERT INTO MTW_MED_COST_DETAILS (" _
	  & " HOST_NM, PATIENT_NO, MED_COST_DATE, SERIAL_NO," _
	  & " DEPT_CD, MNG_NO," _
	  & " MED_COST01, MED_COST02, MED_COST03, MED_COST04, MED_COST05," _
	  & " MED_COST06, MED_COST07, MED_COST08, MED_COST09, MED_COST10," _
	  & " MED_COST11, MED_COST12, MED_COST13, MED_COST14, MED_COST15," _
	  & " MED_COST16, MED_COST17, MED_COST18, MED_COST19, MED_COST20," _
	  & " MED_COST21, MED_COST22, MED_COST23, MED_COST24, MED_COST25," _
	  & " MED_COST26, MED_COST27, MED_COST28, MED_COST29, MED_COST30," _
	  & " MED_COST31, MED_COST32, MED_COST33, MED_COST34, MED_COST35," _
	  & " MED_COST36, MED_COST37, MED_COST38, MED_COST39, MED_COST40," _
	  & " MED_COST41, MED_COST42, MED_COST43, MED_COST44, MED_COST45," _
	  & " OTHER_DEPT_INFO," _
	  & " DATA_CAPTURE_DT, NEW_REG_DT, LASTUPDUSER_CD, LASTUPD_DT" _
	  & ") VALUES (" _
	  & prmHOST_NM & "," & prmPATIENT_NO & "," & prmMED_COST_DATE & "," & prmSERIAL_NO & "," _
	  & prmDEPT_CD & "," & prmMNG_NO & "," _
	  & prmMED_COST01 & "," & prmMED_COST02 & "," & prmMED_COST03 & "," & prmMED_COST04 & "," & prmMED_COST05 & "," _
	  & prmMED_COST06 & "," & prmMED_COST07 & "," & prmMED_COST08 & "," & prmMED_COST09 & "," & prmMED_COST10 & "," _
	  & prmMED_COST11 & "," & prmMED_COST12 & "," & prmMED_COST13 & "," & prmMED_COST14 & "," & prmMED_COST15 & "," _
	  & prmMED_COST16 & "," & prmMED_COST17 & "," & prmMED_COST18 & "," & prmMED_COST19 & "," & prmMED_COST20 & "," _
	  & prmMED_COST21 & "," & prmMED_COST22 & "," & prmMED_COST23 & "," & prmMED_COST24 & "," & prmMED_COST25 & "," _
	  & prmMED_COST26 & "," & prmMED_COST27 & "," & prmMED_COST28 & "," & prmMED_COST29 & "," & prmMED_COST30 & "," _
	  & prmMED_COST31 & "," & prmMED_COST32 & "," & prmMED_COST33 & "," & prmMED_COST34 & "," & prmMED_COST35 & "," _
	  & prmMED_COST36 & "," & prmMED_COST37 & "," & prmMED_COST38 & "," & prmMED_COST39 & "," & prmMED_COST40 & "," _
	  & prmMED_COST41 & "," & prmMED_COST42 & "," & prmMED_COST43 & "," & prmMED_COST44 & "," & prmMED_COST45 & "," _
	  & prmOTHER_DEPT_INFO & "," _
	  & prmDATA_CAPTURE_DT & "," & prmNEW_REG_DT & "," & prmLASTUPDUSER_CD & "," & prmLASTUPD_DT & ")"

	'削除
	Public Const sqlDel_MTW_MED_COST_DETAILS As String = _
	 "DELETE FROM MTW_MED_COST_DETAILS WHERE HOST_NM = " & prmHOST_NM
End Class
