﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 手術情報・手術医師情報取得SQLクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class sqlMEN050F050

	Public Const prmPATIENT_NO As String = "@PATIENT_NO"			'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"	'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"						'科歴番号
	Public Const prmOPE_SERIAL_NO As String = "@OPE_SERIAL_NO"		'手術連番

	'手術情報取得用
	Public Const strSqlSelOpe As String = _
	"SELECT A.PATIENT_NO, A.HSP_HISTORY_NO, A.CH_NO, A.OPE_SERIAL_NO, A.OPE_DIV, A.OPE_NM, A.OPE_DT, A.OPE_TIME, A.OPE_REQUIRED_TIME," _
	& "  A.OPE_AGE, A.OPE_MONTH_AGE, A.OPE_DAY_AGE, A.ANESTHESIA_DIV1, A.ANESTHESIA_TIME, A.ANESTHESIA_DIV2, A.ASST_DIV1, A.ASST_DIV2," _
	& "  A.REMARKS1, A.REMARKS2, A.SPT_DISEASE_SERIAL_NO, A.ICD9CM_CD, A.L_GRP_CD, A.M_GRP_CD, A.DIGS3_GRP_CD, A.MNG_DIV, A.MNG_NO," _
	& "  A.OPE_COUNT_CD, A.OPE_PART_CD, A.END_DT, A.END_TIME, A.SPT_DISEASE_NM, A.SPT_DISEASE_ICD10_CD, A.SPT_DISEASE_OUTCOME_CD," _
	& "  A.SPT_DISEASE_MNG_DIV1, A.SPT_DISEASE_MNG_NO, A.SCORE_CD, A.AFTER_OPE_DAYS, A.AFTER_OPE_CMPC_CHK, A.HSP_OPE_CD," _
	& "  A.PRE_OPE_DAYS, A.PLAN_EMERGENCY_CD, A.ASA_PS_GRP_CD, A.TIME_OUT_FLG, A.BLEEDING_VOLUME, A.BLOOD_TRAN_VOLUME," _
	& "  A.DATA_CAPTURE_DT, A.NEW_REG_DT, A.LASTUPDUSER_CD, A.LASTUPD_DT, " _
	& "  B.OPE_DIV_NM, B.OPE_DIV_RNM, B.FIXED_CD, B.FIXED_CD2," _
	& "  C.ANESTHESIA_NM, C.ANESTHESIA_RNM" _
	& " FROM MTI_OPE AS A" _
	& " LEFT JOIN MTM_OPE_DIV AS B ON A.OPE_DIV = B.OPE_DIV_CD" _
	& " LEFT JOIN MTM_ANESTHESIA AS C ON A.ANESTHESIA_DIV1 = C.ANESTHESIA_CD" _
	& " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	& "   AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	& "   AND A.CH_NO = " & prmCH_NO _
	& "   AND A.OPE_SERIAL_NO <> " & prmOPE_SERIAL_NO _
	& " ORDER BY A.PATIENT_NO, A.HSP_HISTORY_NO, A.CH_NO, A.OPE_SERIAL_NO"

	'手術医師情報取得用
	Public Const strSqlSelOpeDoctor As String = _
	"SELECT A.PATIENT_NO, A.HSP_HISTORY_NO, A.CH_NO, A.OPE_SERIAL_NO, A.OPE_DOCTOR_SERIAL_NO, A.OPE_DOCTOR_DIV, A.DOCTOR_CD, A.LASTUPDUSER_CD, A.LASTUPD_DT," _
	& "  B.OPE_DOCTOR_DIV_NM, B.OPE_DOCTOR_DIV_RNM, B.FIXED_CD," _
	& "  C.STAFF_NM, C.STAFF_KNM, C.STAFFDIV_CD, C.STAFFOPK_CD, C.NONDSP_FLG, C.NONPRINT_FLG" _
	& " FROM MTI_OPE_DOCTOR AS A" _
	& " LEFT JOIN MTM_OPE_DOCTOR_DIV AS B ON A.OPE_DOCTOR_DIV = B.OPE_DOCTOR_DIV_CD" _
	& " LEFT JOIN XTM_STAFF AS C ON A.DOCTOR_CD = C.STAFF_CD" _
	& " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	& "   AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	& "   AND A.CH_NO = " & prmCH_NO _
	& "   AND A.OPE_SERIAL_NO <> " & prmOPE_SERIAL_NO _
	& " ORDER BY A.OPE_SERIAL_NO, A.OPE_DOCTOR_SERIAL_NO"

End Class
