﻿Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Drawing
'(A) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
Imports XCM
'(A) END V4-11007-000 003 20110809
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 継承元フォーム
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR000F010
'(A) STR V4-11007-000 008 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
#Region "コンスタント"

	Protected Const CST_RUNPROC_NAME As String = "RunProc"
	Protected Const CST_XCM020F010_CD As String = "XCM020F010"

#End Region
'(A) END V4-11007-000 008 20110809
#Region "変数"

	Private _Title As String = "処理名称"

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' タイトル（プロパティ）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/09/27 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True), _
	 Category("病歴大将"), _
	 DefaultValue("処理名称"), _
	 Description("ヘッダーのタイトルを設定します。")> _
	Public Property Title() As String
		Get
			Return _Title
		End Get
		Set(ByVal value As String)
			If value.Length = 0 Then
				value = "処理名称"
			End If
			_Title = value
			Me.lbl002MSR000F010.Text = _Title
			Me.lbl002MSR000F010.Invalidate()
			Me.pct003MSR000F010.Height = Me.lbl002MSR000F010.Height
			Me.pct003MSR000F010.Width = Me.lbl002MSR000F010.Width
			Me.pct003MSR000F010.Location = New Point(Me.lbl002MSR000F010.Location.X + 3, Me.lbl002MSR000F010.Location.Y + 3)
			Me.pct003MSR000F010.Invalidate()
		End Set
	End Property

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタン押下
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/09/27 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn004MSR000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004MSR000F010.Click
		log(XCM.clsSysMst.logLevel.NRM, "btn004MSR000F010_Click", "閉じるボタンクリックイベント START")
		Me.Cursor = Cursors.WaitCursor
		Try
			'画面処理終了
			Me.EndProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 実行ボタン押下
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/09/27 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ''' ---------------------------------------------
	Private Sub btn005MSR000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005MSR000F010.Click
		log(XCM.clsSysMst.logLevel.NRM, "btn004MSR000F010_Click", "実行ボタンクリックイベント START")
		Me.Cursor = Cursors.WaitCursor
		Try
			'実行処理
			Me.RunProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 画面開設中止
	''' </summary>
	''' <remarks>
	''' 2010/10/08 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub CancelProc()
		log(XCM.clsSysMst.logLevel.DBG, "CancelProc", "画面開設中止 START")
		Try
			If Me.Owner IsNot Nothing Then
				DirectCast(Me.Owner, XCM.frmBase).setCancelFlg(True)
			End If
		Catch ex As Exception
			Throw
		Finally
			'画面終了
			Me.EndProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 呼出元画面へ遷移
	''' </summary>
	''' <remarks>
	''' 2010/10/08 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub FormClosingProc(Optional ByVal repaint As Boolean = False)
		log(XCM.clsSysMst.logLevel.DBG, "FormClosingProc", "呼出元画面へ遷移 START")
		Dim frm As XCM.frmBase
		Try
			Me.setCloseFlg()
			If Me.Owner IsNot Nothing Then
				frm = Me.Owner
				frm.Select()
				frm.backForm(repaint)
			End If
		Catch ex As Exception
			Throw
		Finally
			frm = Nothing
		End Try
	End Sub

#End Region

#Region "オーバーライダブルメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 実行用　空メソッド
	''' </summary>
	''' <remarks>
	''' 2010/09/27 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub RunProc()
		'空メソッド(継承先にて処理記述
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを閉じる
	''' </summary>
	''' <remarks>
	''' 2010/09/27 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub EndProc()
		log(XCM.clsSysMst.logLevel.DBG, "EndProc", "フォームを閉じる START")
		Try
			Me.Close()
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライズメソッド"
'(A) STR V4-11007-000 028 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
	''' ---------------------------------------------
	''' <summary>
	''' 子画面処理後の処理 
	''' </summary>
	''' <param name="ret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2011/07/08 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ret As XCM.frmBase.Enum_FormReturn, de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "子画面処理後の処理 START")
		Try
			If de.Key IsNot Nothing Then
				Select Case de.Key.ToString
					Case CST_XCM020F010_CD
						If de.Value IsNot Nothing AndAlso de.Value.ToString = CST_RUNPROC_NAME Then
							Me.showMsg("I0006", "更新", Nothing)						'「更新が終了しました」
						End If
					Case Else
				End Select
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) END V4-11007-000 028 20110809
	''' ---------------------------------------------
	''' <summary>
	''' Ｆ７キー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/09/27 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F7KeyProc() As Boolean
		log(XCM.clsSysMst.logLevel.NRM, "F7KeyProc", "Ｆ７キー押下処理 START")
		Try
			Me.Cursor = Cursors.WaitCursor
			'入力チェックを確認
			If Me.ValidateChildren = False Then Return True
			Me.RunProc()
			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１２キー押下処理
	''' </summary>
	''' <remarks>
	''' 2010/09/27 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(XCM.clsSysMst.logLevel.NRM, "F12KeyProc", "Ｆ１２キー押下処理 START")
		Try
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			' 閉じる
			Me.EndProc()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class