﻿Imports XCM
Imports XSP
 ''' ---------------------------------------------
 ''' <summary>
 ''' 診療情報管理 検索 コントロール詳細３
 ''' </summary>
 ''' <remarks>
 ''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
 ''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
 ''' </remarks>
 ''' ---------------------------------------------
Public Class MSR010C040

#Region "変数"

	'治療処置
	Private ReadOnly CONTROLS_001 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk002MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_CARE_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb003MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb005MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk006MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_ICD9CM_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt007MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt009MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk010MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_SCORE_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt011MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt013MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk014MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_CARE_NM, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt015MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik016MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk017MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_MNG_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb018MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk020MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_MNG_NO, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("msk021MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNumeric) _
			, New clsMSRSearchInp.clsLinkControls("msk023MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNumeric) _
			}) _
		, New clsMSRSearchInp("chk024MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_L_GRP_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt025MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt027MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk028MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_M_GRP_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt029MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt031MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk032MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_HSP_OPE_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt033MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt035MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk036MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_CARE_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte037MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte039MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk040MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_ASST_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb041MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk043MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_REMARKS1, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt044MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik045MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb046MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk047MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_REMARKS2, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num048MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNumeric) _
			, New clsMSRSearchInp.clsLinkControls("num050MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNumeric) _
			}) _
		, New clsMSRSearchInp("chk051MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_CARE_LASTUPD_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte052MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte054MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk055MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_CARE_DATA_CAPTURE_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte056MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte058MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk059MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE, Nothing, sqlMSR000C010.itmC_CARE_NEW_REG_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte060MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte062MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
		})
	}

	'検査
	Private ReadOnly CONTROLS_002 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk064MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_TEST_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb065MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb067MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk068MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_ICD9CM_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt069MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt071MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk072MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_SCORE_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt073MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt075MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk076MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_TEST_NM, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt077MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik078MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk079MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_MNG_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb080MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk082MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_MNG_NO, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("msk083MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNumeric) _
			, New clsMSRSearchInp.clsLinkControls("msk085MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNumeric) _
			}) _
		, New clsMSRSearchInp("chk086MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_L_GRP_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt087MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt089MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk090MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_M_GRP_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt091MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt093MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk094MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_HSP_OPE_CD, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt095MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt097MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk098MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_TEST_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte099MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte101MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk102MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_ASST_DIV, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb103MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk105MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_REMARKS1, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt106MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik107MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb108MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk109MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_REMARKS2, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num110MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNumeric) _
			, New clsMSRSearchInp.clsLinkControls("num112MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNumeric) _
			}) _
		, New clsMSRSearchInp("chk113MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_LASTUPD_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte114MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte116MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk117MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_DATA_CAPTURE_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte118MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte120MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk121MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST, Nothing, sqlMSR000C010.itmT_NEW_REG_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte122MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte124MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
		})
	}

	'分娩
	Private ReadOnly CONTROLS_003 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk126MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CB_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte127MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte129MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk130MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CB_AGE, clsMSRSearch.CST_FNC_RANGE2, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num131MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num133MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM2, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num136MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num138MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO2, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk140MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_GESTATIONAL_WEEK_COUNT, clsMSRSearch.CST_FNC_RANGE2, clsMSRSearch.ENUM_RANGE2_TYPE.WEEK, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num141MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num143MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM2, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num146MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num148MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO2, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk150MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CB_REMARKS, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt151MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk152MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CB_DIV1, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb153MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk155MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CB_DIV2, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb156MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk158MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CB_DIV3, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb159MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk161MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CB_DIV4, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb162MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk164MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CHD_COUNT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num165MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num167MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk168MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CAESAREAN_OPE_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb169MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk171MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_PREMATURE_BIRTH, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb172MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk173MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_MISCARRIAGE, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb174MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk175MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CB_CHK1, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb176MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk177MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CB_CHK2, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb178MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk179MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CB_CHK3, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb180MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk181MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CB_LASTUPD_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte182MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte184MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk185MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CB_DATA_CAPTURE_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte186MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte188MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk189MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB, Nothing, sqlMSR000C010.itmC_CB_NEW_REG_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte190MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte192MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
		})
	}

	'分娩児
	Private ReadOnly CONTROLS_004 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk194MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_GENDER_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb195MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk197MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_CHD_CB_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte198MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte200MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk201MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_CHD_BLOODTYPE_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb202MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk204MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_CHD_RH_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb205MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk207MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_NEWBORN_NO, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt208MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("txt210MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk211MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_CHD_PATIENT_NO, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("msk212MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk213MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_NEWBORN_STATURE, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num214MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbNumeric) _
			, New clsMSRSearchInp.clsLinkControls("num216MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbNumeric) _
			}) _
		, New clsMSRSearchInp("chk217MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_NEWBORN_WEIGHT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num218MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num220MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk221MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_APGARSCORE_1MIN, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb222MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk224MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_APGARSCORE_5MIN, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb225MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk227MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_IMMATURE, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb228MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk229MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_DEFORMITY, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb230MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk231MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_STILLBIRTH, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb232MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk233MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_CHD_CB_CHK1, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb234MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk235MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_CHD_CB_CHK2, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb236MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk237MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_CHD_CB_CHK3, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb238MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk239MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_CHD_CB_CHK4, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb240MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk241MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_CHD_CB_CHK5, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb242MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk243MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_CB_PTN1, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb244MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk246MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_CB_PTN2, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb247MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk249MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_CB_PTN3, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb250MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk252MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_CB_PTN4, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb253MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk255MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_CHD_REMARKS, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt256MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik257MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("cmb258MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNOT, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk259MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, Nothing, sqlMSR000C010.itmC_CB_CHILD_LASTUPD_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte260MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte262MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
		})
	}

	'救命救急
	Private ReadOnly CONTROLS_005 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk264MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_IN_METHOD_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb265MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk267MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_ENTERING_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte268MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte270MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk271MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_ENTERING_AGE, clsMSRSearch.CST_FNC_RANGE2, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num272MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num274MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM2, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num277MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num279MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO2, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk281MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_ENTERING_DAY_AGE, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num282MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num284MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk285MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_OUT_METHOD_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb286MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk288MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_LEAVING_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte289MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte291MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk292MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_EMERGENCY_LEAVING_AGE, clsMSRSearch.CST_FNC_RANGE2, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num293MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num295MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM2, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num298MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num300MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO2, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk302MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_LEAVING_DAY_AGE, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num303MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num305MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk306MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_SEVERE_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb307MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk309MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_IN_ROOM_DAYS, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("num310MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbInt) _
			, New clsMSRSearchInp.clsLinkControls("num312MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbInt) _
			}) _
		, New clsMSRSearchInp("chk313MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY, Nothing, sqlMSR000C010.itmE_LASTUPD_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte314MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte316MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
		})
	}

	'クリニカルパス
	Private ReadOnly CONTROLS_006 As clsMSRSearchInp() = _
	{
		  New clsMSRSearchInp("chk318MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_PATH, Nothing, sqlMSR000C010.itmP_PATH_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb319MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk321MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_PATH, Nothing, sqlMSR000C010.itmP_START_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte322MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte324MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk325MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_PATH, Nothing, sqlMSR000C010.itmP_END_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte326MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte328MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk329MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_PATH, "指示医", sqlMSR000C010.itmP_DOCTOR_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb331MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk333MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_PATH, Nothing, sqlMSR000C010.itmP_VARIANCE_DAY, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte334MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte336MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
			}) _
		, New clsMSRSearchInp("chk337MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_PATH, Nothing, sqlMSR000C010.itmP_CHK_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb338MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk340MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_PATH, Nothing, sqlMSR000C010.itmP_TYPE_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb341MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk343MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_PATH, Nothing, sqlMSR000C010.itmP_REASON1_CD, clsMSRSearch.CST_FNC_NORMAL, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("cmb344MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk346MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_PATH, Nothing, sqlMSR000C010.itmP_REMARKS, clsMSRSearch.CST_FNC_LIKE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("txt347MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cNORMAL, clsDB.Enum_dbType.dbNVarChar) _
			, New clsMSRSearchInp.clsLinkControls("lik348MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cLIKE, clsDB.Enum_dbType.dbNVarChar) _
			}) _
		, New clsMSRSearchInp("chk349MSR010C040", clsMSRCOMMON.Enum_Tbl_CD.MTI_PATH, Nothing, sqlMSR000C010.itmP_LASTUPD_DT, clsMSRSearch.CST_FNC_RANGE, _
			New clsMSRSearchInp.clsLinkControls() { _
			  New clsMSRSearchInp.clsLinkControls("dte350MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cFROM, clsDB.Enum_dbType.dbDateTime) _
			, New clsMSRSearchInp.clsLinkControls("dte352MSR010C040", clsMSRSearch.ENUM_SQL_CTYPE.cTO, clsDB.Enum_dbType.dbDateTime) _
		})
	}

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' コントロールロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/99 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR010C040_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode = True Then Exit Sub
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "MSR010C040_Load", "コントロールロード START")
		Try

			'検索コントロールリストの追加
			Me.setSearchList(Me.CONTROLS_001)
			Me.setSearchList(Me.CONTROLS_002)
			Me.setSearchList(Me.CONTROLS_003)
			Me.setSearchList(Me.CONTROLS_004)
			Me.setSearchList(Me.CONTROLS_005)
			Me.setSearchList(Me.CONTROLS_006)

			'コンボボックスの設定
			Dim cliCmb As clsComboCom = New clsComboCom
			Dim dt As DataTable
			Try
				dt = clsConst.getNotMatch															'NOT
				Me.cmb005MSR010C040.DataSource = dt.Copy
				Me.cmb046MSR010C040.DataSource = dt.Copy
				Me.cmb067MSR010C040.DataSource = dt.Copy
				Me.cmb108MSR010C040.DataSource = dt.Copy
				Me.cmb258MSR010C040.DataSource = dt.Copy
				dt.Dispose() : dt = Nothing

				dt = clsConst.getOnYseNo(True)														'はい/いいえ
				Me.cmb172MSR010C040.DataSource = dt.Copy
				Me.cmb174MSR010C040.DataSource = dt.Copy
				Me.cmb176MSR010C040.DataSource = dt.Copy
				Me.cmb178MSR010C040.DataSource = dt.Copy
				Me.cmb180MSR010C040.DataSource = dt.Copy
				Me.cmb228MSR010C040.DataSource = dt.Copy
				Me.cmb230MSR010C040.DataSource = dt.Copy
				Me.cmb232MSR010C040.DataSource = dt.Copy
				Me.cmb234MSR010C040.DataSource = dt.Copy
				Me.cmb236MSR010C040.DataSource = dt.Copy
				Me.cmb238MSR010C040.DataSource = dt.Copy
				Me.cmb240MSR010C040.DataSource = dt.Copy
				Me.cmb242MSR010C040.DataSource = dt.Copy
				dt.Dispose() : dt = Nothing

				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CareDiv)				'治療処置区分
					Me.cmb003MSR010C040.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = Me.getManageMark															'管理記号
					Me.cmb018MSR010C040.DataSource = Me.getManageMark.Copy
					Me.cmb080MSR010C040.DataSource = Me.getManageMark.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CareAsstDiv)			'治療処置補助区分
					Me.cmb041MSR010C040.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_TestDiv)				'検査区分
					Me.cmb065MSR010C040.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_TestAsstDiv)			'検査補助区分
					Me.cmb103MSR010C040.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CaesareanOperation)	'帝王切開
					Me.cmb169MSR010C040.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CbDivCnt)			'分娩区分項目
					Using dt2 As DataTable = Me.getDatatable(db, sqlMSR010C040.selMTM_CB_DIV_ITM)	'分娩区分項目マスタを参照
						For Each row As DataRow In dt2.Rows
							Select Case row.Item(sqlMSRCOMMON.itmITEM_CD).ToString
								Case "1" : Me.setCustomCmb(row, dt, Me.chk152MSR010C040, Me.cmb153MSR010C040, Me.lbl154MSR010C040)
								Case "2" : Me.setCustomCmb(row, dt, Me.chk155MSR010C040, Me.cmb156MSR010C040, Me.lbl157MSR010C040)
								Case "7" : Me.setCustomCmb(row, dt, Me.chk158MSR010C040, Me.cmb159MSR010C040, Me.lbl160MSR010C040)
								Case "8" : Me.setCustomCmb(row, dt, Me.chk161MSR010C040, Me.cmb162MSR010C040, Me.lbl163MSR010C040)
							End Select
						Next
					End Using
					dt.Dispose() : dt = Nothing

					'DataSourceはclsConst.getOnYseNoにて設定済み
					Using dt2 As DataTable = Me.getDatatable(db, sqlMSR010C040.selMTM_CB_CHK_ITM)	'分娩チェック項目マスタを参照
						For Each row As DataRow In dt2.Rows
							Select Case row.Item(sqlMSRCOMMON.itmITEM_CD).ToString
								Case "11" : Me.setCustomCmb(row, Me.chk175MSR010C040, Me.cmb176MSR010C040)
								Case "12" : Me.setCustomCmb(row, Me.chk177MSR010C040, Me.cmb178MSR010C040)
								Case "13" : Me.setCustomCmb(row, Me.chk179MSR010C040, Me.cmb180MSR010C040)
							End Select
						Next
					End Using

'(M) STR V4-13004-000 004 20130207 ID)平井(分娩児性別に修正)
'					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_Gender)				'性別
					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CbGender)			'分娩児性別
'(M) END V4-13004-000 004 20130207
					Me.cmb195MSR010C040.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing


					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_BloodType)			'血液型
					Me.cmb202MSR010C040.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Rh)					'Ｒｈ
					Me.cmb205MSR010C040.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CbApgarscore)		'アプガー指数
					Me.cmb222MSR010C040.DataSource = dt.Copy
					Me.cmb225MSR010C040.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					'DataSourceはclsConst.getOnYseNoにて設定済み
					Using dt2 As DataTable = Me.getDatatable(db, sqlMSR010C040.selMTM_CB_CHK_ITM)	'分娩チェック項目マスタを参照
						For Each row As DataRow In dt2.Rows
							Select Case row.Item(sqlMSRCOMMON.itmITEM_CD).ToString
								Case "21" : Me.setCustomCmb(row, Me.chk233MSR010C040, Me.cmb234MSR010C040)
								Case "22" : Me.setCustomCmb(row, Me.chk235MSR010C040, Me.cmb236MSR010C040)
								Case "23" : Me.setCustomCmb(row, Me.chk237MSR010C040, Me.cmb238MSR010C040)
								Case "24" : Me.setCustomCmb(row, Me.chk239MSR010C040, Me.cmb240MSR010C040)
								Case "25" : Me.setCustomCmb(row, Me.chk241MSR010C040, Me.cmb242MSR010C040)
							End Select
						Next
					End Using

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CbDivCnt)			'分娩区分項目
					Using dt2 As DataTable = Me.getDatatable(db, sqlMSR010C040.selMTM_CB_DIV_ITM)	'分娩区分項目マスタを参照
						For Each row As DataRow In dt2.Rows
							Select Case row.Item(sqlMSRCOMMON.itmITEM_CD).ToString
								Case "3" : Me.setCustomCmb(row, dt, Me.chk243MSR010C040, Me.cmb244MSR010C040, Me.lbl245MSR010C040)
								Case "4" : Me.setCustomCmb(row, dt, Me.chk246MSR010C040, Me.cmb247MSR010C040, Me.lbl248MSR010C040)
								Case "5" : Me.setCustomCmb(row, dt, Me.chk249MSR010C040, Me.cmb250MSR010C040, Me.lbl251MSR010C040)
								Case "6" : Me.setCustomCmb(row, dt, Me.chk252MSR010C040, Me.cmb253MSR010C040, Me.lbl254MSR010C040)
							End Select
						Next
					End Using
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_EmergencyInMethod)	'入法
					Me.cmb265MSR010C040.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_EmergencyOutMethod)	'出法
					Me.cmb286MSR010C040.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_EmergencySevereDiv)	'重症区分
					Me.cmb307MSR010C040.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Path)				'パス
					Me.cmb319MSR010C040.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_StaffXOpk)			'医師
					Me.cmb331MSR010C040.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_VarianceChk)			'バリアンス有無
					Me.cmb338MSR010C040.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_VarianceType)		'バリアンス種類
					Me.cmb341MSR010C040.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

					dt = cliCmb.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_VarianceReason)		'理由
					Me.cmb344MSR010C040.DataSource = dt.Copy
					dt.Dispose() : dt = Nothing

				End Using
			Finally
				cliCmb = Nothing
				dt = Nothing
			End Try

			'コントロール初期化
			Me.setControl(Me, ENUM_SET_CONTROL.ENUM_LOAD)

		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 職員ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btnStaff_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn330MSR010C040.Click
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "btnStaff_Click", "職員ボタンクリック START")
		Try
			Select Case sender.name
				Case "btn330MSR010C040" : Me.StaffFormProc(Me.cmb331MSR010C040)
			End Select
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' テキストリーブ処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub txt_Leave(ByVal sender As Object, ByVal e As System.EventArgs) Handles _
			txt007MSR010C040.Leave, txt069MSR010C040.Leave
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "txt_Leave", "テキストリーブ処理 START")
		Try
			Select Case sender.name
				Case Me.txt007MSR010C040.Name : Me.setLeaveText(Me.txt009MSR010C040, ENUM_LEAVE_TEXT.ICD9CM, sender.text)
				Case Me.txt069MSR010C040.Name : Me.setLeaveText(Me.txt071MSR010C040, ENUM_LEAVE_TEXT.ICD9CM, sender.text)
			End Select
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 管理記号テーブルの作成
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/10 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getManageMark() As DataTable
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getManageMark", "管理記号テーブルの作成 START")
		Dim dt As DataTable
		Dim row As DataRow
		Try
			dt = New DataTable
			With dt
				'列定義
				.Columns.Add("CD")
				.Columns.Add("NM")

				row = .NewRow
				row.Item(0) = clsConst.CST_SIGN_F
				row.Item(1) = "初期設定マスタ"
				.Rows.Add(row)

				row = .NewRow
				row.Item(0) = clsConst.CST_SIGN_U
				row.Item(1) = "ユーザ作成マスタ"
				.Rows.Add(row)
			End With
			Return dt
		Catch ex As Exception
			Throw
		Finally
			row = Nothing
		End Try

	End Function

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 可変項目の設定
	''' </summary>
	''' <param name="row">マスタデータ</param>
	''' <param name="dt">データソース設定データテーブル</param>
	''' <param name="chkCtl">チェック項目</param>
	''' <param name="cmbCtl">コンボ項目</param>
	''' <param name="lblCtl">ラベル項目</param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCustomCmb(ByVal row As DataRow, ByVal dt As DataTable _
						   , ByVal chkCtl As BT_CheckBox, ByVal cmbCtl As BT_MultiComboBox, ByVal lblCtl As Label)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "setCustomCmb", "可変項目の設定 START")
		Dim newDt As DataTable = Nothing
		Try
			If dt.Columns.Contains(sqlMSRCOMMON.itmITEM_CD) Then
				Dim Rows As DataRow()
				Try
					Rows = dt.Select(String.Format("{0}='{1}'",
												sqlMSRCOMMON.itmITEM_CD, row.Item(sqlMSRCOMMON.itmITEM_CD).ToString))
					If Rows.Length > 0 Then
						newDt = Rows.CopyToDataTable()
					Else
						newDt = dt.Clone
					End If
				Catch ex As Exception
					Throw
				Finally
					Rows = Nothing
				End Try
			Else
				newDt = dt.Copy
			End If
			If dt.Rows.Count > 0 Then
				With chkCtl
					.Text = row.Item(sqlMSRCOMMON.itmITEM_NM).ToString
					If .Location.X + .Size.Width > cmbCtl.Location.X Then		'表示幅を超えたら
						.AutoSize = False										'	…表示に
						.AutoEllipsis = True
					End If
					.Visible = True
				End With
				cmbCtl.DataSource = newDt
				cmbCtl.Visible = True
				If lblCtl IsNot Nothing Then
					lblCtl.Visible = True
				End If
			End If
		Catch ex As Exception
			Throw
		Finally
			If newDt IsNot Nothing Then
				newDt = Nothing
			End If
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 可変項目の設定
	''' </summary>
	''' <param name="row">マスタデータ</param>
	''' <param name="chkCtl">チェック項目</param>
	''' <param name="cmbCtl">コンボ項目</param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCustomCmb(ByVal row As DataRow _
						   , ByVal chkCtl As BT_CheckBox, ByVal cmbCtl As BT_MultiComboBox)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "setCustomCmb", "可変項目の設定 START")
		Try
			With chkCtl
				.Text = row.Item(sqlMSRCOMMON.itmITEM_NM).ToString
				If .Location.X + .Size.Width > cmbCtl.Location.X Then		'表示幅を超えたら
					.AutoSize = False										'	…表示に
					.AutoEllipsis = True
				End If
				.Visible = True
			End With
			cmbCtl.Visible = True
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class