﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 コントロール独自
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR010C100

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' ＳＱＬ文
	''' </summary>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum ENUM_SQL As Byte
		''' <summary>
		''' タイトルマスタ取得
		''' </summary>
		SEL_LIST = 1
		''' <summary>
		''' 条件内容取得
		''' </summary>
		SEL_ITEM = 2
		''' <summary>
		''' 検索結果情報コントロール追加
		''' </summary>
		INS_CTRL = 3
		''' <summary>
		''' 検索結果情報条件追加
		''' </summary>
		INS_CND = 4
		''' <summary>
		''' 検索結果情報追加
		''' </summary>
		INS_INFO = 5
		''' <summary>
		''' 検索結果情報結果件数取得
		''' </summary>
		SEL_CNT = 6
		''' <summary>
		''' 現在日時取得
		''' </summary>
		SEL_NOW = 7
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' コントロールリスト添え字
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum ENUM_CTL_IDX
		CHK = 0		'チェックボックス
		BTN = 1		'ボタン
		NOM = 2		'NOT
		SIN = 3		'等不号
		TXT = 4		'テキスト
		MSK = 5		'マスク
		DTE = 6		'日付
		NUM = 7		'数字
		CMB = 8		'コンボ
		LBL = 9		'コンボ用ラベル
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' コントロールリスト
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private ReadOnly CTL_LIST As String()() = { _
												New String() {"chk002MSR010C100", "chk012MSR010C100", "chk022MSR010C100", "chk032MSR010C100" _
															, "chk042MSR010C100", "chk052MSR010C100", "chk062MSR010C100", "chk072MSR010C100" _
															, "chk082MSR010C100", "chk092MSR010C100", "chk102MSR010C100", "chk112MSR010C100"} _
												, _
												New String() {"btn003MSR010C100", "btn013MSR010C100", "btn023MSR010C100", "btn033MSR010C100" _
															, "btn043MSR010C100", "btn053MSR010C100", "btn063MSR010C100", "btn073MSR010C100" _
															, "btn083MSR010C100", "btn093MSR010C100", "btn103MSR010C100", "btn113MSR010C100"} _
												, _
												New String() {"lbl004MSR010C100", "lbl014MSR010C100", "lbl024MSR010C100", "lbl034MSR010C100" _
															, "lbl044MSR010C100", "lbl054MSR010C100", "lbl064MSR010C100", "lbl074MSR010C100" _
															, "lbl084MSR010C100", "lbl094MSR010C100", "lbl104MSR010C100", "lbl114MSR010C100"} _
												, _
												New String() {"lbl005MSR010C100", "lbl015MSR010C100", "lbl025MSR010C100", "lbl035MSR010C100" _
															, "lbl045MSR010C100", "lbl055MSR010C100", "lbl065MSR010C100", "lbl075MSR010C100" _
															, "lbl085MSR010C100", "lbl095MSR010C100", "lbl105MSR010C100", "lbl115MSR010C100"} _
												, _
												New String() {"txt006MSR010C100", "txt016MSR010C100", "txt026MSR010C100", "txt036MSR010C100" _
															, "txt046MSR010C100", "txt056MSR010C100", "txt066MSR010C100", "txt076MSR010C100" _
															, "txt086MSR010C100", "txt096MSR010C100", "txt106MSR010C100", "txt116MSR010C100"} _
												, _
												New String() {"msk007MSR010C100", "msk017MSR010C100", "msk027MSR010C100", "msk037MSR010C100" _
															, "msk047MSR010C100", "msk057MSR010C100", "msk067MSR010C100", "msk077MSR010C100" _
															, "msk087MSR010C100", "msk097MSR010C100", "msk107MSR010C100", "msk117MSR010C100"} _
												, _
												New String() {"dte011MSR010C100", "dte021MSR010C100", "dte031MSR010C100", "dte041MSR010C100" _
															, "dte051MSR010C100", "dte061MSR010C100", "dte071MSR010C100", "dte081MSR010C100" _
															, "dte091MSR010C100", "dte101MSR010C100", "dte111MSR010C100", "dte121MSR010C100"} _
												, _
												New String() {"num008MSR010C100", "num018MSR010C100", "num028MSR010C100", "num038MSR010C100" _
															, "num048MSR010C100", "num058MSR010C100", "num068MSR010C100", "num078MSR010C100" _
															, "num088MSR010C100", "num098MSR010C100", "num108MSR010C100", "num118MSR010C100"} _
												, _
												New String() {"cmb009MSR010C100", "cmb019MSR010C100", "cmb029MSR010C100", "cmb039MSR010C100" _
															, "cmb049MSR010C100", "cmb059MSR010C100", "cmb069MSR010C100", "cmb079MSR010C100" _
															, "cmb089MSR010C100", "cmb099MSR010C100", "cmb109MSR010C100", "cmb119MSR010C100"} _
												, _
												New String() {"lbl010MSR010C100", "lbl020MSR010C100", "lbl030MSR010C100", "lbl040MSR010C100" _
															, "lbl050MSR010C100", "lbl060MSR010C100", "lbl070MSR010C100", "lbl080MSR010C100" _
															, "lbl090MSR010C100", "lbl100MSR010C100", "lbl110MSR010C100", "lbl120MSR010C100"} _
												}

#End Region

#Region "変数"

	Private CndDt As DataTable				'コントロール保持

#End Region

	''' ---------------------------------------------
	''' <summary>
	''' コントロール廃棄
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR010C100_Disposed(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Disposed
		If Me.TopLevelControl IsNot Nothing Then
			DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "MSR010C100_Disposed", "コントロール廃棄　START")
		End If
		Try
		Catch ex As Exception
			Throw
		Finally
			'廃棄処理
			If Me.CndDt IsNot Nothing Then
				Me.CndDt.Dispose()
				Me.CndDt = Nothing
			End If
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コントロールロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/99 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR010C100_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "MSR010C100_Load", "コントロールロード START")

		Try
			'一覧の設定
			With Me.lst001MSR010C100
				.DataSource = Me.getMstData(ENUM_SQL.SEL_LIST)
				.DisplayMember = sqlMSR010C100.itmSEARCH_CND_TITLE
				.SelectedIndex = -1
			End With

			'職員ボタンのイベントとの関連付け
			Dim ctl As Control
			Try
				For Each Name As String In CTL_LIST(ENUM_CTL_IDX.BTN)
					ctl = Me.findControl(Name)
					If ctl IsNot Nothing Then AddHandler ctl.Click, AddressOf btnStaff_Click
				Next
			Finally
				ctl = Nothing
			End Try

			'リストのイベントとの関連付け
			'LOAD中のイベント発生抑止のため
			AddHandler Me.lst001MSR010C100.SelectedIndexChanged, AddressOf lst001MSR010C100_SelectedIndexChanged
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 一覧選択
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub lst001MSR010C100_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "lst001MSR010C100_SelectedIndexChanged", "リスト選択 START")
		Try
			With Me.lst001MSR010C100
				If .SelectedIndex > -1 Then

					If Me.CndDt IsNot Nothing Then
						Me.CndDt.Dispose()
						Me.CndDt = Nothing
					End If
					With DirectCast(.DataSource, DataTable).Rows(.SelectedIndex)
						Me.CndDt = Me.getMstData(ENUM_SQL.SEL_ITEM, .Item(sqlMSR010C100.itmMNG_DIV).ToString, .Item(sqlMSR010C100.itmMNG_NO).ToString)
					End With
					'クリア
					Me.Clear(False)
					Me.setConditionControl(Me.CndDt)
				End If
			End With
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	 ''' <summary>
	 ''' 職員ボタンクリック
	 ''' </summary>
	 ''' <param name="sender"></param>
	 ''' <param name="e"></param>
	 ''' <remarks>
	 ''' 2010/10/26 新規作成 ACS)仙頭<BR/>
	 ''' </remarks>
	 ''' ---------------------------------------------
	Private Sub btnStaff_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) 
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "btnStaff_Click", "職員ボタンクリック START")
		Try
			Dim idx As Integer = Array.IndexOf(CTL_LIST(ENUM_CTL_IDX.BTN), sender.name)
			If idx > -1 Then
				Dim ctl As Control = Me.findControl(CTL_LIST(ENUM_CTL_IDX.CMB)(idx))
				If ctl IsNot Nothing Then Me.StaffFormProc(ctl)
			End If
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
	End Sub

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' マスタデータの設定
	''' </summary>
	''' <param name="type">設定SQL</param>
	''' <param name="val">データ値</param>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getMstData(ByVal type As ENUM_SQL, ByVal ParamArray val() As Object) As DataTable
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getMstData", "マスタデータの設定 START")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Using dt As DataTable = New DataTable
					With db
						Select Case type
							'タイトル取得
							Case ENUM_SQL.SEL_LIST
								.setSQLDa(sqlMSR010C100.selList)
								.execQueryDa(dt)
								Return dt
							'項目取得
							Case ENUM_SQL.SEL_ITEM
								.setSQLDa(sqlMSR010C100.selItem)
								.setParamDa(sqlMSR010C100.prmMNG_DIV, clsDB.Enum_dbType.dbNVarChar)
								.setValDa(sqlMSR010C100.prmMNG_DIV, val(0))
								.setParamDa(sqlMSR010C100.prmMNG_NO, clsDB.Enum_dbType.dbInt)
								.setValDa(sqlMSR010C100.prmMNG_NO, val(1), False)
								db.execQueryDa(dt)
								Return dt
						End Select
					End With
				End Using
			End Using
			Return Nothing
		Catch ex As Exception
			Throw
		End Try

	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索条件をコントロールへ反映
	''' </summary>
	''' <param name="dt">検索条件データ</param>
	''' <remarks></remarks>
	''' ---------------------------------------------
	Private Sub setConditionControl(ByVal dt As DataTable)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "setConditionControl", "コントロールの設定 START")
		Dim idx As Integer = -1											'カウンタ
		Dim ctlChk As BT_CheckBox										'チェックボックスコントロール
		Dim ctl As Control												'コントロール
		Dim NotMatch As String = Nothing								'NOT表示文字列
		Dim MatchDt As DataTable = clsConst.getMatchingCriteria(True)	'文字列検索データ
		Try
			For Each row As DataRow In dt.Rows
				'カウンタUP
				idx += 1

				'チェックボックス
				ctl = Me.findControl(CTL_LIST(ENUM_CTL_IDX.CHK)(idx))
				If ctl Is Nothing Then Continue For
				ctlChk = DirectCast(ctl, BT_CheckBox)
				With ctlChk
					.Text = row(sqlMSR010C100.itmFIELDDSP_NM).ToString
					.Visible = True
					.Enabled = False
					.LinkControls = Nothing
				End With

				'ＮＯＴ文字列表示
				If row(sqlMSR010C100.itmJUDGMENT) = clsConst.Enum_NotMatch.NotMatch Then
					If NotMatch = Nothing Then NotMatch = clsMSRCOMMON.getDtItem(clsConst.getNotMatch(), clsConst.Enum_NotMatch.NotMatch)
					ctl = Me.findControl(CTL_LIST(ENUM_CTL_IDX.NOM)(idx))
					If ctl IsNot Nothing Then
						ctl.Text = NotMatch
						ctl.Visible = True
					End If
				End If

				'不等号の表示
				ctl = Me.findControl(CTL_LIST(ENUM_CTL_IDX.SIN)(idx))
				If ctl IsNot Nothing Then
					Select Case row(sqlMSR010C100.itmSEARCH_METHOD)
						'文字列検索
						Case 1
								If IsNumeric(row(sqlMSR010C100.itmSEARCH_METHOD1).ToString) = False Then Continue For
								ctl.Text = clsMSRCOMMON.getDtItem(MatchDt, row(sqlMSR010C100.itmSEARCH_METHOD1))
						'不等号
						Case 2
								ctl.Text = Me.getSignofInequality(row(sqlMSR010C100.itmSEARCH_METHOD2).ToString)
								If String.IsNullOrEmpty(ctl.Text) Then Continue For
						Case Else
								Continue For
					End Select
					ctl.Visible = True
				End If

				'入力項目
				Select Case row(sqlMSR010C100.itmCTL_TYPE).ToString.ToLower
					'テキスト
					Case "txt" : ctl = Me.findControl(CTL_LIST(ENUM_CTL_IDX.TXT)(idx))
								If ctl IsNot Nothing Then
									With DirectCast(ctl, BT_TextBox)
										'IMEの設定
										.ImeMode = Me.setImeMode(row(sqlMSR010C100.itmCTL_SET1).ToString)
										'最大文字数
										.MaxLength = 32767
										If IsNumeric(row(sqlMSR010C100.itmCTL_SET2).ToString) Then
											Dim max As Decimal = Math.Abs(Decimal.Parse(row(sqlMSR010C100.itmCTL_SET2).ToString))
											If max > 0 And max < 32767 Then .MaxLength = Decimal.Floor(max)
										End If
										'表示
										.Visible = True
										ctlChk.LinkControls = {.Name}
									End With
								End If
					'マスク
					Case "msk" : ctl = Me.findControl(CTL_LIST(ENUM_CTL_IDX.MSK)(idx))
								If ctl IsNot Nothing Then
									With DirectCast(ctl, BT_Mask)
										.ImeMode = ImeMode.Off
										'マスクモードの設定
										Dim SettingFlg As Boolean = False
										For Each mode As BT_Mask.Enm_MaskMode In [Enum].GetValues(GetType(BT_Mask.Enm_MaskMode))
											If IsNumeric(row(sqlMSR010C100.itmCTL_SET1).ToString) = True Then
												If mode = row(sqlMSR010C100.itmCTL_SET1).ToString Then
													.MaskMode = mode
													SettingFlg = True
													Exit For
												End If
											ElseIf mode.ToString = row(sqlMSR010C100.itmCTL_SET1).ToString.ToUpper Then
												.MaskMode = mode
												SettingFlg = True
												Exit For
											End If
										Next
										If SettingFlg = False Then Continue For 'マスクモードがなければ
										.Visible = True
										ctlChk.LinkControls = {.Name}
									End With
								End If
					'日付
					Case "dte" : ctl = Me.findControl(CTL_LIST(ENUM_CTL_IDX.DTE)(idx))
								If ctl IsNot Nothing Then
									With DirectCast(ctl, BT_Date)
										'日付入力形式の設定
										If IsNumeric(row(sqlMSR010C100.itmCTL_SET1).ToString) Then
											.DateStyle = Integer.Parse(row(sqlMSR010C100.itmCTL_SET1).ToString)
										Else
											.DateStyle = BT_Date.Enum_DateStyle.Wst_Style
										End If
										.Visible = True
										ctlChk.LinkControls = {.Name}
									End With
								End If
					'数値
					Case "num" : ctl = Me.findControl(CTL_LIST(ENUM_CTL_IDX.NUM)(idx))
								If ctl IsNot Nothing Then
									With DirectCast(ctl, BT_Number)
										'カンマ区切り,'少数桁
										If IsNumeric(row(sqlMSR010C100.itmCTL_SET1).ToString) Then
											If row(sqlMSR010C100.itmCTL_SET1).ToString.IndexOf(",") >= 0 Then
												.CommaFormat = True
											Else
												.CommaFormat = False
											End If
											.DecimalPlaces = Me.getDecimalPlaces(row(sqlMSR010C100.itmCTL_SET1).ToString)
											'入力可能文字数
											If .DecimalPlaces <> -1 Then
												.MaxLength = row(sqlMSR010C100.itmCTL_SET1).ToString.Length
											Else
												.MaxLength = 32767
											End If
										Else
											.CommaFormat = True
											.DecimalPlaces = 0
											.MaxLength = 32767
										End If
										'最小値
										If IsNumeric(row(sqlMSR010C100.itmCTL_SET2).ToString) Then
											.Minimum = Decimal.Parse(row(sqlMSR010C100.itmCTL_SET2).ToString)
										Else
											.Minimum = 0
										End If
										'最大値
										If IsNumeric(row(sqlMSR010C100.itmCTL_SET3).ToString) Then
											.Maximum = Decimal.Parse(row(sqlMSR010C100.itmCTL_SET3).ToString)
										Else
											.Maximum = 99999999999
										End If

										.Visible = True
										ctlChk.LinkControls = {.Name}
									End With
								End If
					'コンボ、スタッフ
					Case "cmb", "stf", "doc"
								ctl = Me.findControl(CTL_LIST(ENUM_CTL_IDX.CMB)(idx))
								If ctl IsNot Nothing Then
									With DirectCast(ctl, BT_MultiComboBox)
										'データソースを一旦からに
										If .DataSource IsNot Nothing Then
											DirectCast(.DataSource, DataTable).Dispose()
											.DataSource = Nothing
										End If
										'新しいデータソースを取得
										Dim cmbDt As DataTable = Me.getDataSource(row(sqlMSR010C100.itmCTL_SET1).ToString)
										If cmbDt IsNot Nothing Then
											'設定２より項目の取得
											Dim colName As String() = Split(row(sqlMSR010C100.itmCTL_SET2).ToString, ",")
											'設定が変であれば次に
											If colName Is Nothing OrElse colName.Length < 2 Then Continue For
											'項目の存在ﾁｪｯｸ
											If cmbDt.Columns.Contains(colName(0)) = False Then Continue For
											If cmbDt.Columns.Contains(colName(1)) = False Then Continue For
											.ValueMember = colName(0)
											.DisplayMember = colName(1)
											If colName.Length < 3 OrElse cmbDt.Columns.Contains(colName(2)) = False Then
												.DisplayMemberEx = Nothing
											Else
												.DisplayMemberEx = colName(2)
											End If

											'ドロップダウンスタイルの設定 
											If .DisplayMemberEx Is Nothing Then
												'DisplayMemberExがなければ、
												.DropDownStyle = ComboBoxStyle.DropDownList
											Else
												.DropDownStyle = ComboBoxStyle.DropDown
												'表示用ラベルを可視
												Dim ctlLbl As Control = Me.findControl(CTL_LIST(ENUM_CTL_IDX.LBL)(idx))
												If ctlLbl IsNot Nothing Then
													ctlLbl.Visible = True
													ctlLbl = Nothing
												End If
											End If

											'設定３より項目幅の取得
											Dim colSize As String() = Split(row(sqlMSR010C100.itmCTL_SET3).ToString, ",")
											'設定が変であれば次に
											If colSize Is Nothing OrElse colSize.Length = 0 Then Continue For

											.ColWidths = colSize
											.setDropDownWidth()
											.DataSource = cmbDt
											.Visible = True
										End If
										cmbDt = Nothing

										'職員の場合、ボタンを表示
										Select Case row(sqlMSR010C100.itmCTL_TYPE).ToString.ToLower
											Case "stf", "doc"
												.StaffCombo = True
												.DoctorFlg = (row(sqlMSR010C100.itmCTL_TYPE).ToString.ToLower = "doc")
												Dim ctlBtn As Control = Me.findControl(CTL_LIST(ENUM_CTL_IDX.BTN)(idx))
												If ctlBtn IsNot Nothing Then
													ctlBtn.Text = ctlChk.Text
													ctlChk.Text = Nothing
													ctlBtn.Visible = True
												End If
												ctlChk.LinkControls = {.Name, ctlBtn.Name}
											Case Else
												ctlChk.LinkControls = {.Name}
										End Select

									End With
								End If
					Case Else
								Continue For
				End Select

				'すべて問題なければ、チェックボックスを利用可能に
				ctlChk.Enabled = True
			Next
		Catch ex As Exception
			Throw
		Finally
			ctlChk = Nothing
			ctl = Nothing
			NotMatch = Nothing
			If MatchDt IsNot Nothing Then
				MatchDt.Dispose()
				MatchDt = Nothing
			End If
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 等不号の取得
	''' </summary>
	''' <param name="param">パラメータ値</param>
	''' <returns>等不号</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getSignofInequality(ByVal param As String) As String
		Dim ret As String = Nothing
		Try
			Select Case param
				Case "1" : ret = "="
				Case "2" : ret = "<="
				Case "3" : ret = "<"
				Case "4" : ret = ">"
				Case "5" : ret = ">="
				Case "6" : ret = "<>"
			End Select
			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' IMEモードの設定値
	''' </summary>
	''' <param name="param">パラメータ値</param>
	''' <returns>IMEモード</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setImeMode(ByVal param As String) As ImeMode
		Try
			If IsNumeric(param) Then
					Return Integer.Parse(param)						'数値ならそのまま設定
			Else

				Select Case param.ToLower
					Case "nocontrol"
											Return ImeMode.NoControl		'制御しない
					Case "on"
											Return ImeMode.On				'IME オン
					Case "off"
											Return ImeMode.Off				'IME オフ
					Case "disable"
											Return ImeMode.Disable			'IME 禁止
					Case "hiragana"
											Return ImeMode.Hiragana			'IME 全角ひらがな
					Case "katakana"
											Return ImeMode.Katakana			'IME 全角カタカナ
					Case "katakanahalf"
											Return ImeMode.KatakanaHalf		'IME 半角カタカナ
					Case "alphafull"
											Return ImeMode.AlphaFull		'IME 全角英数
					Case "alpha"
											Return ImeMode.Alpha			'IME 半角英数
					Case Else
											Return ImeMode.Off			'IME オフ
				End Select

			End If
		Catch ex As Exception
			Throw
		End Try

	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 小数桁数の取得
	''' </summary>
	''' <param name="param">パラメータ値</param>
	''' <returns>小数桁数</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDecimalPlaces(ByVal param As String) As Integer
		Try
			param = param.TrimEnd()
			Dim pos As Integer = param.IndexOf(".")
			If pos = -1 Then
				Return 0
			Else
				If param.Substring(pos + 1).Length > 0 Then
					Return param.Substring(pos + 1).Length
				Else
					Return -1
				End If
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データ型の取得
	''' </summary>
	''' <param name="param">パラメータ値</param>
	''' <returns>小数桁数</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDbType(ByVal param As String) As clsDB.Enum_dbType
		Try
			Select Case param.ToLower
				Case "text" : Return clsDB.Enum_dbType.dbNVarChar
				Case "date" : Return clsDB.Enum_dbType.dbDateTime
				Case "integer" : Return clsDB.Enum_dbType.dbInt
				Case "double" : Return clsDB.Enum_dbType.dbNumeric
				Case "long" : Return clsDB.Enum_dbType.dbNumeric
				Case Else : Return clsDB.Enum_dbType.dbNumeric
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' コンボに設定するデータテーブルを取得
	''' </summary>
	''' <param name="param"></param>
	''' <returns>データテーブル</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDataSource(ByVal param As String) As DataTable
		Try
			Select Case True
				'定数より（有無など)
				Case param Like "clsConst.*YseNo"
									Dim t As Type = GetType(clsConst)
									Return t.InvokeMember(param.Substring("clsConst.".Length) _
														, System.Reflection.BindingFlags.InvokeMethod _
														, Nothing _
														, Nothing _
														, New Object() {False})

				Case param Like "clsConst.*"
									Dim t As Type = GetType(clsConst)
									Return t.InvokeMember(param.Substring("clsConst.".Length) _
														, System.Reflection.BindingFlags.InvokeMethod _
														, Nothing _
														, Nothing _
														, Nothing)
				'コンボボックス項目取得共通処理より
				Case param Like "clsComboCom.Enum_ComboType.*"
									Dim EnumName As String = param.Substring("clsComboCom.Enum_ComboType.".Length)
									For Each cmb As clsComboCom.Enum_ComboType In [Enum].GetValues(GetType(clsComboCom.Enum_ComboType))
										If cmb.ToString = EnumName Then
											Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
												Dim cliCmb As New clsComboCom
												Try
													Return cliCmb.getCombo(db, cmb)
												Finally
													cliCmb = Nothing
												End Try
											End Using
											Exit For
										End If
									Next
				Case IsNumeric(param) = True
									Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
										Dim cliCmb As New clsComboCom
										Try
											Return cliCmb.getCombo(db, Integer.Parse(param))
										Finally
											cliCmb = Nothing
										End Try
									End Using
				'SQL文を直接
				Case param.ToLower Like "select *"
									Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
										db.setSQLDa(param)
										Dim dt As New DataTable
										db.execQueryDa(dt)
										Return dt
									End Using
				Case Else
									Return Nothing
			End Select
			Return Nothing
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "オーバライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 検索条件をすべてクリア
	''' </summary>
	''' <param name="Focus">フォーカス移動有無</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub Clear(Optional ByVal Focus As Boolean = True)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "Clear", "検索条件をすべてクリア START")
		Try
			'全コントロール非表示
			For Each ctl As Control In Me.Controls
				If TypeOf ctl Is ListBox Then
					'表示のまま
				Else
					ctl.Visible = False
				End If
			Next

			'項目内容クリア
			MyBase.Clear()

			'一覧を未選択状態に
			With Me.lst001MSR010C100
				If Focus = True Then .SelectedIndex = -1
				.Select()
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	 ''' <summary>
	 ''' 検索処理
	 ''' </summary>
	 ''' <param name="type">検索タイプ</param>
	 ''' <returns></returns>
	 ''' <remarks>
	 ''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	 ''' </remarks>
	 ''' ---------------------------------------------
	Public Overrides Function getSearchInfo(ByVal type As ENUM_SEARCH_TYPE) As clsMSRSearchOut
		CType(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getSearchInfo", "検索処理 START")
		Dim cliSearch As clsMSRSearch = Nothing	'検索クラス
		Dim cliRet As clsMSRSearchOut = Nothing	'返却データクラス

		Dim ctlChk As Control					'チェックボックス

		Dim ctl As Control						'検索結果コントロール
		Dim row As DataRow						'入力データ

		Dim ctlName As String = Nothing			'入力コントロール名
		Dim NotMatchName As String				'ＮＯＴ
		Dim MethodName As String				'不等号
		Dim FieldName As String					'項目名

		Try
			cliSearch = New clsMSRSearch
			cliRet = New clsMSRSearchOut

			'コントロール走査
			For idx As Integer = 0 To CTL_LIST(ENUM_CTL_IDX.CHK).Length - 1
				ctlChk = Me.findControl(CTL_LIST(ENUM_CTL_IDX.CHK)(idx))
				If ctlChk Is Nothing Then
					Continue For
				'表示されており、入力可、チェック済みの場合
				ElseIf ctlChk.Visible = True AndAlso ctlChk.Enabled = True AndAlso DirectCast(ctlChk, BT_CheckBox).Checked = True Then
					'データレコード
					row = CndDt.Rows(idx)

					'画面より入力値を取得
					Select Case row.Item(sqlMSR010C100.itmCTL_TYPE).ToString.ToLower()
						'テキスト
						Case "txt" : ctlName = CTL_LIST(ENUM_CTL_IDX.TXT)(idx)
						'マスク
						Case "msk" : ctlName = CTL_LIST(ENUM_CTL_IDX.MSK)(idx)
						'日付
						Case "dte" : ctlName = CTL_LIST(ENUM_CTL_IDX.DTE)(idx)
						'数値
						Case "num" : ctlName = CTL_LIST(ENUM_CTL_IDX.NUM)(idx)
						'コンボ,職員
'(M) STR V4-11027-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No106 マスタの検索条件マスタの、医師情報テーブルの項目は、検索処理にて検索できない対応
						'Case "cmb", "stf" : ctlName = CTL_LIST(ENUM_CTL_IDX.CMB)(idx)
						Case "cmb", "stf", "doc" : ctlName = CTL_LIST(ENUM_CTL_IDX.CMB)(idx)
'(M) END V4-11027-000 004 20110816
						Case Else : Continue For
					End Select

					'否定表示内容をラベルより取得
					ctl = Me.findControl(CTL_LIST(ENUM_CTL_IDX.NOM)(idx))
					If ctl IsNot Nothing And ctl.Visible = True Then
						NotMatchName = ctl.Text
					Else
						NotMatchName = Nothing
					End If

					'不等号をラベルより取得
					ctl = Me.findControl(CTL_LIST(ENUM_CTL_IDX.SIN)(idx))
					If ctl IsNot Nothing Then
						MethodName = ctl.Text
					Else
						MethodName = Nothing
					End If

					'項目名の設定
					FieldName = row(sqlMSR010C100.itmFIELD_NM).ToString
					If FieldName.IndexOf(row(sqlMSR010C100.itmTABLE_NM).ToString) = -1 Then
						FieldName = row(sqlMSR010C100.itmTABLE_NM).ToString.TrimEnd & "." & FieldName.TrimStart
					End If
					'検索クラスで処理
					cliRet = cliSearch.Search_Original(cliRet, Me _
														, ctlName _
														, row(sqlMSR010C100.itmFIELDDSP_NM).ToString _
														, Integer.Parse(row(sqlMSR010C100.itmTABLE_CD).ToString) _
														, FieldName _
														, row(sqlMSR010C100.itmSEARCH_METHOD).ToString _
														, row(sqlMSR010C100.itmSEARCH_METHOD1).ToString _
														, row(sqlMSR010C100.itmJUDGMENT).ToString _
														, MethodName _
														, NotMatchName _
														, "@" & ctlChk.Name _
														, Me.getDbType(row(sqlMSR010C100.itmDATA_TYPE).ToString))
				End If
			Next

			'検索条件の存在ﾁｪｯｸ
			If cliRet.Condition.Count = 0 Then Return Nothing

			'結果情報の作成
			cliRet.Info = New clsMSRSearchOut.clsInfo(clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Me.ctlText & Environment.NewLine & Me.lst001MSR010C100.Text)

			'SQL文を作成し返却
			Return Me.setSearchSql(type, cliRet)

		Catch ex As Exception
			Throw
		Finally
			If cliSearch IsNot Nothing Then : cliSearch.Dispose() : cliSearch = Nothing : End If
			cliRet = Nothing
			ctlChk = Nothing
			ctl = Nothing
			row = Nothing
			ctlName = Nothing
			NotMatchName = Nothing
			MethodName = Nothing
			FieldName = Nothing
		End Try
		Return Nothing
	End Function

#End Region


End Class
