﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 検索条件コントロ－ル 独自(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class sqlMSR010C100

	Public Const itmMNG_DIV As String = "MNG_DIV"						'管理記号
	Public Const itmMNG_NO As String = "MNG_NO"							'管理番号
	Public Const itmSEARCH_CND_TITLE As String = "SEARCH_CND_TITLE"		'タイトル


	'検索処理条件タイトルマスタ取得
	Public Const selList As String = "" _
	& "SELECT MNG_DIV,MNG_NO,SEARCH_CND_TITLE" _
	& " FROM MTM_SEARCH_CND_TITLE" _
	& " ORDER BY MNG_DIV,MNG_NO"

	Public Const prmMNG_DIV As String = "@MNG_DIV"						'管理記号
	Public Const prmMNG_NO As String = "@MNG_NO"						'管理番号

	Public Const itmTABLE_CD As String = "TABLE_CD"						'テーブルコード
	Public Const itmTABLE_NM As String = "TABLE_NM"						'テーブル名
	Public Const itmFIELD_NM As String = "FIELD_NM"						'項目名
	Public Const itmDATA_TYPE As String = "DATA_TYPE"					'データ型
	Public Const itmJUDGMENT As String = "JUDGMENT"						'検索方法
	Public Const itmFIELDDSP_NM As String = "FIELDDSP_NM"				'項目名
	Public Const itmSEARCH_METHOD As String = "SEARCH_METHOD"			'検索方法
	Public Const itmSEARCH_METHOD1 As String = "SEARCH_METHOD1"			'検索方法詳細１
	Public Const itmSEARCH_METHOD2 As String = "SEARCH_METHOD2"			'検索方法詳細２
	Public Const itmCTL_TYPE As String = "CTL_TYPE"						'コントロール種類
	Public Const itmCTL_SET1 As String = "CTL_SET1"						'コントロール設定１
	Public Const itmCTL_SET2 As String = "CTL_SET2"						'コントロール設定２
	Public Const itmCTL_SET3 As String = "CTL_SET3"						'コントロール設定３

	'検索処理条件マスタ取得
	Public Const selItem As String = "" _
	& "SELECT TOP 12" _
	& " c.TABLE_CD" _
	& ",t.TABLE_NM" _
	& ",f.FIELD_NM" _
	& ",f.DATA_TYPE" _
	& ",c.JUDGMENT" _
	& ",c.FIELDDSP_NM" _
	& ",c.SEARCH_METHOD" _
	& ",c.SEARCH_METHOD1" _
	& ",c.SEARCH_METHOD2" _
	& ",f.CTL_TYPE" _
	& ",f.CTL_SET1" _
	& ",f.CTL_SET2" _
	& ",f.CTL_SET3" _
	& " FROM MTM_SEARCH_DISPOSAL_CND AS c" _
	& "      LEFT JOIN MTM_SEARCH_TABLE AS t ON c.TABLE_CD = t.TABLE_CD" _
	& "      LEFT JOIN MTM_SEARCH_FIELD AS f ON c.TABLE_CD = f.TABLE_CD" _
	& "                                     AND c.FIELD_CD = f.FIELD_CD" _
	& " WHERE c.MNG_DIV = " & prmMNG_DIV _
	& "   AND c.MNG_NO  = " & prmMNG_NO _
	& " ORDER BY c.SEARCH_CND_SERIAL_NO"
End Class
