﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 補足項目２情報一覧(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR110F010

#Region "件数取得"
	''' <summary>
	''' 件数取得
	''' </summary>
	Public Const sqlSel_Cnt As String = _
	"SELECT COUNT(*) AS CNT" _
	& " FROM MTT_SEARCH_RESULT AS s" _
	& " INNER JOIN MTI_ASST2 AS i" _
	& "    ON s.PATIENT_NO     = i.PATIENT_NO" _
	& "   AND s.HSP_HISTORY_NO = i.HSP_HISTORY_NO" _
	& "   AND s.CH_NO          = i.CH_NO" _
	& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO

#End Region

#Region "一覧取得"

	''' <summary>
	''' 一覧取得
	''' </summary>
	Public Const sqlSel_List As String = _
	  "SELECT " _
	& sqlColBHC _
	& sqlColMe _
	& " FROM MTT_SEARCH_RESULT AS s" _
	& sqlTblMe _
	& sqlTblBHC _
	& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& sqlOrder

#Region "基本＋入退院＋科歴"
'(M) STR V4-11048-000 091 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
'	''' <summary>
'	''' 基本＋入退院＋科歴
'	''' </summary>
'	Private Const sqlColBHC As String = "" _
'	& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
'	& ",s.PATIENT_NO" _
'	& ",s.HSP_HISTORY_NO" _
'	& ",s.CH_NO" _
'	& ",b.PATIENT_NM" _
'	& ",XTM_GENDER.GENDER_NM" _
'	& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
'	& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
'	& ",(SELECT AREA_RNM " _
'	& "  FROM MTM_AREA " _
'	& " WHERE AREA_CD = " _
'	& "( " _
'	& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
'	& "  WHERE PATIENT_NO = s.PATIENT_NO" _
'	& "  ORDER BY" _
'	& " HSP_HISTORY_NO DESC" _
'	& ",CH_NO DESC" _
'	& " )" _
'	& ") AS NEW_AREA_RNM" _
'	& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
'	& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
'	& ",d.DEATH_AGE" _
'	& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
'	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
'	& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
'	& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
'	& ",c.BYOREKI_NO" _
'	& ",MTM_DEPT.DEPT_RNM" _
'	& ",MTM_WARD.WARD_RNM" _
'	& ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
'	& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
'	& ",MTM_HSP_CNL.HSP_CNL_RNM" _
'	& ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
'	& ",c.END_AGE" _
'	& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
'	& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
'	& ",c.HSP_DAYS"
'(M) STR V4-12051-000 093 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
	'Private Const sqlColBHC As String = "" _
	'& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
	'& ",s.PATIENT_NO" _
	'& ",s.HSP_HISTORY_NO" _
	'& ",s.CH_NO" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
	'& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
	'& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
	'& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
	'& ",(SELECT AREA_RNM " _
	'& "  FROM MTM_AREA " _
	'& " WHERE AREA_CD = " _
	'& "( " _
	'& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
	'& "  WHERE PATIENT_NO = s.PATIENT_NO" _
	'& "  ORDER BY" _
	'& " HSP_HISTORY_NO DESC" _
	'& ",CH_NO DESC" _
	'& " )" _
	'& ") AS NEW_AREA_RNM" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
	'& ",d.DEATH_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
	'& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
	'& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
	'& ",c.BYOREKI_NO" _
	'& ",MTM_DEPT.DEPT_RNM" _
	'& ",MTM_WARD.WARD_RNM" _
	'& ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
	'& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
	'& ",MTM_HSP_CNL.HSP_CNL_RNM" _
	'& ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
	'& ",c.END_AGE" _
	'& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
	'& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
    '& ",c.HSP_DAYS"
'(M) STR V4-15024-000 102 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
    ' ''' <summary>
    ' ''' 基本＋入退院＋科歴
    ' ''' </summary>
'    Private Const sqlColBHC As String = "" _
'    & sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
'    & ",s.PATIENT_NO" _
'    & ",s.HSP_HISTORY_NO" _
'    & ",s.CH_NO" _
'    & ",b.PATIENT_NM" _
'    & ",b.PATIENT_KNM" _
'    & ",XTM_GENDER.GENDER_NM" _
'    & ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
'    & ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
'    & ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
'    & ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
'    & ",(SELECT AREA_RNM " _
'    & "  FROM MTM_AREA " _
'    & " WHERE AREA_CD = " _
'    & "( " _
'    & " SELECT TOP 1 AREA_CD FROM MTI_CH" _
'    & "  WHERE PATIENT_NO = s.PATIENT_NO" _
'    & "  ORDER BY" _
'    & " HSP_HISTORY_NO DESC" _
'    & ",CH_NO DESC" _
'    & " )" _
'    & ") AS NEW_AREA_RNM" _
'    & ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
'    & ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
'    & ",d.DEATH_AGE" _
'    & ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
'    & ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
'    & "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
'    & ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
'    & ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
'    & ",c.BYOREKI_NO" _
'    & ",MTM_DEPT.DEPT_RNM" _
'    & ",MTM_WARD.WARD_CD" _
'    & ",MTM_WARD.WARD_RNM" _
'    & ",MTM_WARD.DSPORDER AS WARD_DSPORDER" _
'    & ",C_STAFF.STAFF_CD  AS C_STAFF_CD" _
'    & ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
'    & ",C_STAFF.DSPORDER  AS C_STAFF_DSPORDER" _
'    & ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
'    & ",MTM_HSP_CNL.HSP_CNL_RNM" _
'    & ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
'    & ",c.END_AGE" _
'    & ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
'    & ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
'    & ",c.HSP_DAYS"
    ''' <summary>
    ''' 基本＋入退院＋科歴
    ''' </summary>
    Private Const sqlColBHC As String = "" _
    & sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
    & ",s.PATIENT_NO" _
    & ",s.HSP_HISTORY_NO" _
    & ",s.CH_NO" _
    & ",b.PATIENT_NM" _
    & ",b.PATIENT_KNM" _
    & ",XTM_GENDER.GENDER_NM" _
    & ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
    & ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
    & ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
    & ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
    & ",(SELECT AREA_RNM " _
    & "  FROM MTM_AREA " _
    & " WHERE AREA_CD = " _
    & "( " _
    & " SELECT TOP 1 AREA_CD FROM MTI_CH" _
    & "  WHERE PATIENT_NO = s.PATIENT_NO" _
    & "  ORDER BY" _
    & " HSP_HISTORY_NO DESC" _
    & ",CH_NO DESC" _
    & " )" _
    & ") AS NEW_AREA_RNM" _
    & ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
    & ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
    & ",d.DEATH_AGE" _
    & ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
    & ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
    & "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
    & ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
    & ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
    & ",c.BYOREKI_NO" _
    & ",MTM_DEPT.DEPT_RNM" _
    & ",c.DEPT_CD" _
    & ",MTM_DEPT.DSPORDER AS DEPT_DSPORDER" _
    & ",MTM_WARD.WARD_CD" _
    & ",MTM_WARD.WARD_RNM" _
    & ",MTM_WARD.DSPORDER AS WARD_DSPORDER" _
    & ",C_STAFF.STAFF_CD  AS C_STAFF_CD" _
    & ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
    & ",C_STAFF.DSPORDER  AS C_STAFF_DSPORDER" _
    & ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
    & ",MTM_HSP_CNL.HSP_CNL_RNM" _
    & ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
    & ",c.END_AGE" _
    & ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
    & ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
    & ",c.HSP_DAYS"
'(M) END V4-15024-000 102 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
'(M) END V4-12051-000 093 2013/01/23
'(M) END V4-11048-000 091 20110915
	''' <summary>
	''' 基本＋入退院＋科歴　テーブル
	''' </summary>
   Private Const sqlTblBHC As String = "" _
	& " LEFT JOIN MTI_CH AS c              ON s.PATIENT_NO     = c.PATIENT_NO" _
	& "                                   AND s.HSP_HISTORY_NO = c.HSP_HISTORY_NO" _
	& "                                   AND s.CH_NO          = c.CH_NO" _
	& " LEFT JOIN MTI_HSP AS H             ON s.PATIENT_NO     = h.PATIENT_NO" _
	& "                                   AND s.HSP_HISTORY_NO = h.HSP_HISTORY_NO" _
	& " LEFT JOIN XTI_BASICINFO AS B       ON s.PATIENT_NO     = b.PATIENT_NO" _
	& " LEFT JOIN MTI_DEATH AS d           ON s.PATIENT_NO          = d.PATIENT_NO" _
	& " LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& " LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& " LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& " LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	& " LEFT JOIN MTM_DEPT                 ON c.DEPT_CD             = MTM_DEPT.DEPT_CD" _
	& " LEFT JOIN MTM_WARD                 ON c.WARD_CD             = MTM_WARD.WARD_CD" _
	& " LEFT JOIN XTM_STAFF AS C_STAFF     ON c.DOCTOR_CD           = C_STAFF.STAFF_CD" _
	& " LEFT JOIN MTM_HSP_CNL              ON c.START_CNL_CD        = MTM_HSP_CNL.HSP_CNL_CD" _
	& " LEFT JOIN MTM_OUT_HSP_CNL          ON c.END_CNL_CD          = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	& " LEFT JOIN MTM_OUT_HSP_OUTCOME      ON c.END_OUTCOME_CD      = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD"

#End Region

	''' <summary>
	''' 項目
	''' </summary>
	Private Const sqlColMe As String = "" _
 & ",ROW_NUMBER() OVER(ORDER BY s.PATIENT_NO,s.HSP_HISTORY_NO,s.CH_NO) AS " & sqlMSRCOMMON.itmSORT_SEQ _
 & ",i.TEXT1" _
 & ",i.TEXT2" _
 & ",i.TEXT3" _
 & ",i.TEXT4" _
 & ",i.TEXT5" _
 & ",i.TEXT6" _
 & ",i.TEXT7" _
 & ",i.TEXT8" _
 & ",i.TEXT9" _
 & ",i.TEXT10" _
 & ",i.NUMBER1" _
 & ",i.NUMBER2" _
 & ",i.NUMBER3" _
 & ",i.NUMBER4" _
 & ",i.NUMBER5" _
 & ",i.NUMBER6" _
 & ",i.NUMBER7" _
 & ",i.NUMBER8" _
 & ",i.NUMBER9" _
 & ",i.NUMBER10" _
 & ",CONVERT(VARCHAR,i.DATE1,111) AS DATE1" _
 & ",CONVERT(VARCHAR,i.DATE2,111) AS DATE2" _
 & ",CONVERT(VARCHAR,i.DATE3,111) AS DATE3" _
 & ",CONVERT(VARCHAR,i.DATE4,111) AS DATE4" _
 & ",a1.CNT_RNM AS CNT_RNM1" _
 & ",a2.CNT_RNM AS CNT_RNM2" _
 & ",a3.CNT_RNM AS CNT_RNM3" _
 & ",a4.CNT_RNM AS CNT_RNM4" _
 & ",a5.CNT_RNM AS CNT_RNM5" _
 & ",a6.CNT_RNM AS CNT_RNM6" _
 & ",a7.CNT_RNM AS CNT_RNM7" _
 & ",a8.CNT_RNM AS CNT_RNM8" _
 & ",a9.CNT_RNM AS CNT_RNM9" _
 & ",a10.CNT_RNM AS CNT_RNM10" _
 & ",a11.CNT_RNM AS CNT_RNM11" _
 & ",a12.CNT_RNM AS CNT_RNM12" _
 & ",i.TEXT11" _
 & ",i.TEXT12" _
 & ",i.TEXT13" _
 & ",i.TEXT14" _
 & ",i.TEXT15" _
 & ",i.TEXT16" _
 & ",i.TEXT17" _
 & ",i.TEXT18" _
 & ",i.TEXT19" _
 & ",i.TEXT20" _
 & ",i.NUMBER11" _
 & ",i.NUMBER12" _
 & ",i.NUMBER13" _
 & ",i.NUMBER14" _
 & ",i.NUMBER15" _
 & ",i.NUMBER16" _
 & ",i.NUMBER17" _
 & ",i.NUMBER18" _
 & ",i.NUMBER19" _
 & ",i.NUMBER20" _
 & ",CONVERT(VARCHAR,i.DATE5,111) AS DATE5" _
 & ",CONVERT(VARCHAR,i.DATE6,111) AS DATE6" _
 & ",CONVERT(VARCHAR,i.DATE7,111) AS DATE7" _
 & ",CONVERT(VARCHAR,i.DATE8,111) AS DATE8" _
 & ",a13.CNT_RNM AS CNT_RNM13" _
 & ",a14.CNT_RNM AS CNT_RNM14" _
 & ",a15.CNT_RNM AS CNT_RNM15" _
 & ",a16.CNT_RNM AS CNT_RNM16" _
 & ",a17.CNT_RNM AS CNT_RNM17" _
 & ",a18.CNT_RNM AS CNT_RNM18" _
 & ",a19.CNT_RNM AS CNT_RNM19" _
 & ",a20.CNT_RNM AS CNT_RNM20" _
 & ",a21.CNT_RNM AS CNT_RNM21" _
 & ",a22.CNT_RNM AS CNT_RNM22" _
 & ",a23.CNT_RNM AS CNT_RNM23" _
 & ",a24.CNT_RNM AS CNT_RNM24" _
 & ",i.TEXT21" _
 & ",i.TEXT22" _
 & ",i.TEXT23" _
 & ",i.TEXT24" _
 & ",i.TEXT25" _
 & ",i.TEXT26" _
 & ",i.TEXT27" _
 & ",i.TEXT28" _
 & ",i.TEXT29" _
 & ",i.TEXT30" _
 & ",i.NUMBER21" _
 & ",i.NUMBER22" _
 & ",i.NUMBER23" _
 & ",i.NUMBER24" _
 & ",i.NUMBER25" _
 & ",i.NUMBER26" _
 & ",i.NUMBER27" _
 & ",i.NUMBER28" _
 & ",i.NUMBER29" _
 & ",i.NUMBER30" _
 & ",CONVERT(VARCHAR,i.DATE9,111) AS DATE9" _
 & ",CONVERT(VARCHAR,i.DATE10,111) AS DATE10" _
 & ",CONVERT(VARCHAR,i.DATE11,111) AS DATE11" _
 & ",CONVERT(VARCHAR,i.DATE12,111) AS DATE12" _
 & ",a25.CNT_RNM AS CNT_RNM25" _
 & ",a26.CNT_RNM AS CNT_RNM26" _
 & ",a27.CNT_RNM AS CNT_RNM27" _
 & ",a28.CNT_RNM AS CNT_RNM28" _
 & ",a29.CNT_RNM AS CNT_RNM29" _
 & ",a30.CNT_RNM AS CNT_RNM30" _
 & ",a31.CNT_RNM AS CNT_RNM31" _
 & ",a32.CNT_RNM AS CNT_RNM32" _
 & ",a33.CNT_RNM AS CNT_RNM33" _
 & ",a34.CNT_RNM AS CNT_RNM34" _
 & ",a35.CNT_RNM AS CNT_RNM35" _
 & ",a36.CNT_RNM AS CNT_RNM36"
	''' <summary>
	''' テーブル
	''' </summary>
	Private Const sqlTblMe = "" _
	& " INNER JOIN MTI_ASST2 AS i			 ON s.PATIENT_NO         = i.PATIENT_NO" _
	& "										AND s.HSP_HISTORY_NO     = i.HSP_HISTORY_NO" _
	& "										AND s.CH_NO              = i.CH_NO" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a1  ON 'COMBO1'			 = a1.SPT_FIELD_NM" _
	& "										AND i.COMBO1             = a1.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a2  ON 'COMBO2'			 = a2.SPT_FIELD_NM" _
	& "										AND i.COMBO2             = a2.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a3  ON 'COMBO3'			 = a3.SPT_FIELD_NM" _
	& "										AND i.COMBO3             = a3.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a4  ON 'COMBO4'			 = a4.SPT_FIELD_NM" _
	& "										AND i.COMBO4             = a4.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a5  ON 'COMBO5'			 = a5.SPT_FIELD_NM" _
	& "										AND i.COMBO5             = a5.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a6  ON 'COMBO6'			 = a6.SPT_FIELD_NM" _
	& "										AND i.COMBO6             = a6.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a7  ON 'COMBO7'			 = a7.SPT_FIELD_NM" _
	& "										AND i.COMBO7             = a7.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a8  ON 'COMBO8'			 = a8.SPT_FIELD_NM" _
	& "										AND i.COMBO8             = a8.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a9  ON 'COMBO9'			 = a9.SPT_FIELD_NM" _
	& "										AND i.COMBO9             = a9.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a10 ON 'COMBO10'			 = a10.SPT_FIELD_NM" _
	& "										AND i.COMBO10            = a10.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a11 ON 'COMBO11'			 = a11.SPT_FIELD_NM" _
	& "										AND i.COMBO11            = a11.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a12 ON 'COMBO12'			 = a12.SPT_FIELD_NM" _
	& "										AND i.COMBO12            = a12.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a13 ON 'COMBO13'			 = a13.SPT_FIELD_NM" _
	& "										AND i.COMBO13            = a13.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a14 ON 'COMBO14'			 = a14.SPT_FIELD_NM" _
	& "										AND i.COMBO14            = a14.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a15 ON 'COMBO15'			 = a15.SPT_FIELD_NM" _
	& "										AND i.COMBO15            = a15.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a16 ON 'COMBO16'			 = a16.SPT_FIELD_NM" _
	& "										AND i.COMBO16            = a16.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a17 ON 'COMBO17'			 = a17.SPT_FIELD_NM" _
	& "										AND i.COMBO17            = a17.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a18 ON 'COMBO18'			 = a18.SPT_FIELD_NM" _
	& "										AND i.COMBO18            = a18.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a19 ON 'COMBO19'			 = a19.SPT_FIELD_NM" _
	& "										AND i.COMBO19            = a19.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a20 ON 'COMBO20'			 = a20.SPT_FIELD_NM" _
	& "										AND i.COMBO20            = a20.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a21 ON 'COMBO21'			 = a21.SPT_FIELD_NM" _
	& "										AND i.COMBO21            = a21.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a22 ON 'COMBO22'			 = a22.SPT_FIELD_NM" _
	& "										AND i.COMBO22            = a22.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a23 ON 'COMBO23'			 = a23.SPT_FIELD_NM" _
	& "										AND i.COMBO23            = a23.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a24 ON 'COMBO24'			 = a24.SPT_FIELD_NM" _
	& "										AND i.COMBO24            = a24.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a25 ON 'COMBO25'			 = a25.SPT_FIELD_NM" _
	& "										AND i.COMBO25            = a25.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a26 ON 'COMBO26'			 = a26.SPT_FIELD_NM" _
	& "										AND i.COMBO26            = a26.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a27 ON 'COMBO27'			 = a27.SPT_FIELD_NM" _
	& "										AND i.COMBO27            = a27.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a28 ON 'COMBO28'			 = a28.SPT_FIELD_NM" _
	& "										AND i.COMBO28            = a28.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a29 ON 'COMBO29'			 = a29.SPT_FIELD_NM" _
	& "										AND i.COMBO29            = a29.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a30 ON 'COMBO30'			 = a30.SPT_FIELD_NM" _
	& "										AND i.COMBO30            = a30.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a31 ON 'COMBO31'			 = a31.SPT_FIELD_NM" _
	& "										AND i.COMBO31            = a31.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a32 ON 'COMBO32'			 = a32.SPT_FIELD_NM" _
	& "										AND i.COMBO32            = a32.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a33 ON 'COMBO33'			 = a33.SPT_FIELD_NM" _
	& "										AND i.COMBO33            = a33.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a34 ON 'COMBO34'			 = a34.SPT_FIELD_NM" _
	& "										AND i.COMBO34            = a34.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a35 ON 'COMBO35'			 = a35.SPT_FIELD_NM" _
	& "										AND i.COMBO35            = a35.CNT_CD" _
	& " LEFT JOIN (" & sqlTblMst & ") AS a36 ON 'COMBO36'			 = a36.SPT_FIELD_NM" _
	& "										AND i.COMBO36            = a36.CNT_CD"

	''' <summary>
	''' テーブル
	''' </summary>
	Private Const sqlTblMst = _
	"SELECT" _
	& " m1.ITEM_CD" _
	& ",m1.CNT_CD" _
	& ",m1.CNT_RNM" _
	& ",m2.SPT_FIELD_NM" _
	& " FROM MTM_ASST2_CNT m1" _
	& ", MTM_ASST2_ITM m2" _
	& " WHERE m1.ITEM_CD = m2.ITEM_CD"

	''' <summary>
	''' Order句
	''' </summary>
	Private Const sqlOrder As String = _
	  " ORDER BY" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO"

	''' <summary>
	''' ヘッダ項目（TM_補足項目２項目マスタ）の取得
	''' </summary>
	Public Const sqlSel_Header_Mtm_Asst2_Itm As String = _
	  "SELECT" _
	& " SPT_FIELD_NM AS ITEM_CD" _
	& ",ITEM_RNM" _
	& ",ITEM_NM" _
	& " FROM MTM_ASST2_ITM" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

#End Region

End Class