﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 管理物情報　検索結果更新(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR160F030

	''' <summary>
	'''　TM_貸出物マスタより管理物名称を取得
	''' </summary>
	Public Const sqlSel_MTM_LENDITEM As String = _
	  "SELECT LENDITEM_NM FROM MTM_LENDITEM" _
	 & " WHERE LENDITEM_CD = " & sqlMSRCOMMON.prmLENDITEM_CD


	''' <summary>
	''' 管理物情報更新
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd As String = "" _
	& "UPDATE MTI_LENDITM SET" _
	& " LASTUPD_DT		=" & sqlMSRCOMMON.prmLASTUPD_DT _
	& ",LASTUPDUSER_CD	=" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "{0}" _
	& " FROM MTW_SEARCH_WORK AS w" _
	& " INNER JOIN MTI_LENDITM" _
	& "    ON w.PATIENT_NO		= MTI_LENDITM.PATIENT_NO" _
	& "   AND w.HSP_HISTORY_NO	= MTI_LENDITM.HSP_HISTORY_NO" _
	& "   AND w.CH_NO			= MTI_LENDITM.CH_NO" _
	& "{1}" _
	& " WHERE w.HOST_NM			= " & sqlMSRCOMMON.prmHOST_NM

	Public Const prmRECEIPT_DT As String = "@RECEIPT_DT"			'受領日
	Public Const prmMNGSTATUS_CD As String = "@MNGSTATUS_CD"		'管理状況コード
	Public Const prmKEEPLCT_CD As String = "@KEEPLCT_CD"			'保管場所コード

	'上記SQL{0}にセットされる項目
	Public Const sqlCol_ReceiptDt_M As String = ",RECORD_RECEIPT_DT = {0}"						'カルテ	受領日
	Public Const sqlCol_MngStatus_M As String = ",RECORD_MNGSTATUS_CD = " & prmMNGSTATUS_CD		'		管理状況
	Public Const sqlCol_KeepLct_M As String = ",RECORD_KEEPLCT_CD = " & prmKEEPLCT_CD			'		保管場所		

	Public Const sqlCol_ReceiptDt_S As String = ",SUMMARY_RECEIPT_DT = {0}"						'サマリ	受領日
	Public Const sqlCol_MngStatus_S As String = ",SUMMARY_MNGSTATUS_CD = " & prmMNGSTATUS_CD	'		管理状況
	Public Const sqlCol_KeepLct_S As String = ",SUMMARY_KEEPLCT_CD = " & prmKEEPLCT_CD			'		保管場所

	Public Const sqlCol_ReceiptDt_1 As String = ",OTHER1_RECEIPT_DT = {0}"						'他１	受領日
	Public Const sqlCol_MngStatus_1 As String = ",OTHER1_MNGSTATUS_CD = " & prmMNGSTATUS_CD		'		管理状況
	Public Const sqlCol_KeepLct_1 As String = ",OTHER1_KEEPLCT_CD = " & prmKEEPLCT_CD			'		保管場所

	Public Const sqlCol_ReceiptDt_2 As String = ",OTHER2_RECEIPT_DT = {0}"						'他２	受領日
	Public Const sqlCol_MngStatus_2 As String = ",OTHER2_MNGSTATUS_CD = " & prmMNGSTATUS_CD		'		管理状況
	Public Const sqlCol_KeepLct_2 As String = ",OTHER2_KEEPLCT_CD = " & prmKEEPLCT_CD			'		保管場所

	Public Const sqlCol_ReceiptDt_3 As String = ",OTHER3_RECEIPT_DT = {0}"						'他３	受領日
	Public Const sqlCol_MngStatus_3 As String = ",OTHER3_MNGSTATUS_CD = " & prmMNGSTATUS_CD		'		管理状況
	Public Const sqlCol_KeepLct_3 As String = ",OTHER3_KEEPLCT_CD = " & prmKEEPLCT_CD			'		保管場所

	'上記SQL{0}にセットされる更新対象項目
	Public Const sqlCol_H_EndDt = " MTI_HSP.OUT_HSP_DT"
	Public Const sqlCol_C_EndDt = " MTI_CH.END_DT"

	'上記SQL{1}にセットされるJOIN句
	Public Const sqlJoin_H = "" _
	& " INNER JOIN MTI_HSP" _
	& "    ON w.PATIENT_NO		= MTI_HSP.PATIENT_NO" _
	& "   AND w.HSP_HISTORY_NO	= MTI_HSP.HSP_HISTORY_NO"

	Public Const sqlJoin_C = "" _
	& " INNER JOIN MTI_CH" _
	& "    ON w.PATIENT_NO		= MTI_CH.PATIENT_NO" _
	& "   AND w.HSP_HISTORY_NO	= MTI_CH.HSP_HISTORY_NO" _
	& "   AND w.CH_NO			= MTI_CH.CH_NO"

End Class
