﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 監査情報一覧(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR180F010

#Region "件数取得"
	''' <summary>
	''' 件数取得
	''' </summary>
	Public Const sqlSel_Cnt As String = _
	"SELECT COUNT(*) AS CNT" _
	& " FROM MTT_SEARCH_RESULT AS s" _
	& " INNER JOIN MTI_INSPECT AS i" _
	& "    ON s.PATIENT_NO     = i.PATIENT_NO" _
	& "   AND s.HSP_HISTORY_NO = i.HSP_HISTORY_NO" _
	& "   AND s.CH_NO          = i.CH_NO" _
	& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO

#End Region

#Region "一覧取得"

	''' <summary>
	''' 一覧取得
	''' </summary>
	Public Const sqlSel_List As String = _
	  "SELECT " _
	& sqlColBHC _
	& sqlColMe _
	& " FROM MTT_SEARCH_RESULT AS s" _
	& sqlTblMe _
	& sqlTblBHC _
	& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& sqlOrder

#Region "基本＋入退院＋科歴"
'(M) STR V4-11048-000 091 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
'	''' <summary>
'	''' 基本＋入退院＋科歴
'	''' </summary>
'	Private Const sqlColBHC As String = "" _
'	& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
'	& ",s.PATIENT_NO" _
'	& ",s.HSP_HISTORY_NO" _
'	& ",s.CH_NO" _
'	& ",b.PATIENT_NM" _
'	& ",XTM_GENDER.GENDER_NM" _
'	& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
'	& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
'	& ",(SELECT AREA_RNM " _
'	& "  FROM MTM_AREA " _
'	& " WHERE AREA_CD = " _
'	& "( " _
'	& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
'	& "  WHERE PATIENT_NO = s.PATIENT_NO" _
'	& "  ORDER BY" _
'	& " HSP_HISTORY_NO DESC" _
'	& ",CH_NO DESC" _
'	& " )" _
'	& ") AS NEW_AREA_RNM" _
'	& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
'	& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
'	& ",d.DEATH_AGE" _
'	& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
'	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
'	& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
'	& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
'	& ",c.BYOREKI_NO" _
'	& ",MTM_DEPT.DEPT_RNM" _
'	& ",MTM_WARD.WARD_RNM" _
'	& ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
'	& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
'	& ",MTM_HSP_CNL.HSP_CNL_RNM" _
'	& ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
'	& ",c.END_AGE" _
'	& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
'	& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
'	& ",c.HSP_DAYS"
'(M) STR V4-12051-000 093 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
	'Private Const sqlColBHC As String = "" _
	'& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
	'& ",s.PATIENT_NO" _
	'& ",s.HSP_HISTORY_NO" _
	'& ",s.CH_NO" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
	'& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
	'& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
	'& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
	'& ",(SELECT AREA_RNM " _
	'& "  FROM MTM_AREA " _
	'& " WHERE AREA_CD = " _
	'& "( " _
	'& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
	'& "  WHERE PATIENT_NO = s.PATIENT_NO" _
	'& "  ORDER BY" _
	'& " HSP_HISTORY_NO DESC" _
	'& ",CH_NO DESC" _
	'& " )" _
	'& ") AS NEW_AREA_RNM" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
	'& ",d.DEATH_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
	'& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
	'& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
	'& ",c.BYOREKI_NO" _
	'& ",MTM_DEPT.DEPT_RNM" _
	'& ",MTM_WARD.WARD_RNM" _
	'& ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
	'& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
	'& ",MTM_HSP_CNL.HSP_CNL_RNM" _
	'& ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
	'& ",c.END_AGE" _
	'& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
	'& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",c.HSP_DAYS"
    ' ''' <summary>
    ' ''' 基本＋入退院＋科歴
    ' ''' </summary>
'(M) STR V4-15024-000 099 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
'    Private Const sqlColBHC As String = "" _
'    & sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
'    & ",s.PATIENT_NO" _
'    & ",s.HSP_HISTORY_NO" _
'    & ",s.CH_NO" _
'    & ",b.PATIENT_NM" _
'    & ",b.PATIENT_KNM" _
'    & ",XTM_GENDER.GENDER_NM" _
'    & ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
'    & ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
'    & ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
'    & ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
'    & ",(SELECT AREA_RNM " _
'    & "  FROM MTM_AREA " _
'    & " WHERE AREA_CD = " _
'    & "( " _
'    & " SELECT TOP 1 AREA_CD FROM MTI_CH" _
'    & "  WHERE PATIENT_NO = s.PATIENT_NO" _
'    & "  ORDER BY" _
'    & " HSP_HISTORY_NO DESC" _
'    & ",CH_NO DESC" _
'    & " )" _
'    & ") AS NEW_AREA_RNM" _
'    & ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
'    & ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
'    & ",d.DEATH_AGE" _
'    & ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
'    & ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
'    & "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
'    & ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
'    & ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
'    & ",c.BYOREKI_NO" _
'    & ",MTM_DEPT.DEPT_RNM" _
'    & ",MTM_WARD.WARD_CD" _
'    & ",MTM_WARD.WARD_RNM" _
'    & ",MTM_WARD.DSPORDER AS WARD_DSPORDER" _
'    & ",C_STAFF.STAFF_CD  AS C_STAFF_CD" _
'    & ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
'    & ",C_STAFF.DSPORDER  AS C_STAFF_DSPORDER" _
'    & ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
'    & ",MTM_HSP_CNL.HSP_CNL_RNM" _
'    & ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
'    & ",c.END_AGE" _
'    & ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
'    & ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
'    & ",c.HSP_DAYS"
    ''' <summary>
    ''' 基本＋入退院＋科歴
    ''' </summary>
	Private Const sqlColBHC As String = "" _
	& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
	& ",s.PATIENT_NO" _
	& ",s.HSP_HISTORY_NO" _
	& ",s.CH_NO" _
	& ",b.PATIENT_NM" _
	& ",b.PATIENT_KNM" _
	& ",XTM_GENDER.GENDER_NM" _
	& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
	& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
	& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
	& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
	& ",(SELECT AREA_RNM " _
	& "  FROM MTM_AREA " _
	& " WHERE AREA_CD = " _
	& "( " _
	& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
	& "  WHERE PATIENT_NO = s.PATIENT_NO" _
	& "  ORDER BY" _
	& " HSP_HISTORY_NO DESC" _
	& ",CH_NO DESC" _
	& " )" _
	& ") AS NEW_AREA_RNM" _
	& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
	& ",d.DEATH_AGE" _
	& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
	& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
	& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
	& ",c.BYOREKI_NO" _
	& ",MTM_DEPT.DEPT_RNM" _
	& ",MTM_DEPT.DSPORDER AS DEPT_DSPORDER" _
	& ",c.DEPT_CD" _
	& ",MTM_WARD.WARD_CD" _
	& ",MTM_WARD.WARD_RNM" _
	& ",MTM_WARD.DSPORDER AS WARD_DSPORDER" _
	& ",C_STAFF.STAFF_CD  AS C_STAFF_CD" _
	& ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
	& ",C_STAFF.DSPORDER  AS C_STAFF_DSPORDER" _
	& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
	& ",MTM_HSP_CNL.HSP_CNL_RNM" _
	& ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
	& ",c.END_AGE" _
	& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
	& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",c.HSP_DAYS"
'(M) END V4-15024-000 099 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
'(M) END V4-12051-000 093 2013/01/23
'(M) END V4-11048-000 091 20110915
	''' <summary>
	''' 基本＋入退院＋科歴　テーブル
	''' </summary>
   Private Const sqlTblBHC As String = "" _
	& " LEFT JOIN MTI_CH AS c              ON s.PATIENT_NO     = c.PATIENT_NO" _
	& "                                   AND s.HSP_HISTORY_NO = c.HSP_HISTORY_NO" _
	& "                                   AND s.CH_NO          = c.CH_NO" _
	& " LEFT JOIN MTI_HSP AS H             ON s.PATIENT_NO     = h.PATIENT_NO" _
	& "                                   AND s.HSP_HISTORY_NO = h.HSP_HISTORY_NO" _
	& " LEFT JOIN XTI_BASICINFO AS B       ON s.PATIENT_NO     = b.PATIENT_NO" _
	& " LEFT JOIN MTI_DEATH AS d           ON s.PATIENT_NO          = d.PATIENT_NO" _
	& " LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& " LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& " LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& " LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	& " LEFT JOIN MTM_DEPT                 ON c.DEPT_CD             = MTM_DEPT.DEPT_CD" _
	& " LEFT JOIN MTM_WARD                 ON c.WARD_CD             = MTM_WARD.WARD_CD" _
	& " LEFT JOIN XTM_STAFF AS C_STAFF     ON c.DOCTOR_CD           = C_STAFF.STAFF_CD" _
	& " LEFT JOIN MTM_HSP_CNL              ON c.START_CNL_CD        = MTM_HSP_CNL.HSP_CNL_CD" _
	& " LEFT JOIN MTM_OUT_HSP_CNL          ON c.END_CNL_CD          = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	& " LEFT JOIN MTM_OUT_HSP_OUTCOME      ON c.END_OUTCOME_CD      = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD"

#End Region

	''' <summary>
	''' 有無マスタ
	''' </summary>
	Private Const sqlCHK_NM_S As String = "CASE "
	Private Const sqlCHK_NM_E As String = _
	  " WHEN " & sqlMSRCOMMON.prmCHK_CD_ON & " THEN " & sqlMSRCOMMON.prmCHK_NM_ON _
	& " WHEN " & sqlMSRCOMMON.prmCHK_CD_OFF & " THEN " & sqlMSRCOMMON.prmCHK_NM_OFF _
	& " ELSE '　' END"

	''' <summary>
	''' 接続子
	''' </summary>
	Private Const sqlDELIMITER As String = " + "


	''' <summary>
	''' NULL考慮
	''' </summary>
	Private Const sqlISNULL_S As String = " ISNULL("
	Private Const sqlISNULL_E As String = ",'')"

	''' <summary>
	''' 項目
	''' </summary>
	Private Const sqlColMe As String = "" _
	& ",ROW_NUMBER() OVER(ORDER BY s.PATIENT_NO,s.HSP_HISTORY_NO,s.CH_NO) AS " & sqlMSRCOMMON.itmSORT_SEQ _
	& ",CONVERT(VARCHAR,i.INSPECT1_DT,111) AS INSPECT1_DT" _
	& ",CONVERT(VARCHAR,i.INSPECT2_DT,111) AS INSPECT2_DT" _
	& ",CONVERT(VARCHAR,i.INSPECT3_DT,111) AS INSPECT3_DT" _
	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "i.FINISHING_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "FINISHING_FLG_NM" _
	& ",CONVERT(VARCHAR,i.INSPECT_FINISHING_DT,111) AS INSPECT_FINISHING_DT" _
	& ",x00.STAFF_NM AS INSPECT_STAFF_NM" _
	& "," & sqlCHK_NM_S & "i.INSPECT001_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT001_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT001_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x01.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_001" _
	& "," & sqlCHK_NM_S & "i.INSPECT002_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT002_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT002_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x02.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_002" _
	& "," & sqlCHK_NM_S & "i.INSPECT003_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT003_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT003_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x03.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_003" _
	& "," & sqlCHK_NM_S & "i.INSPECT004_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT004_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT004_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x04.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_004" _
	& "," & sqlCHK_NM_S & "i.INSPECT005_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT005_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT005_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x05.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_005" _
	& "," & sqlCHK_NM_S & "i.INSPECT006_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT006_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT006_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x06.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_006" _
	& "," & sqlCHK_NM_S & "i.INSPECT007_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT007_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT007_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x07.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_007" _
	& "," & sqlCHK_NM_S & "i.INSPECT008_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT008_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT008_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x08.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_008" _
	& "," & sqlCHK_NM_S & "i.INSPECT009_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT009_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT009_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x09.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_009" _
	& "," & sqlCHK_NM_S & "i.INSPECT010_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT010_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT010_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x10.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_010" _
	& "," & sqlCHK_NM_S & "i.INSPECT011_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT011_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT011_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x11.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_011" _
	& "," & sqlCHK_NM_S & "i.INSPECT012_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT012_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT012_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x12.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_012" _
	& "," & sqlCHK_NM_S & "i.INSPECT013_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT013_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT013_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x13.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_013" _
	& "," & sqlCHK_NM_S & "i.INSPECT014_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT014_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT014_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x14.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_014" _
	& "," & sqlCHK_NM_S & "i.INSPECT015_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT015_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT015_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x15.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_015" _
	& "," & sqlCHK_NM_S & "i.INSPECT016_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT016_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT016_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x16.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_016" _
	& "," & sqlCHK_NM_S & "i.INSPECT017_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT017_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT017_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x17.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_017" _
	& "," & sqlCHK_NM_S & "i.INSPECT018_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT018_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT018_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x18.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_018" _
	& "," & sqlCHK_NM_S & "i.INSPECT019_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT019_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT019_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x19.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_019" _
	& "," & sqlCHK_NM_S & "i.INSPECT020_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT020_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT020_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x20.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_020" _
	& "," & sqlCHK_NM_S & "i.INSPECT021_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT021_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT021_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x21.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_021" _
	& "," & sqlCHK_NM_S & "i.INSPECT022_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT022_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT022_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x22.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_022" _
	& "," & sqlCHK_NM_S & "i.INSPECT023_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT023_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT023_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x23.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_023" _
	& "," & sqlCHK_NM_S & "i.INSPECT024_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT024_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT024_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x24.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_024" _
	& "," & sqlCHK_NM_S & "i.INSPECT025_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT025_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT025_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x25.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_025" _
	& "," & sqlCHK_NM_S & "i.INSPECT026_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT026_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT026_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x26.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_026" _
	& "," & sqlCHK_NM_S & "i.INSPECT027_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT027_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT027_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x27.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_027" _
	& "," & sqlCHK_NM_S & "i.INSPECT028_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT028_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT028_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x28.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_028" _
	& "," & sqlCHK_NM_S & "i.INSPECT029_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT029_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT029_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x29.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_029" _
	& "," & sqlCHK_NM_S & "i.INSPECT030_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT030_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT030_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x30.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_030" _
	& "," & sqlCHK_NM_S & "i.INSPECT031_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT031_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT031_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x31.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_031" _
	& "," & sqlCHK_NM_S & "i.INSPECT032_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT032_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT032_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x32.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_032" _
	& "," & sqlCHK_NM_S & "i.INSPECT033_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT033_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT033_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x33.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_033" _
	& "," & sqlCHK_NM_S & "i.INSPECT034_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT034_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT034_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x34.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_034" _
	& "," & sqlCHK_NM_S & "i.INSPECT035_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT035_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT035_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x35.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_035" _
	& "," & sqlCHK_NM_S & "i.INSPECT036_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT036_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT036_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x36.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_036" _
	& "," & sqlCHK_NM_S & "i.INSPECT037_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT037_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT037_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x37.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_037" _
	& "," & sqlCHK_NM_S & "i.INSPECT038_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT038_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT038_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x38.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_038" _
	& "," & sqlCHK_NM_S & "i.INSPECT039_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT039_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT039_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x39.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_039" _
	& "," & sqlCHK_NM_S & "i.INSPECT040_1" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT040_2" & sqlCHK_NM_E & sqlDELIMITER & sqlCHK_NM_S & "i.INSPECT040_3" & sqlCHK_NM_E & sqlDELIMITER & sqlISNULL_S & "x40.STAFF_NM" & sqlISNULL_E & " AS INSPECT_ITEM_040"

	''' <summary>
	''' テーブル
	''' </summary>
	Private Const sqlTblMe = "" _
	& " INNER JOIN MTI_INSPECT AS i		 ON s.PATIENT_NO        = i.PATIENT_NO" _
	& "									AND s.HSP_HISTORY_NO	= i.HSP_HISTORY_NO" _
	& "									AND s.CH_NO             = i.CH_NO" _
	& " LEFT JOIN XTM_STAFF	   AS x00    ON i.AUDITOR_CD	    = x00.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x01    ON i.DOCTOR001_CD      = x01.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x02    ON i.DOCTOR002_CD      = x02.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x03    ON i.DOCTOR003_CD      = x03.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x04    ON i.DOCTOR004_CD      = x04.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x05    ON i.DOCTOR005_CD      = x05.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x06    ON i.DOCTOR006_CD      = x06.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x07    ON i.DOCTOR007_CD      = x07.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x08    ON i.DOCTOR008_CD      = x08.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x09    ON i.DOCTOR009_CD      = x09.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x10    ON i.DOCTOR010_CD      = x10.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x11    ON i.DOCTOR011_CD      = x11.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x12    ON i.DOCTOR012_CD      = x12.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x13    ON i.DOCTOR013_CD      = x13.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x14    ON i.DOCTOR014_CD      = x14.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x15    ON i.DOCTOR015_CD      = x15.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x16    ON i.DOCTOR016_CD      = x16.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x17    ON i.DOCTOR017_CD      = x17.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x18    ON i.DOCTOR018_CD      = x18.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x19    ON i.DOCTOR019_CD      = x19.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x20    ON i.DOCTOR020_CD      = x20.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x21    ON i.DOCTOR021_CD      = x21.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x22    ON i.DOCTOR022_CD      = x22.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x23    ON i.DOCTOR023_CD      = x23.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x24    ON i.DOCTOR024_CD      = x24.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x25    ON i.DOCTOR025_CD      = x25.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x26    ON i.DOCTOR026_CD      = x26.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x27    ON i.DOCTOR027_CD      = x27.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x28    ON i.DOCTOR028_CD      = x28.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x29    ON i.DOCTOR029_CD      = x29.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x30    ON i.DOCTOR030_CD      = x30.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x31    ON i.DOCTOR031_CD      = x31.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x32    ON i.DOCTOR032_CD      = x32.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x33    ON i.DOCTOR033_CD      = x33.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x34    ON i.DOCTOR034_CD      = x34.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x35    ON i.DOCTOR035_CD      = x35.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x36    ON i.DOCTOR036_CD      = x36.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x37    ON i.DOCTOR037_CD      = x37.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x38    ON i.DOCTOR038_CD      = x38.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x39    ON i.DOCTOR039_CD      = x39.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF	   AS x40    ON i.DOCTOR040_CD      = x40.STAFF_CD"

	''' <summary>
	''' Order句
	''' </summary>
	Private Const sqlOrder As String = _
	  " ORDER BY" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO"

	''' <summary>
	''' ヘッダ項目（TM_監査マスタ）の取得
	''' </summary>
	Public Const sqlSel_Header_Mtm_Inspect As String = _
	  "SELECT" _
	& " INSPECT_CD AS ITEM_CD" _
	& ",ITEM_RNM" _
	& ",ITEM_NM" _
	& " FROM MTM_INSPECT" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

#End Region

End Class