﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' バージョン４．１６．０．ＸバージョンUP
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class sqlVer4_16_0_0

	'バージョン情報更新　（！！！すべてのバージョンにこのSQLが必要！！！）
	'MIN_VERのみ変更をしていってください。sqlVer4_XX_0_0のXXをMIN_VERに設定するように！
	Public Shared ReadOnly sqlInsVersion As String = _
	"IF EXISTS (SELECT ID FROM XTM_VERSION ) DELETE FROM XTM_VERSION" & vbCrLf & vbCrLf _
	& "INSERT INTO XTM_VERSION" _
	& "(ID,MEG_VER,MIN_VER,BLD_VER,REV_VER,REMARKS,LASTUPDUSER_CD,LASTUPD_DT) VALUES(" _
	& "'1',4,16,0,0,NULL,'" & clsConst.CST_ADMIN_USER & "','" & Now.ToString & "')"

'(A) STR V4-14030-000 543 20130704 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
	'１．LTM_明細一括作成テーブル（LTM_MNGITEM_DEFINITION）を新規作成
	'・LTM_明細一括作成テーブルを削除
	Public Shared ReadOnly sql001 As String = _
	"IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LTM_MNGITEM_DEFINITION]') AND type in (N'U'))" _
	& " DROP TABLE [dbo].[LTM_MNGITEM_DEFINITION]"

	'・LTM_明細一括作成テーブルを新規作成
	Public Shared ReadOnly sql002 As String = _
	"CREATE TABLE [dbo].[LTM_MNGITEM_DEFINITION](" _
	& " 	[MNGITEM_CD] [nvarchar](3) NOT NULL," _
	& " 	[PRE_CD] [nvarchar](1) NULL," _
	& " 	[UNIT_CD] [nvarchar](1) NULL," _
	& " 	[DATATYPE_CD] [nvarchar](1) NULL," _
	& " 	[COPYSTOP_FLG] [int] NULL," _
	& " 	[IMPSTOP_FLG] [int] NULL," _
	& " 	[BYOREKI_FLG] [nvarchar](1) NULL," _
	& " 	[BYOREKI_NO] [nvarchar](10) NULL," _
	& " 	[DIV1_FLG] [nvarchar](1) NULL," _
	& " 	[DIV1_CD] [nvarchar](10) NULL," _
	& " 	[DIV2_FLG] [nvarchar](1) NULL," _
	& " 	[DIV2_CD] [nvarchar](10) NULL," _
	& " 	[FIRSTRECEIVING_FLG] [nvarchar](1) NULL," _
	& " 	[FIRSTRECEIVING_DT] [nvarchar](10) NULL," _
	& " 	[RECIPIENT_FLG] [nvarchar](1) NULL," _
	& " 	[RECIPIENT_CD] [nvarchar](8) NULL," _
	& " 	[KEEPLCT_CD] [nvarchar](3) NULL," _
	& " 	[MNGSTATUS_CD] [nvarchar](2) NULL," _
	& " 	[REMARKS_FLG] [nvarchar](1) NULL," _
	& " 	[REMARKS] [nvarchar](100) NULL," _
	& " 	[DATE1_FLG] [nvarchar](1) NULL," _
	& " 	[DATE1] [nvarchar](10) NULL," _
	& " 	[DATE2_FLG] [nvarchar](1) NULL," _
	& " 	[DATE2] [nvarchar](10) NULL," _
	& " 	[DOCTOR_FLG] [nvarchar](1) NULL," _
	& " 	[DOCTOR_CD] [nvarchar](8) NULL," _
	& " 	[MNGITEMCMB1_FLG] [nvarchar](1) NULL," _
	& " 	[MNGITEMCMB1] [nvarchar](5) NULL," _
	& " 	[MNGITEMCMB2_FLG] [nvarchar](1) NULL," _
	& " 	[MNGITEMCMB2] [nvarchar](5) NULL," _
	& " 	[MNGITEMTEXT1_FLG] [nvarchar](1) NULL," _
	& " 	[MNGITEMTEXT1] [nvarchar](10) NULL," _
	& " 	[MNGITEMTEXT2_FLG] [nvarchar](1) NULL," _
	& " 	[MNGITEMTEXT2] [nvarchar](10) NULL," _
	& " 	[MNGITEMCHK1_FLG] [nvarchar](1) NULL," _
	& " 	[MNGITEMCHK1] [int] NULL," _
	& " 	[MNGITEMCHK2_FLG] [nvarchar](1) NULL," _
	& " 	[MNGITEMCHK2] [int] NULL," _
	& " 	[MNGITEMCHK3_FLG] [nvarchar](1) NULL," _
	& " 	[MNGITEMCHK3] [int] NULL," _
	& " 	[MNGITEMCHK4_FLG] [nvarchar](1) NULL," _
	& " 	[MNGITEMCHK4] [int] NULL," _
	& " 	[LASTUPDUSER_CD] [nvarchar](8) NOT NULL," _
	& " 	[LASTUPD_DT] [datetime] NOT NULL," _
	& " CONSTRAINT [PK_LTM_MNGITEM_DEFINITION] PRIMARY KEY CLUSTERED " _
	& " (" _
	& " 	[MNGITEM_CD] ASC" _
	& " )WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]" _
	& " ) ON [PRIMARY]"

	'・LTM_明細一括作成テーブルに初期値を定義（最終更新者コードのデフォルトをZZZZにする）
	Public Shared ReadOnly sql003 As String = _
	"ALTER TABLE [dbo].[LTM_MNGITEM_DEFINITION] ADD  DEFAULT ('" & clsConst.CST_ADMIN_USER & "') FOR [LASTUPDUSER_CD]"

	'・LTM_明細一括作成テーブルに初期値を定義（最終更新日のデフォルトをサーバのシステム日付にする）
	Public Shared ReadOnly sql004 As String = _
	"ALTER TABLE [dbo].[LTM_MNGITEM_DEFINITION] ADD  CONSTRAINT [DF_LTM_MNGITEM_DEFINITION_LASTUPD_DT]  DEFAULT (getdate()) FOR [LASTUPD_DT]"

	'２．LTW_患者入退院歴一覧テーブル（LTT_IMP_LOG_BASIC_HSP）を新規作成
	'・LTW_患者入退院歴一覧テーブルを削除
	Public Shared ReadOnly sql005 As String = _
	"IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LTT_IMP_LOG_BASIC_HSP]') AND type in (N'U'))" _
	& " DROP TABLE [dbo].[LTT_IMP_LOG_BASIC_HSP]"

	'・LTW_患者入退院歴一覧テーブルを新規作成
	Public Shared ReadOnly sql006 As String = _
	"CREATE TABLE [dbo].[LTT_IMP_LOG_BASIC_HSP](" _
	& " 	[REG_DT] [datetime] NOT NULL," _
	& " 	[SERIAL_NO] [int] NOT NULL," _
	& " 	[ERR_FLG] [int] NULL," _
	& " 	[DATA_TYPE] [nvarchar](255) NULL," _
	& " 	[MNGITEM_CD] [nvarchar](255) NOT NULL," _
	& " 	[PATIENT_NO] [nvarchar](255) NULL," _
	& " 	[PATIENT_NM] [nvarchar](255) NULL," _
	& " 	[PATIENT_KNM] [nvarchar](255) NULL," _
	& " 	[GENDER_CD] [nvarchar](255) NULL," _
	& " 	[BIRTH_DT] [nvarchar](255) NULL," _
	& " 	[BLOODTYPE_CD] [nvarchar](255) NULL," _
	& " 	[RH_CD] [nvarchar](255) NULL," _
	& " 	[BYOREKI_NO] [nvarchar](255) NULL," _
	& " 	[DEPT_CD] [nvarchar](255) NULL," _
	& " 	[MAIN_DPM_FLG] [nvarchar](255) NULL," _
	& " 	[HSP_CNL_CD] [nvarchar](255) NULL," _
	& " 	[HSP_DT] [nvarchar](255) NULL," _
	& " 	[HSP_FLG] [nvarchar](255) NULL," _
	& " 	[HSP_TIME] [nvarchar](255) NULL," _
	& " 	[OUT_HSP_DT] [nvarchar](255) NULL," _
	& " 	[OUT_HSP_FLG] [nvarchar](255) NULL," _
	& " 	[OUT_HSP_TIME] [nvarchar](255) NULL," _
	& " 	[OUT_HSP_CNL_CD] [nvarchar](255) NULL," _
	& " 	[OUT_HSP_OUTCOME_CD] [nvarchar](255) NULL," _
	& " 	[WARD_CD] [nvarchar](255) NULL," _
	& " 	[MAIN_WARD_FLG] [nvarchar](255) NULL," _
	& " 	[DOCTOR_DIV] [nvarchar](255) NULL," _
	& " 	[DOCTOR_CD] [nvarchar](255) NULL," _
	& " 	[ATTEND_START_DT] [nvarchar](255) NULL," _
	& " 	[ATTEND_END_DT] [nvarchar](255) NULL," _
	& " 	[TAKE_AMBULANCE_CHK] [nvarchar](255) NULL," _
	& " 	[INTRODUCTION_CHK] [nvarchar](255) NULL," _
	& " 	[ZIP_CD] [nvarchar](255) NULL," _
	& " 	[AREA_CD] [nvarchar](255) NULL," _
	& " 	[ADDRESS_NM] [nvarchar](255) NULL," _
	& " 	[TELNUMBER] [nvarchar](255) NULL," _
	& " 	[NATIONALITY_CD] [nvarchar](255) NULL," _
	& " 	[DOMICILE_ADDRESS_CD] [nvarchar](255) NULL," _
	& " 	[DOMICILE_ADDRESS] [nvarchar](255) NULL," _
	& " 	[INSURANCE_CD1] [nvarchar](255) NULL," _
	& " 	[INSURANCE_CD2] [nvarchar](255) NULL," _
	& " 	[INSURANCE_CD3] [nvarchar](255) NULL," _
	& " 	[FIRST_DIAGNOSIS_DT] [nvarchar](255) NULL," _
	& " 	[RELATION_PATIENT_NO] [nvarchar](255) NULL," _
	& " 	[HOUSEHOLDER_NM] [nvarchar](255) NULL," _
	& " 	[RELATION_CD] [nvarchar](255) NULL," _
	& " 	[TO_DEPT_DOCTOR_DIV] [nvarchar](255) NULL," _
	& " 	[TO_DEPT_DOCTOR_CD] [nvarchar](255) NULL," _
	& " 	[TO_DEPT_BYOREKI_NO] [nvarchar](255) NULL," _
	& " 	[DPC_HSP] [nvarchar](255) NULL," _
	& " 	[SPARE01] [nvarchar](255) NULL," _
	& " 	[SPARE02] [nvarchar](255) NULL," _
	& " 	[SPARE03] [nvarchar](255) NULL," _
	& " 	[SPARE04] [nvarchar](255) NULL," _
	& " 	[MODULE_CD] [nvarchar](10) NULL," _
	& " 	[ERR_CD] [nvarchar](5) NULL," _
	& " 	[MESSAGE] [nvarchar](255) NULL," _
	& " 	[LASTUPDUSER_CD] [nvarchar](8) NOT NULL," _
	& " 	[LASTUPD_DT] [datetime] NOT NULL," _
	& " CONSTRAINT [PK_LTT_IMP_LOG_BASIC_HSP] PRIMARY KEY CLUSTERED " _
	& " (" _
	& " 	[REG_DT] ASC," _
	& " 	[MNGITEM_CD] ASC," _
	& " 	[SERIAL_NO] ASC" _
	& " )WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]" _
	& " ) ON [PRIMARY]"

	'・LTW_患者入退院歴一覧テーブルに初期値を定義（最終更新者コードのデフォルトをZZZZにする）
	Public Shared ReadOnly sql007 As String = _
	"ALTER TABLE [dbo].[LTT_IMP_LOG_BASIC_HSP] ADD  DEFAULT ('" & clsConst.CST_ADMIN_USER & "') FOR [LASTUPDUSER_CD]"

	'・LTW_患者入退院歴一覧テーブルに初期値を定義（最終更新日のデフォルトをサーバのシステム日付にする）
	Public Shared ReadOnly sql008 As String = _
	"ALTER TABLE [dbo].[LTT_IMP_LOG_BASIC_HSP] ADD  CONSTRAINT [DF_LTT_IMP_LOG_BASIC_HSP_LASTUPD_DT]  DEFAULT (getdate()) FOR [LASTUPD_DT]"

	'３．LTW_明細情報一覧テーブル（LTT_IMP_LOG_MNGITEMINFO）を新規作成
	'・LTW_明細情報一覧テーブルを削除
	Public Shared ReadOnly sql009 As String = _
	"IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LTT_IMP_LOG_MNGITEMINFO]') AND type in (N'U'))" _
	& " DROP TABLE [dbo].[LTT_IMP_LOG_MNGITEMINFO]"

	'・LTW_明細情報一覧テーブルを新規作成
	Public Shared ReadOnly sql010 As String = _
	"CREATE TABLE [dbo].[LTT_IMP_LOG_MNGITEMINFO](" _
	& " 	[REG_DT] [datetime] NOT NULL," _
	& " 	[SERIAL_NO] [int] NOT NULL," _
	& " 	[ERR_FLG] [int] NULL," _
	& " 	[DATA_TYPE] [nvarchar](255) NULL," _
	& " 	[PATIENT_NO] [nvarchar](255) NULL," _
	& " 	[MNGITEM_CD] [nvarchar](255) NULL," _
	& " 	[DIV1_CD] [nvarchar](255) NULL," _
	& " 	[DIV2_CD] [nvarchar](255) NULL," _
	& " 	[VOLUME_SERIAL_NO] [nvarchar](255) NULL," _
	& " 	[FIRSTRECEIVING_DT] [nvarchar](255) NULL," _
	& " 	[LASTRECEIVING_DT] [nvarchar](255) NULL," _
	& " 	[RECIPIENT_CD] [nvarchar](255) NULL," _
	& " 	[KEEPLCT_CD] [nvarchar](255) NULL," _
	& " 	[MNGSTATUS_CD] [nvarchar](255) NULL," _
	& " 	[PERM_PRESERV_FLG] [nvarchar](255) NULL," _
	& " 	[BYOREKI_NO] [nvarchar](255) NULL," _
	& " 	[DATE1] [nvarchar](255) NULL," _
	& " 	[DATE2] [nvarchar](255) NULL," _
	& " 	[DOCTOR_CD] [nvarchar](255) NULL," _
	& " 	[MNGITEMCMB1] [nvarchar](255) NULL," _
	& " 	[MNGITEMCMB2] [nvarchar](255) NULL," _
	& " 	[MNGITEMTEXT1] [nvarchar](255) NULL," _
	& " 	[MNGITEMTEXT2] [nvarchar](255) NULL," _
	& " 	[MNGITEMTEXT3] [nvarchar](255) NULL," _
	& " 	[MNGITEMCHK1] [nvarchar](255) NULL," _
	& " 	[MNGITEMCHK2] [nvarchar](255) NULL," _
	& " 	[MNGITEMCHK3] [nvarchar](255) NULL," _
	& " 	[MNGITEMCHK4] [nvarchar](255) NULL," _
	& " 	[SPARE01] [nvarchar](255) NULL," _
	& " 	[SPARE02] [nvarchar](255) NULL," _
	& " 	[SPARE03] [nvarchar](255) NULL," _
	& " 	[SPARE04] [nvarchar](255) NULL," _
	& " 	[SPARE05] [nvarchar](255) NULL," _
	& " 	[MODULE_CD] [nvarchar](10) NULL," _
	& " 	[ERR_CD] [nvarchar](5) NULL," _
	& " 	[MESSAGE] [nvarchar](255) NULL," _
	& " 	[LASTUPDUSER_CD] [nvarchar](8) NOT NULL," _
	& " 	[LASTUPD_DT] [datetime] NOT NULL," _
	& " CONSTRAINT [PK_LTT_IMP_LOG_MNGITEMINFO] PRIMARY KEY CLUSTERED " _
	& " (" _
	& " 	[REG_DT] ASC," _
	& " 	[SERIAL_NO] ASC" _
	& " )WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]" _
	& " ) ON [PRIMARY]"

	'・LTW_明細情報一覧テーブルに初期値を定義（最終更新者コードのデフォルトをZZZZにする）
	Public Shared ReadOnly sql011 As String = _
	"ALTER TABLE [dbo].[LTT_IMP_LOG_MNGITEMINFO] ADD  DEFAULT ('" & clsConst.CST_ADMIN_USER & "') FOR [LASTUPDUSER_CD]"

	'・LTW_明細情報一覧テーブルに初期値を定義（最終更新日のデフォルトをサーバのシステム日付にする）
	Public Shared ReadOnly sql012 As String = _
	"ALTER TABLE [dbo].[LTT_IMP_LOG_MNGITEMINFO] ADD  CONSTRAINT [DF_LTT_IMP_LOG_MNGITEMINFO_LASTUPD_DT]  DEFAULT (getdate()) FOR [LASTUPD_DT]"

	'４．LTM_管理物管理状況テーブル（LTM_MNGITEMMNGSTATUS）を修正
	'・LTM_管理物管理状況テーブルの内容を退避
	Public Shared ReadOnly sql013 As String = _
	"SELECT * INTO [dbo].[LTM_MNGITEMMNGSTATUS_TEMP] FROM [dbo].[LTM_MNGITEMMNGSTATUS]"

	'・LTM_管理物管理状況テーブルを削除
	Public Shared ReadOnly sql014 As String = _
	"IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LTM_MNGITEMMNGSTATUS]') AND type in (N'U'))" _
	& " DROP TABLE [dbo].[LTM_MNGITEMMNGSTATUS]"

	'・固定コード３を追加した LTM_管理物管理状況テーブルを新規作成
	Public Shared ReadOnly sql015 As String = _
	"CREATE TABLE [dbo].[LTM_MNGITEMMNGSTATUS](" _
	& " 	[MNGITEM_CD] [nvarchar](2) NOT NULL," _
	& " 	[MNGSTATUS_CD] [nvarchar](2) NOT NULL," _
	& " 	[MNGSTATUS_NM] [nvarchar](10) NOT NULL," _
	& " 	[MNGSTATUS_RNM] [nvarchar](3) NOT NULL," _
	& " 	[COLOR_CD_R] [int] NULL," _
	& " 	[COLOR_CD_G] [int] NULL," _
	& " 	[COLOR_CD_B] [int] NULL," _
	& " 	[DSPORDER] [int] NULL," _
	& " 	[FIXED_CD1] [nvarchar](1) NULL," _
	& " 	[FIXED_CD2] [nvarchar](1) NULL," _
	& " 	[FIXED_CD3] [nvarchar](1) NULL," _
	& " 	[LASTUPDUSER_CD] [nvarchar](8) NOT NULL," _
	& " 	[LASTUPD_DT] [datetime] NOT NULL," _
	& " CONSTRAINT [PK_LTM_MNGITEMMNGSTATUS_IDX] PRIMARY KEY CLUSTERED " _
	& " (" _
	& " 	[MNGITEM_CD] ASC," _
	& " 	[MNGSTATUS_CD] ASC" _
	& " )WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]" _
	& " ) ON [PRIMARY]"

	'・LTM_管理物管理状況テーブルに初期値を定義（最終更新者コードのデフォルトをZZZZにする）
	Public Shared ReadOnly sql016 As String = _
	"ALTER TABLE [dbo].[LTM_MNGITEMMNGSTATUS] ADD  DEFAULT ('" & clsConst.CST_ADMIN_USER & "') FOR [LASTUPDUSER_CD]"

	'・LTM_管理物管理状況テーブルに初期値を定義（最終更新日のデフォルトをサーバのシステム日付にする）
	Public Shared ReadOnly sql017 As String = _
	"ALTER TABLE [dbo].[LTM_MNGITEMMNGSTATUS] ADD  DEFAULT (getdate()) FOR [LASTUPD_DT]"

	'・新しい LTM_管理物管理状況テーブルに退避したデータを代入
	Public Shared ReadOnly sql018 As String = _
	"INSERT INTO [dbo].[LTM_MNGITEMMNGSTATUS] (" _
	& "[MNGITEM_CD],[MNGSTATUS_CD],[MNGSTATUS_NM],[MNGSTATUS_RNM],[COLOR_CD_R],[COLOR_CD_G],[COLOR_CD_B],[DSPORDER],[FIXED_CD1],[FIXED_CD2],[FIXED_CD3],[LASTUPDUSER_CD],[LASTUPD_DT]" _
	& ") " _
	& "SELECT " _
	& "[MNGITEM_CD],[MNGSTATUS_CD],[MNGSTATUS_NM],[MNGSTATUS_RNM],[COLOR_CD_R],[COLOR_CD_G],[COLOR_CD_B],[DSPORDER],[FIXED_CD1],[FIXED_CD2],NULL,[LASTUPDUSER_CD],[LASTUPD_DT]" _
	& " FROM [dbo].[LTM_MNGITEMMNGSTATUS_TEMP]" _
	& " ORDER BY [MNGITEM_CD],[MNGSTATUS_CD]"

	'・退避したデータを削除
	Public Shared ReadOnly sql019 As String = _
	"IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LTM_MNGITEMMNGSTATUS_TEMP]') AND type in (N'U'))" _
	& " DROP TABLE [dbo].[LTM_MNGITEMMNGSTATUS_TEMP]"

	'５．LTM_管理物保管場所テーブル（LTM_MNGITEMKEEPLCT）を修正
	'・LTM_管理物保管場所テーブルの内容を退避
	Public Shared ReadOnly sql020 As String = _
	"SELECT * INTO [dbo].[LTM_MNGITEMKEEPLCT_TEMP] FROM [dbo].[LTM_MNGITEMKEEPLCT]"

	'・LTM_管理物保管場所テーブルを削除
	Public Shared ReadOnly sql021 As String = _
	"IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LTM_MNGITEMKEEPLCT]') AND type in (N'U'))" _
	& " DROP TABLE [dbo].[LTM_MNGITEMKEEPLCT]"

	'・固定コード２を追加した LTM_管理物保管場所テーブルを新規作成
	Public Shared ReadOnly sql022 As String = _
	"CREATE TABLE [dbo].[LTM_MNGITEMKEEPLCT](" _
	& " 	[MNGITEM_CD] [nvarchar](2) NOT NULL," _
	& " 	[KEEPLCT_CD] [nvarchar](2) NOT NULL," _
	& " 	[KEEPLCT_NM] [nvarchar](10) NOT NULL," _
	& " 	[KEEPLCT_RNM] [nvarchar](3) NOT NULL," _
	& " 	[DSPORDER] [int] NULL," _
	& " 	[FIXED_CD1] [nvarchar](1) NULL," _
	& " 	[FIXED_CD2] [nvarchar](1) NULL," _
	& " 	[LASTUPDUSER_CD] [nvarchar](8) NOT NULL," _
	& " 	[LASTUPD_DT] [datetime] NOT NULL," _
	& " CONSTRAINT [PK_LTM_MNGITEMKEEPLCT_IDX] PRIMARY KEY CLUSTERED " _
	& " (" _
	& " 	[MNGITEM_CD] ASC," _
	& " 	[KEEPLCT_CD] ASC" _
	& " )WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]" _
	& " ) ON [PRIMARY]"

	'・LTM_管理物保管場所テーブルに初期値を定義（最終更新者コードのデフォルトをZZZZにする）
	Public Shared ReadOnly sql023 As String = _
	"ALTER TABLE [dbo].[LTM_MNGITEMKEEPLCT] ADD  DEFAULT ('" & clsConst.CST_ADMIN_USER & "') FOR [LASTUPDUSER_CD]"

	'・LTM_管理物保管場所テーブルに初期値を定義（最終更新日のデフォルトをサーバのシステム日付にする）
	Public Shared ReadOnly sql024 As String = _
	"ALTER TABLE [dbo].[LTM_MNGITEMKEEPLCT] ADD  DEFAULT (getdate()) FOR [LASTUPD_DT]"

	'・新しい LTM_管理物保管場所テーブルに退避したデータを代入
	Public Shared ReadOnly sql025 As String = _
	"INSERT INTO [dbo].[LTM_MNGITEMKEEPLCT] (" _
	& "[MNGITEM_CD],[KEEPLCT_CD],[KEEPLCT_NM],[KEEPLCT_RNM],[DSPORDER],[FIXED_CD1],[FIXED_CD2],[LASTUPDUSER_CD],[LASTUPD_DT]" _
	& ") " _
	& "SELECT " _
	& "[MNGITEM_CD],[KEEPLCT_CD],[KEEPLCT_NM],[KEEPLCT_RNM],[DSPORDER],[FIXED_CD1],NULL,[LASTUPDUSER_CD],[LASTUPD_DT]" _
	& " FROM [dbo].[LTM_MNGITEMKEEPLCT_TEMP]" _
	& " ORDER BY [MNGITEM_CD],[KEEPLCT_CD]"

	'・退避したデータを削除
	Public Shared ReadOnly sql026 As String = _
	"IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LTM_MNGITEMKEEPLCT_TEMP]') AND type in (N'U'))" _
	& " DROP TABLE [dbo].[LTM_MNGITEMKEEPLCT_TEMP]"

	'６．XTM_機能（XTM_FUNCTION）にデータを追加／更新
	'システム連携の名称変更　ｼｽﾃﾑ連携→ｼｽﾃﾑ連携'CRLF'診療情報管理
	Public Shared ReadOnly sql027 As String =
	"UPDATE XTM_FUNCTION SET FNC_NM='ｼｽﾃﾑ連携''CRLF''診療情報管理' WHERE FNC_NO = 85"

	'システム連携（貸出管理）追加
	Public Shared ReadOnly sql028 As String =
	"IF NOT EXISTS (SELECT * FROM [dbo].[XTM_FUNCTION] WHERE [FNC_NO] = 86)" & _
	" INSERT INTO [dbo].[XTM_FUNCTION] ([FNC_NO],[FNC_CD],[FNC_NM],[PRD_NO],[ICON_ID],[DLL_CD],[DSPORDER],[LASTUPDUSER_CD]) VALUES (86,'XSI030F010','ｼｽﾃﾑ連携''CRLF''貸出管理',5,49,'XSI',85,'" & clsConst.CST_ADMIN_USER & "')"

	'７．動作環境設定マスタ（XTM_ENV）にデータを追加
	'・連携初期取込先（管理物明細情報）を新規作成
	Public Shared ReadOnly sql029 As String =
	"IF NOT EXISTS (SELECT * FROM [dbo].[XTM_ENV] WHERE [OPERATING_SET_CD] = '00108')" & _
	" INSERT INTO [dbo].[XTM_ENV] ([OPERATING_SET_CD],[GRP_CD],[PRD_CD],[GRP2_NM],[SET_NM],[EXPLANATION],[SET_VAL],[INPUT_DIV],[PREOPERATING_SET_CD],[DSPORDER],[DSP_CD],[LASTUPDUSER_CD]) VALUES ('00108',1,3,'ｼｽﾃﾑ連携','連携初期取込先（管理物明細情報）','最大200文字まで入力可能 (未入力の場合は..\Renkei\BT4LKSDS0.CSVを初期表示する）','',3,'',102,'L1102','" & clsConst.CST_ADMIN_USER & "')"

	'・連携初期取込先（患者入退院歴）を新規作成
	Public Shared ReadOnly sql030 As String =
	"IF NOT EXISTS (SELECT * FROM [dbo].[XTM_ENV] WHERE [OPERATING_SET_CD] = '00109')" & _
	" INSERT INTO [dbo].[XTM_ENV] ([OPERATING_SET_CD],[GRP_CD],[PRD_CD],[GRP2_NM],[SET_NM],[EXPLANATION],[SET_VAL],[INPUT_DIV],[PREOPERATING_SET_CD],[DSPORDER],[DSP_CD],[LASTUPDUSER_CD]) VALUES ('00109',1,3,'ｼｽﾃﾑ連携','連携初期取込先（患者入退院歴）','最大200文字まで入力可能 (未入力の場合は..\Renkei\BT4LKJNY1.CSVを初期表示する）','',3,'',103,'L1103','" & clsConst.CST_ADMIN_USER & "')"

	' ８．XTM_印刷設定ACCESS（XTM_PRINTSETTING_ACCESS）にデータを追加
	'・連携ログ氏名（レポート）用データを追加
	Public Shared ReadOnly sql031 As String = _
	"IF NOT EXISTS (SELECT * FROM [dbo].[XTM_PRINTSETTING_ACCESS] WHERE [SCREEN_CD] = 'XSI030F010' AND [LEDGERSHEET_CD] = 'XSI010R090')" & _
	" INSERT INTO [dbo].[XTM_PRINTSETTING_ACCESS] ([SCREEN_CD],[LEDGERSHEET_CD],[FILE_NM],[REPORT_NM],[NUMBERPRINTED],[LASTUPDUSER_CD]) VALUES ('XSI030F010','XSI010R090','BT4mdb.mde','RW_連携ログ氏名',1,'" & clsConst.CST_ADMIN_USER & "')"

	'・患者入退院歴一覧（レポート）用データを追加
	Public Shared ReadOnly sql032 As String = _
	"IF NOT EXISTS (SELECT * FROM [dbo].[XTM_PRINTSETTING_ACCESS] WHERE [SCREEN_CD] = 'XSI030F010' AND [LEDGERSHEET_CD] = 'XSI030R010')" & _
	" INSERT INTO [dbo].[XTM_PRINTSETTING_ACCESS] ([SCREEN_CD],[LEDGERSHEET_CD],[FILE_NM],[REPORT_NM],[NUMBERPRINTED],[LASTUPDUSER_CD]) VALUES ('XSI030F010','XSI030R010','BT4mdb.mde','XSI030R010',1,'" & clsConst.CST_ADMIN_USER & "')"

	'・明細情報一覧（レポート）を新規追加
	Public Shared ReadOnly sql033 As String = _
	"IF NOT EXISTS (SELECT * FROM [dbo].[XTM_PRINTSETTING_ACCESS] WHERE [SCREEN_CD] = 'XSI030F010' AND [LEDGERSHEET_CD] = 'XSI030R030')" & _
	" INSERT INTO [dbo].[XTM_PRINTSETTING_ACCESS] ([SCREEN_CD],[LEDGERSHEET_CD],[FILE_NM],[REPORT_NM],[NUMBERPRINTED],[LASTUPDUSER_CD]) VALUES ('XSI030F010','XSI030R030','BT4mdb.mde','XSI030R030',1,'" & clsConst.CST_ADMIN_USER & "')"

	'・患者入退院歴（レポート）を新規作成
	Public Shared ReadOnly sql034 As String = _
	"IF NOT EXISTS (SELECT * FROM [dbo].[XTM_PRINTSETTING_ACCESS] WHERE [SCREEN_CD] = 'LMS110F010' AND [LEDGERSHEET_CD] = 'LMS110R010')" & _
	" INSERT INTO [dbo].[XTM_PRINTSETTING_ACCESS] ([SCREEN_CD],[LEDGERSHEET_CD],[FILE_NM],[REPORT_NM],[NUMBERPRINTED],[LASTUPDUSER_CD]) VALUES ('LMS110F010','LMS110R010','BT4mdb.mde','LMS110R010',1,'" & clsConst.CST_ADMIN_USER & "')"

	'・受領一覧１（レポート）を新規作成
	Public Shared ReadOnly sql035 As String = _
	"IF NOT EXISTS (SELECT * FROM [dbo].[XTM_PRINTSETTING_ACCESS] WHERE [SCREEN_CD] = 'LMN010F010' AND [LEDGERSHEET_CD] = 'LMN010R060')" & _
	" INSERT INTO [dbo].[XTM_PRINTSETTING_ACCESS] ([SCREEN_CD],[LEDGERSHEET_CD],[FILE_NM],[REPORT_NM],[NUMBERPRINTED],[LASTUPDUSER_CD]) VALUES ('LMN010F010','LMN010R060','BT4mdb.mde','LMN010R060',1,'" & clsConst.CST_ADMIN_USER & "')"

	'・受領一覧２（レポート）を新規作成
	Public Shared ReadOnly sql036 As String = _
	"IF NOT EXISTS (SELECT * FROM [dbo].[XTM_PRINTSETTING_ACCESS] WHERE [SCREEN_CD] = 'LMN010F010' AND [LEDGERSHEET_CD] = 'LMN010R061')" & _
	" INSERT INTO [dbo].[XTM_PRINTSETTING_ACCESS] ([SCREEN_CD],[LEDGERSHEET_CD],[FILE_NM],[REPORT_NM],[NUMBERPRINTED],[LASTUPDUSER_CD]) VALUES ('LMN010F010','LMN010R061','BT4mdb.mde','LMN010R061',1,'" & clsConst.CST_ADMIN_USER & "')"

	'９．XTM_印刷設定EXCEL（XTM_PRINTSETTING_EXCEL）にデータを追加
	'・受領一覧１（レポート）を新規作成
	Public Shared ReadOnly sql037 As String = _
	"IF NOT EXISTS (SELECT * FROM [dbo].[XTM_PRINTSETTING_EXCEL] WHERE [SCREEN_CD] = 'LMN010F010' AND [LEDGERSHEET_CD] = 'LMN010E060')" & _
	" INSERT INTO [dbo].[XTM_PRINTSETTING_EXCEL] ([SCREEN_CD],[LEDGERSHEET_CD],[FILE_NM],[SHEET_NM],[NUMBERPRINTED],[LASTUPDUSER_CD]) VALUES ('LMN010F010','LMN010E060','LMN010E060.xls','受領一覧',1,'" & clsConst.CST_ADMIN_USER & "')"

	'・受領一覧２（レポート）を新規作成
	Public Shared ReadOnly sql038 As String = _
	"IF NOT EXISTS (SELECT * FROM [dbo].[XTM_PRINTSETTING_EXCEL] WHERE [SCREEN_CD] = 'LMN010F010' AND [LEDGERSHEET_CD] = 'LMN010E061')" & _
	" INSERT INTO [dbo].[XTM_PRINTSETTING_EXCEL] ([SCREEN_CD],[LEDGERSHEET_CD],[FILE_NM],[SHEET_NM],[NUMBERPRINTED],[LASTUPDUSER_CD]) VALUES ('LMN010F010','LMN010E061','LMN010E061.xls','受領一覧',1,'" & clsConst.CST_ADMIN_USER & "')"

	'１０．明細一括作成マスタ追加
	'・LTW_明細一括作成テーブルを削除
	Public Shared ReadOnly sql039 As String = _
	"IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LTW_MNGITEM_DEFINITION_WORK]') AND type in (N'U'))" _
	& " DROP TABLE [dbo].[LTW_MNGITEM_DEFINITION_WORK]"

	'・LTW_明細一括作成テーブルを追加
	Public Shared ReadOnly sql040 As String = _
	"CREATE TABLE [dbo].[LTW_MNGITEM_DEFINITION_WORK](" & _
	"[HOST_NM] [nvarchar](64) NOT NULL," & _
	"[PRT_ID] [nvarchar](10) NOT NULL," & _
	"[SORTKEY1] [int] NOT NULL," & _
	"[MNGITEM_NM] [nvarchar](10) NULL," & _
	"[PRE_NM] [nvarchar](10) NULL," & _
	"[UNIT_NM] [nvarchar](10) NULL," & _
	"[DATATYPE_NM] [nvarchar](5) NULL," & _
	"[COPYSTOP_NM] [nvarchar](1) NULL," & _
	"[IMPSTOP_NM] [nvarchar](1) NULL," & _
	"[BYOREKI_NM] [nvarchar](10) NULL," & _
	"[DIV1_NM] [nvarchar](15) NULL," & _
	"[DIV2_NM] [nvarchar](15) NULL," & _
	"[FIRSTRECEIVING_DT] [nvarchar](15) NULL," & _
	"[RECIPIENT_NM] [nvarchar](3) NULL," & _
	"[KEEPLCT_NM] [nvarchar](5) NULL," & _
	"[MNGSTATUS_NM] [nvarchar](5) NULL," & _
	"[REMARKS] [nvarchar](100) NULL," & _
	"[DATE1] [nvarchar](15) NULL," & _
	"[DATE2] [nvarchar](15) NULL," & _
	"[DOCTOR_NM] [nvarchar](20) NULL," & _
	"[MNGITEMCMB1] [nvarchar](10) NULL," & _
	"[MNGITEMCMB2] [nvarchar](10) NULL," & _
	"[MNGITEMTEXT1] [nvarchar](10) NULL," & _
	"[MNGITEMTEXT2] [nvarchar](10) NULL," & _
	"[MNGITEMCHK1] [nvarchar](1) NULL," & _
	"[MNGITEMCHK2] [nvarchar](1) NULL," & _
	"[MNGITEMCHK3] [nvarchar](1) NULL," & _
	"[MNGITEMCHK4] [nvarchar](1) NULL," & _
	"[LASTUPDUSER_CD] [nvarchar](8) NULL," & _
	"[LASTUPD_DT] [datetime] NULL," & _
	" CONSTRAINT [PK_LTW_MNGITEM_DEFINITION_IDX] PRIMARY KEY CLUSTERED " & _
	"(" & _
	"[HOST_NM] ASC," & _
	"[PRT_ID] ASC," & _
	"[SORTKEY1] ASC" & _
	")WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]" & _
	") ON [PRIMARY]"

	Public Shared ReadOnly sql041 As String = _
	"ALTER TABLE [dbo].[LTW_MNGITEM_DEFINITION_WORK] ADD  DEFAULT ('ZZZZ') FOR [LASTUPDUSER_CD]"

	Public Shared ReadOnly sql042 As String = _
	"ALTER TABLE [dbo].[LTW_MNGITEM_DEFINITION_WORK] ADD  DEFAULT (getdate()) FOR [LASTUPD_DT]"

	'・明細一括作成マスタ一覧（レポート）を新規作成
	Public Shared ReadOnly sql043 As String = _
	"IF NOT EXISTS (SELECT * FROM [dbo].[XTM_PRINTSETTING_ACCESS] WHERE [SCREEN_CD] = 'LMS110F010' AND [LEDGERSHEET_CD] = 'LMS110R010')" & _
	" INSERT INTO [dbo].[XTM_PRINTSETTING_ACCESS] ([SCREEN_CD],[LEDGERSHEET_CD],[FILE_NM],[REPORT_NM],[NUMBERPRINTED],[LASTUPDUSER_CD]) VALUES ('LMS110F010','LMS110R010','BT4mdb.mde','LMS110R010',1,'" & clsConst.CST_ADMIN_USER & "')"

	'・受領一覧の表示項目選択
	Public Shared ReadOnly sql044 As String = _
	"DELETE FROM [dbo].[XTM_ITEMLIST] WHERE [SCREEN_CD]='LMN010F010' AND [GRID_CD]='dgv420LMN010F010'"

	Public Shared ReadOnly sql045 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c04420LMN010F010','物番号',-1,4,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql046 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c05420LMN010F010','氏名',-1,5,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql047 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c08420LMN010F010','日付１',-1,6,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql048 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c09420LMN010F010','日付２',-1,7,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql049 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c10420LMN010F010','医師',-1,8,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql050 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c11420LMN010F010','状況',-1,9,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql051 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c12420LMN010F010','保場',-1,10,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql052 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c13420LMN010F010','分冊',-1,19,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql053 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c19420LMN010F010','コンボ１',0,11,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql054 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c20420LMN010F010','コンボ２',0,12,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql055 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c21420LMN010F010','テキスト１',0,13,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql056 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c22420LMN010F010','テキスト２',0,14,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql057 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c23420LMN010F010','チェック１',0,15,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql058 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c24420LMN010F010','チェック２',0,16,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql059 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c25420LMN010F010','チェック３',0,17,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql060 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c26420LMN010F010','チェック４',0,18,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql061 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c27420LMN010F010','テキスト３',0,20,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql062 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c28420LMN010F010','初回受領日',0,21,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql063 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c29420LMN010F010','最終受領日',0,22,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql064 As String = _
	"INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('LMN010F010','dgv420LMN010F010','c30420LMN010F010','受領者',0,23,'" & clsConst.CST_ADMIN_USER & "')"

	'・受領一覧レポートワーク追加
	Public Shared ReadOnly sql065 As String = _
	"IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LTW_RCVLIST_WORK]') AND type in (N'U')) DROP TABLE [dbo].[LTW_RCVLIST_WORK]"
	Public Shared ReadOnly sql066 As String = _
	"CREATE TABLE [dbo].[LTW_RCVLIST_WORK](" _
	& "[HOST_NM] [nvarchar](64) NOT NULL," _
	& "[PRT_ID] [nvarchar](10) NOT NULL," _
	& "[SORTKEY1] [int] NOT NULL," _
	& "[MNGITEM_CD] [nvarchar](3) NULL," _
	& "[MNGITEM_NM] [nvarchar](10) NULL," _
	& "[MNGITEM_RNM] [nvarchar](5) NULL," _
	& "[BYOREKI_NO] [nvarchar](10) NULL," _
	& "[PATIENT_NO] [nvarchar](10) NULL," _
	& "[PATIENT_NM] [nvarchar](20) NULL," _
	& "[PATIENT_KNM] [nvarchar](30) NULL," _
	& "[GENDER_NM] [nvarchar](2) NULL," _
	& "[DIV1_NM] [nvarchar](10) NULL," _
	& "[DIV1_RNM] [nvarchar](10) NULL," _
	& "[DIV2_NM] [nvarchar](10) NULL," _
	& "[DIV2_RNM] [nvarchar](10) NULL," _
	& "[DATE1] [datetime] NULL," _
	& "[DATE2] [datetime] NULL," _
	& "[DOC_STAFF_NM] [nvarchar](30) NULL," _
	& "[FIRSTRECEIVING_DT] [datetime] NULL," _
	& "[LASTRECEIVING_DT] [datetime] NULL," _
	& "[RECIPIENT_NM] [nvarchar](20) NULL," _
	& "[MNGSTATUS_NM] [nvarchar](20) NULL," _
	& "[MNGSTATUS_RNM] [nvarchar](3) NULL," _
	& "[KEEPLCT_NM] [nvarchar](20) NULL," _
	& "[KEEPLCT_RNM] [nvarchar](6) NULL," _
	& "[VOLUMEKEY_NM] [nvarchar](1) NULL," _
	& "[MNGITEMCMB1_NM] [nvarchar](10) NULL," _
	& "[MNGITEMCMB1_RNM] [nvarchar](3) NULL," _
	& "[MNGITEMCMB2_NM] [nvarchar](10) NULL," _
	& "[MNGITEMCMB2_RNM] [nvarchar](3) NULL," _
	& "[MNGITEMTEXT1] [nvarchar](10) NULL," _
	& "[MNGITEMTEXT2] [nvarchar](10) NULL," _
	& "[MNGITEMCHK1_NM] [nvarchar](1) NULL," _
	& "[MNGITEMCHK2_NM] [nvarchar](1) NULL," _
	& "[MNGITEMCHK3_NM] [nvarchar](1) NULL," _
	& "[MNGITEMCHK4_NM] [nvarchar](1) NULL," _
	& "[REMARKS] [nvarchar](100) NULL," _
	& "[USER_NM] [nvarchar](30) NULL," _
	& "[LASTUPDUSER_CD] [nvarchar](8) NOT NULL," _
	& "[LASTUPD_DT] [datetime] NOT NULL," _
	& "CONSTRAINT [PK_LTW_RCVLIST_WORK_IDX] PRIMARY KEY CLUSTERED " _
	& "(" _
	& "[HOST_NM] ASC," _
	& "[PRT_ID] ASC," _
	& "[SORTKEY1] ASC" _
	& ")WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]" _
	& ") ON [PRIMARY]"
	Public Shared ReadOnly sql067 As String = _
	"ALTER TABLE [dbo].[LTW_RCVLIST_WORK] ADD  DEFAULT (getdate()) FOR [LASTUPD_DT]"
'(A) END V4-14030-000 543 20130704

End Class
