﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' 共通マスタ＿職員職種マスタ画面処理
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public NotInheritable Class datXMS020F030_Rec

    Public STAFFOPK_CD As String        '職員職種コード
    Public STAFFOPK_NM As String        '職員職種
    Public STAFFOPK_RNM As String       '職員職種略称名
    Public DSPORDER As Integer          '表示順
    Public FIXED_CD1 As String          '固定コード１

End Class

Public Class sqlXMS020F030

    Public Const prmSTAFFOPK_CD As String = "@STAFFOPK_CD"          '職員職種コード
    Public Const prmSTAFFOPK_NM As String = "@STAFFOPK_NM"          '職員職種
    Public Const prmSTAFFOPK_RNM As String = "@STAFFOPK_RNM"        '職員職種略称名
    Public Const prmDSPORDER As String = "@DSPORDER"                '表示順
    Public Const prmFIXED_CD1 As String = "@FIXED_CD1"              '固定コード１
    Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"    '更新者ＩＤ
    Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"            '更新日時

    Public Const itmSTAFFOPK_CD As String = "STAFFOPK_CD"           '職員職種コード
    Public Const itmSTAFFOPK_NM As String = "STAFFOPK_NM"           '職員職種
    Public Const itmSTAFFOPK_RNM As String = "STAFFOPK_RNM"         '職員職種略称名
    Public Const itmDSPORDER As String = "DSPORDER"                 '表示順
    Public Const itmFIXED_CD1 As String = "FIXED_CD1"               '固定コード１

    Public Const itmFIXED_CD As String = "FIXED_CD"                 '固定コード

    '職員職種マスタ更新時1件検索用
    Public Const sqlSel4Upd_PKey = _
     "SELECT STAFFOPK_CD,STAFFOPK_NM,STAFFOPK_RNM,DSPORDER,FIXED_CD1" + _
     " FROM XTM_STAFFOPK " + _
     clsSysMst.forUpdate + _
     " WHERE STAFFOPK_CD=" + prmSTAFFOPK_CD

    '職員職種マスタ1件削除用
    Public Const sqlDel = "DELETE FROM XTM_STAFFOPK WHERE STAFFOPK_CD=" + prmSTAFFOPK_CD

    '職員職種マスタ1件更新用
    Public Const sqlUpd = _
    "UPDATE XTM_STAFFOPK SET " + _
    "STAFFOPK_NM=" + prmSTAFFOPK_NM + "," + _
    "STAFFOPK_RNM=" + prmSTAFFOPK_RNM + "," + _
    "DSPORDER=" + prmDSPORDER + "," + _
    "FIXED_CD1=" + prmFIXED_CD1 + "," + _
    "LASTUPDUSER_CD=" + prmLASTUPDUSER_CD + "," + _
    "LASTUPD_DT=" + prmLASTUPD_DT + " " + _
    "WHERE STAFFOPK_CD=" + prmSTAFFOPK_CD

    '職員職種マスタ追加用
    Public Const sqlIns = _
    "INSERT INTO XTM_STAFFOPK ( " + _
    " STAFFOPK_CD," + _
    " STAFFOPK_NM," + _
    " STAFFOPK_RNM," + _
    " DSPORDER," + _
    " FIXED_CD1," + _
    " LASTUPDUSER_CD," + _
    " LASTUPD_DT" + _
    ") VALUES ( " + _
    prmSTAFFOPK_CD + "," + _
    prmSTAFFOPK_NM + "," + _
    prmSTAFFOPK_RNM + "," + _
    prmDSPORDER + "," + _
    prmFIXED_CD1 + "," + _
    prmLASTUPDUSER_CD + "," + _
    prmLASTUPD_DT + ")"

    '職員職種マスタ保守DataGrid表示用
    Public Const sqlSel_All = _
    "SELECT" + _
    " STAFFOPK_CD," + _
    " STAFFOPK_NM," + _
    " STAFFOPK_RNM," + _
    " DSPORDER," + _
    " FIXED_CD1" + _
    " FROM XTM_STAFFOPK" + _
    " ORDER BY STAFFOPK_CD ASC"

End Class
