﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 連携_患者基本情報
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_BT4KJ
	Inherits clsXSI_BT4

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' 連携CSVレイアウト項目数
	''' </summary>
	''' ---------------------------------------------
	Private Enum ENUM_CSV_CNT As Integer
		V323 = 14
		V3 = 20
		V4 = 25
	End Enum
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI010F010">親フォーム</param>
	''' <param name="csvFileName">連携CSVファイル</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI010F010 As XSI010F010, ByVal csvFileName As String)

		MyBase.New(cliXSI010F010, csvFileName)

	End Sub

'(A) STR V4-14054-000 017 20131030 ID)平井(貸出管理レベルアップ２次開発（システム連携）)
	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI030F010">親フォーム</param>
	''' <param name="csvFileName">連携CSVファイル</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI030F010 As XSI030F010, ByVal csvFileName As String)

		MyBase.New(cliXSI030F010, csvFileName)

	End Sub
'(A) END V4-14054-000 017 20131030 ID)平井

#End Region

#Region "メソッド"

'(M) STR V4-14019-000 021 20130418 ID)平井(取込処理をサブスレッド化する。)
	' ''' ---------------------------------------------
	' ''' <summary>
	' ''' 【基本情報】連携処理
	' ''' </summary>
	' ''' <remarks>
	' ''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	' ''' </remarks>
	' ''' ---------------------------------------------
	'Public Sub runProc()
	''' ---------------------------------------------
	''' <summary>
	''' 【基本情報】連携処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function runProc() As clsThread
'(M) END V4-14019-000 021 20130418
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "基本情報連携", "【基本情報】連携処理 Start")
		Dim allCnt As Long							'全件数
		Dim okCnt As Long							'正常件数
		Dim errCnt As Long							'エラー件数
		Dim nameChangeCnt As Long					'氏名変更件数
		Dim slightErrCnt As Long					'軽度エラー件数
		Dim nameChangeSerial As Integer				'氏名変更ログ連番
		Dim row As Integer
		Dim rowData() As String
'(A) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
		Dim CntSet As XSI010F010.CntSet_Ex_Delegate
		Dim cliTh As clsThread
'(A) END V4-14019-000 004 20130418
'(A) STR V4-14054-000 003 20131030 ID)平井(貸出管理レベルアップ２次開発（システム連携）)
		Dim CntSet1 As XSI030F010.CntSet_Ex_Delegate
'(A) END V4-14054-000 003 20131030 ID)平井

		'件数初期化
		allCnt = 0
		okCnt = 0
		errCnt = 0
		nameChangeSerial = 0
		row = 0

		Try
			'総件数設定
'(M) STR V4-14054-000 008 20131030 ID)平井(貸出管理レベルアップ２次開発（システム連携）)
			'allCnt = CInt(Me.cliXSI010F010.lbl095XSI010F010.Text)
			If Me.cliXSI010F010 IsNot Nothing Then
				allCnt = CInt(Me.cliXSI010F010.lbl095XSI010F010.Text)
			Else
				allCnt = CInt(Me.cliXSI030F010.lbl053XSI030F010.Text)
			End If
'(M) END V4-14054-000 008 20131030 ID)平井

'(A) STR V4-14019-000 005 20130418 ID)平井(取込処理をサブスレッド化する。)
			CST_MOD_CNT = getModCount(allCnt)
'(M) STR V4-14054-000 010 20131030 ID)平井(貸出管理レベルアップ２次開発（システム連携）)
			'CntSet = New XSI010F010.CntSet_Ex_Delegate(AddressOf Me.cliXSI010F010.CntSet)
			CntSet = Nothing
			CntSet1 = Nothing
			If Me.cliXSI010F010 IsNot Nothing Then
				CntSet = New XSI010F010.CntSet_Ex_Delegate(AddressOf Me.cliXSI010F010.CntSet)
			Else
				CntSet1 = New XSI030F010.CntSet_Ex_Delegate(AddressOf Me.cliXSI030F010.CntSet)
			End If
'(M) END V4-14054-000 010 20131030 ID)平井

			cliTh = New clsThread
'(A) END V4-14019-000 005 20130418

			Using db As New clsDB(clsSysMst.ctlConfigData)
				Using cliOneCsvData As New clsXSI_MTT_IMP_LOG_BASIC(), cliLOG_PATIENT_NM As New clsXSI_MTT_IMP_LOG_PATIENT_NM()	'取込CSV内の１レコード(ログ登録),氏名変更ログクラス
					Using cliCSV As New XSP.clsCSV(Me.csvFileName), tfpReader As FileIO.TextFieldParser = cliCSV.getCSV()
						'連携ファイル内を1件ずつ処理
						While Not (tfpReader.EndOfData)
							row += 1
							cliOneCsvData.clear()		'連携CSV１行データ格納クラスクリア
							cliLOG_PATIENT_NM.clear()	'氏名変更ログクラスクリア

							Try
								rowData = tfpReader.ReadFields()
								'１行データを格納(V3,V4の違いを吸収)
								Select Case rowData.Length
									Case ENUM_CSV_CNT.V3, ENUM_CSV_CNT.V323
										Me.setV3Cls(rowData, cliOneCsvData)
									Case ENUM_CSV_CNT.V4
										Me.setV4Cls(rowData, cliOneCsvData)
									Case Else
										'エラー情報セット
										cliOneCsvData.ERR_FLG = "1"
										cliOneCsvData.ERR_CD = "E0026"
										'ＣＳＶの個数が違います。
										cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
								End Select
							Catch ex As FileIO.MalformedLineException
								'エラー情報セット
								cliOneCsvData.ERR_FLG = "1"
								cliOneCsvData.ERR_CD = "E0035"
								'データの形式が不正です。
								cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"データの形式"})
							End Try

							cliOneCsvData.SERIAL_NO = row.ToString() '連番設定

							If cliOneCsvData.ERR_FLG = "1" Then
								'連携ファイルエラー
							ElseIf Me.chkCSV(cliOneCsvData) = False Then
								'連携ファイル内チェックエラー
							Else
								'整合性チェック+更新用領域に格納
								Me.setData(db, cliOneCsvData, cliLOG_PATIENT_NM)
							End If

							'件数カウント
							Select Case cliOneCsvData.ERR_FLG
								Case "0" 'OK
									okCnt += 1
								Case "1" 'エラー
									errCnt += 1
									cliOneCsvData.MODULE_CD = GetType(XSI010F010).Name
								Case "2" '軽度
									errCnt += 1
									slightErrCnt += 1
									cliOneCsvData.MODULE_CD = GetType(XSI010F010).Name
							End Select
							If String.IsNullOrEmpty(cliLOG_PATIENT_NM.PATIENT_NO) = False Then
								nameChangeCnt += 1
							End If

							'ログ出力
							Me.setSqlParam_MTT_IMP_LOG(db, cliOneCsvData)
							If String.IsNullOrEmpty(cliLOG_PATIENT_NM.PATIENT_NO) = False Then
								nameChangeSerial += 1
								cliLOG_PATIENT_NM.SERIAL_NO = nameChangeCnt.ToString()
								Me.setSqlParam_MTT_IMP_LOG_PATIENT_NM(db, cliLOG_PATIENT_NM, CStr(XSI010F010.Enum_BASICINFO_CHANGE_DERIMI.eBASICINFO))
							End If

							'件数更新
							'CST_MOD_CNT毎または最終データの場合更新
							If row Mod CST_MOD_CNT = 0 OrElse row = allCnt Then
'(M) STR V4-13008-000 004 2013/02/08 ID)荒川 病歴大将V4PKG 管理No.204 正常に処理されているのに件数のカウンターが途中でとまる
								'Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eBASICINFO, True, allCnt, okCnt, errCnt, slightErrCnt, nameChangeCnt)
'(M) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
'								Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eBASICINFO, True, allCnt, okCnt, errCnt, row, slightErrCnt, nameChangeCnt)
'(M) STR V4-14054-000 008 20131030 ID)平井(貸出管理レベルアップ２次開発（システム連携）)
								'Me.cliXSI010F010.BeginInvoke(CntSet, New Object() {XSI010F010.Enum_RENKEI_SYORI.eBASICINFO, False, allCnt, okCnt, errCnt, row, slightErrCnt, nameChangeCnt})
								If Me.cliXSI010F010 IsNot Nothing Then
									Me.cliXSI010F010.BeginInvoke(CntSet, New Object() {XSI010F010.Enum_RENKEI_SYORI.eBASICINFO, False, allCnt, okCnt, errCnt, row, slightErrCnt, nameChangeCnt})
								Else
									Me.cliXSI030F010.BeginInvoke(CntSet1, New Object() {XSI030F010.Enum_RENKEI_SYORI.eBASIC_PATIENT, False, allCnt, okCnt, errCnt, row, slightErrCnt, nameChangeCnt})
								End If
'(M) END V4-14054-000 008 20131030 ID)平井
'(M) END V4-14019-000 004 20130418
'(M) END V4-13008-000 004 2013/02/08
							End If
						End While
'(A) STR V4-14005-000 003 20130410 ID)平井(システムログに件数出力)
						clsSysMst.logEx(clsSysMst.logLevel.NRM, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "ｼｽﾃﾑ管理", "ｼｽﾃﾑ連携", String.Format("患者基本情報，読込件数({0}) 正常件数({1}) ｴﾗｰ件数({2}) 軽度等({3}) 氏名変更患者({4})", allCnt, okCnt, errCnt, slightErrCnt, nameChangeCnt))
'(A) END V4-14005-000 003 20130410
'(A) STR V4-14019-000 008 20130418 ID)平井(取込処理をサブスレッド化する。)
							' 処理件数設定
							cliTh.NormalCount = okCnt
							cliTh.ErrorCount = errCnt
							cliTh.SlightErrorCount = slightErrCnt
							cliTh.NameChangeCount = nameChangeCnt
							cliTh.ProcessCount = row
'(A) END V4-14019-000 008 20130418
					End Using
				End Using
			End Using
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			Return cliTh
'(A) END V4-14019-000 003 20130418
		Catch ex As Exception
			Throw
		Finally
			rowData = Nothing
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			CntSet = Nothing
			CntSet1 = Nothing
'(A) END V4-14019-000 003 20130418
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【基本情報】DB内データと整合性チェック + 更新用領域にセット
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2010/11/15 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setData(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "基本情報連携", "【基本情報】DB内データと整合性チェック + 更新用領域にセット Start")
		Try
			Using cliBasicInfo As New clsXSI_XTI_BASICINFO()
				Using cliDeath As New clsXSI_MTI_DEATH()
					Using basicInfo_DB As New DataTable() 'DB内患者データ
						Using death_DB As New DataTable() 'DB内死亡データ
							'基本情報取得
							pDb.setSQLDa(sqlXSI010F010.sqlSel_XTI_BASICINFO)
							pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
							pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
							pDb.execQueryDa(basicInfo_DB)

							'死亡情報取得
							pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_DEATH_LCT)
							pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
							pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
							pDb.execQueryDa(death_DB)

							If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_DEATH_DT) = False AndAlso death_DB.Rows.Count > 0 Then
								If death_DB.Rows(0).Item(sqlXSI010F010.itmFIXED_CD).ToString() = CStr(clsConst.Enum_Decease_Lct_Fix1.Hsp) Then
									'エラー
									cliOneCsvData.ERR_FLG = "1"
									cliOneCsvData.ERR_CD = "E0021"
									'院内の死亡情報が入力されています。
									cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"院内の死亡情報", Nothing})
									Exit Sub
								End If
							End If

							'更新用データをセット
							'基本情報データセット
							cliBasicInfo.PATIENT_NO = cliOneCsvData.PATIENT_NO	'患者番号

							If basicInfo_DB.Rows.Count > 0 Then
								'更新
'(M) STR V4-14054-000 139 20131030 ID)平井(貸出管理レベルアップ２次開発（システム連携）)
								'If Me.cliXSI010F010.rdo111XSI010F010.Checked = True Then
								'	'画面チェックボックス(登録されている患者最終日付を上書き)
								'	cliBasicInfo.LASTHSPVST_DT = cliOneCsvData.LASTHSPVST_DT	'最終来院日
								'	cliBasicInfo.LASTLEFTHSP_DT = cliOneCsvData.LASTLEFTHSP_DT	'最終退院日
								'Else

								'	'すべて更新
								'	If basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPATIENT_NM).ToString() <> cliOneCsvData.PATIENT_NM Then '氏名変更チェック
								'		'基本情報氏名をずらして登録
								'		cliBasicInfo.PATIENT_NM = cliOneCsvData.PATIENT_NM													'氏名
								'		cliBasicInfo.PATIENT_KNM = cliOneCsvData.PATIENT_KNM												'氏名カナ
								'		cliBasicInfo.PREVIOUS1_NM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPATIENT_NM).ToString()		'旧姓１
								'		cliBasicInfo.PREVIOUS1_KNM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPATIENT_KNM).ToString()		'旧姓１カナ
								'		cliBasicInfo.PREVIOUS2_NM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPREVIOUS1_NM).ToString()		'旧姓２
								'		cliBasicInfo.PREVIOUS2_KNM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPREVIOUS1_KNM).ToString()	'旧姓２カナ

								'		'ログにデータ格納
								'		cliLOG_PATIENT_NM.PATIENT_NO = cliBasicInfo.PATIENT_NO			'患者番号
								'		cliLOG_PATIENT_NM.PATIENT_NM = cliBasicInfo.PATIENT_NM			'氏名
								'		cliLOG_PATIENT_NM.PATIENT_KNM = cliBasicInfo.PATIENT_KNM		'氏名カナ
								'		cliLOG_PATIENT_NM.PREVIOUS1_NM = cliBasicInfo.PREVIOUS1_NM		'旧姓１氏名
								'		cliLOG_PATIENT_NM.PREVIOUS1_KNM = cliBasicInfo.PREVIOUS1_KNM	'旧姓１氏名カナ
								'		cliLOG_PATIENT_NM.PREVIOUS2_NM = cliBasicInfo.PREVIOUS2_NM		'旧姓２氏名
								'		cliLOG_PATIENT_NM.PREVIOUS2_KNM = cliBasicInfo.PREVIOUS2_KNM	'旧姓２氏名カナ
								'		cliLOG_PATIENT_NM.DEL_PATIENT_NM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPREVIOUS2_NM).ToString()		'削除氏名
								'		cliLOG_PATIENT_NM.DEL_PATIENT_KNM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPREVIOUS2_KNM).ToString()	'削除氏名カナ
								'	End If
								'	cliBasicInfo.GENDER_CD = cliOneCsvData.GENDER_CD						'性別コード
								'	cliBasicInfo.BIRTH_DT = cliOneCsvData.BIRTH_DT							'生年月日
								'	cliBasicInfo.FIRSTHSPVST_DT = cliOneCsvData.FIRSTHSPVST_DT				'初回来院日
								'	cliBasicInfo.LASTHSPVST_DT = cliOneCsvData.LASTHSPVST_DT				'最終来院日
								'	cliBasicInfo.LASTDEPT_CD = cliOneCsvData.LASTDEPT_CD					'最終受診科コード
								'	cliBasicInfo.LASTLEFTHSP_DT = cliOneCsvData.LASTLEFTHSP_DT				'最終退院日
								'	cliBasicInfo.REMARKS = cliOneCsvData.REMARKS							'コメント
								'	cliBasicInfo.NATIONALITY_CD = cliOneCsvData.NATIONALITY_CD				'国籍
								'	cliBasicInfo.DOMICILE_ADDRESS_CD = cliOneCsvData.DOMICILE_ADDRESS_CD	'出生地コード
								'	cliBasicInfo.DOMICILE_ADDRESS = cliOneCsvData.DOMICILE_ADDRESS			'本籍住所
								'	cliBasicInfo.CONTACT_PATIENT_NM = cliOneCsvData.CONTACT_PATIENT_NM		'連絡先氏名
								'	cliBasicInfo.CONTACT_ZIP_CD = cliOneCsvData.CONTACT_ZIP_CD				'連絡先郵便番号
								'	cliBasicInfo.CONTACT_ADDRESS = cliOneCsvData.CONTACT_ADDRESS			'連絡先住所
								'	cliBasicInfo.CONTACT_TELNUMBER = cliOneCsvData.CONTACT_TELNUMBER		'連絡先電話番号
								'	cliBasicInfo.CONTACT_RELATION = cliOneCsvData.CONTACT_RELATION			'連絡先続柄コード

								'	'If Me.dateCompare(cliBasicInfo.BIRTH_DT, basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmBIRTH_DT).ToString()) <> 0 Then
								'	'    '生年月日変更されていれば年齢再計算
								'	'    Me.UpdProc_BirthDt(pDb, cliOneCsvData.PATIENT_NO, DateTime.Parse(cliOneCsvData.BIRTH_DT), cliOneCsvData.GENDER_CD)
								'	'End If
								'End If
								If Me.cliXSI010F010 IsNot Nothing Then
									If Me.cliXSI010F010.rdo111XSI010F010.Checked = True Then
										'画面チェックボックス(登録されている患者最終日付を上書き)
										cliBasicInfo.LASTHSPVST_DT = cliOneCsvData.LASTHSPVST_DT	'最終来院日
										cliBasicInfo.LASTLEFTHSP_DT = cliOneCsvData.LASTLEFTHSP_DT	'最終退院日
									Else

										'すべて更新
										If basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPATIENT_NM).ToString() <> cliOneCsvData.PATIENT_NM Then '氏名変更チェック
											'基本情報氏名をずらして登録
											cliBasicInfo.PATIENT_NM = cliOneCsvData.PATIENT_NM													'氏名
											cliBasicInfo.PATIENT_KNM = cliOneCsvData.PATIENT_KNM												'氏名カナ
											cliBasicInfo.PREVIOUS1_NM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPATIENT_NM).ToString()		'旧姓１
											cliBasicInfo.PREVIOUS1_KNM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPATIENT_KNM).ToString()		'旧姓１カナ
											cliBasicInfo.PREVIOUS2_NM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPREVIOUS1_NM).ToString()		'旧姓２
											cliBasicInfo.PREVIOUS2_KNM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPREVIOUS1_KNM).ToString()	'旧姓２カナ

											'ログにデータ格納
											cliLOG_PATIENT_NM.PATIENT_NO = cliBasicInfo.PATIENT_NO			'患者番号
											cliLOG_PATIENT_NM.PATIENT_NM = cliBasicInfo.PATIENT_NM			'氏名
											cliLOG_PATIENT_NM.PATIENT_KNM = cliBasicInfo.PATIENT_KNM		'氏名カナ
											cliLOG_PATIENT_NM.PREVIOUS1_NM = cliBasicInfo.PREVIOUS1_NM		'旧姓１氏名
											cliLOG_PATIENT_NM.PREVIOUS1_KNM = cliBasicInfo.PREVIOUS1_KNM	'旧姓１氏名カナ
											cliLOG_PATIENT_NM.PREVIOUS2_NM = cliBasicInfo.PREVIOUS2_NM		'旧姓２氏名
											cliLOG_PATIENT_NM.PREVIOUS2_KNM = cliBasicInfo.PREVIOUS2_KNM	'旧姓２氏名カナ
											cliLOG_PATIENT_NM.DEL_PATIENT_NM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPREVIOUS2_NM).ToString()		'削除氏名
											cliLOG_PATIENT_NM.DEL_PATIENT_KNM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPREVIOUS2_KNM).ToString()	'削除氏名カナ
										End If
										cliBasicInfo.GENDER_CD = cliOneCsvData.GENDER_CD						'性別コード
										cliBasicInfo.BIRTH_DT = cliOneCsvData.BIRTH_DT							'生年月日
										cliBasicInfo.FIRSTHSPVST_DT = cliOneCsvData.FIRSTHSPVST_DT				'初回来院日
										cliBasicInfo.LASTHSPVST_DT = cliOneCsvData.LASTHSPVST_DT				'最終来院日
										cliBasicInfo.LASTDEPT_CD = cliOneCsvData.LASTDEPT_CD					'最終受診科コード
										cliBasicInfo.LASTLEFTHSP_DT = cliOneCsvData.LASTLEFTHSP_DT				'最終退院日
										cliBasicInfo.REMARKS = cliOneCsvData.REMARKS							'コメント
										cliBasicInfo.NATIONALITY_CD = cliOneCsvData.NATIONALITY_CD				'国籍
										cliBasicInfo.DOMICILE_ADDRESS_CD = cliOneCsvData.DOMICILE_ADDRESS_CD	'出生地コード
										cliBasicInfo.DOMICILE_ADDRESS = cliOneCsvData.DOMICILE_ADDRESS			'本籍住所
										cliBasicInfo.CONTACT_PATIENT_NM = cliOneCsvData.CONTACT_PATIENT_NM		'連絡先氏名
										cliBasicInfo.CONTACT_ZIP_CD = cliOneCsvData.CONTACT_ZIP_CD				'連絡先郵便番号
										cliBasicInfo.CONTACT_ADDRESS = cliOneCsvData.CONTACT_ADDRESS			'連絡先住所
										cliBasicInfo.CONTACT_TELNUMBER = cliOneCsvData.CONTACT_TELNUMBER		'連絡先電話番号
										cliBasicInfo.CONTACT_RELATION = cliOneCsvData.CONTACT_RELATION			'連絡先続柄コード
									End If
								Else
									If Me.cliXSI030F010.rdo070XSI030F010.Checked = True Then
										'画面チェックボックス(登録されている患者最終日付を上書き)
										cliBasicInfo.LASTHSPVST_DT = cliOneCsvData.LASTHSPVST_DT	'最終来院日
										cliBasicInfo.LASTLEFTHSP_DT = cliOneCsvData.LASTLEFTHSP_DT	'最終退院日
									Else

										'すべて更新
										If basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPATIENT_NM).ToString() <> cliOneCsvData.PATIENT_NM Then '氏名変更チェック
											'基本情報氏名をずらして登録
											cliBasicInfo.PATIENT_NM = cliOneCsvData.PATIENT_NM													'氏名
											cliBasicInfo.PATIENT_KNM = cliOneCsvData.PATIENT_KNM												'氏名カナ
											cliBasicInfo.PREVIOUS1_NM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPATIENT_NM).ToString()		'旧姓１
											cliBasicInfo.PREVIOUS1_KNM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPATIENT_KNM).ToString()		'旧姓１カナ
											cliBasicInfo.PREVIOUS2_NM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPREVIOUS1_NM).ToString()		'旧姓２
											cliBasicInfo.PREVIOUS2_KNM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPREVIOUS1_KNM).ToString()	'旧姓２カナ

											'ログにデータ格納
											cliLOG_PATIENT_NM.PATIENT_NO = cliBasicInfo.PATIENT_NO			'患者番号
											cliLOG_PATIENT_NM.PATIENT_NM = cliBasicInfo.PATIENT_NM			'氏名
											cliLOG_PATIENT_NM.PATIENT_KNM = cliBasicInfo.PATIENT_KNM		'氏名カナ
											cliLOG_PATIENT_NM.PREVIOUS1_NM = cliBasicInfo.PREVIOUS1_NM		'旧姓１氏名
											cliLOG_PATIENT_NM.PREVIOUS1_KNM = cliBasicInfo.PREVIOUS1_KNM	'旧姓１氏名カナ
											cliLOG_PATIENT_NM.PREVIOUS2_NM = cliBasicInfo.PREVIOUS2_NM		'旧姓２氏名
											cliLOG_PATIENT_NM.PREVIOUS2_KNM = cliBasicInfo.PREVIOUS2_KNM	'旧姓２氏名カナ
											cliLOG_PATIENT_NM.DEL_PATIENT_NM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPREVIOUS2_NM).ToString()		'削除氏名
											cliLOG_PATIENT_NM.DEL_PATIENT_KNM = basicInfo_DB.Rows(0).Item(sqlXSI010F010.itmPREVIOUS2_KNM).ToString()	'削除氏名カナ
										End If
										cliBasicInfo.GENDER_CD = cliOneCsvData.GENDER_CD						'性別コード
										cliBasicInfo.BIRTH_DT = cliOneCsvData.BIRTH_DT							'生年月日
										cliBasicInfo.FIRSTHSPVST_DT = cliOneCsvData.FIRSTHSPVST_DT				'初回来院日
										cliBasicInfo.LASTHSPVST_DT = cliOneCsvData.LASTHSPVST_DT				'最終来院日
										cliBasicInfo.LASTDEPT_CD = cliOneCsvData.LASTDEPT_CD					'最終受診科コード
										cliBasicInfo.LASTLEFTHSP_DT = cliOneCsvData.LASTLEFTHSP_DT				'最終退院日
										cliBasicInfo.REMARKS = cliOneCsvData.REMARKS							'コメント
										cliBasicInfo.NATIONALITY_CD = cliOneCsvData.NATIONALITY_CD				'国籍
										cliBasicInfo.DOMICILE_ADDRESS_CD = cliOneCsvData.DOMICILE_ADDRESS_CD	'出生地コード
										cliBasicInfo.DOMICILE_ADDRESS = cliOneCsvData.DOMICILE_ADDRESS			'本籍住所
										cliBasicInfo.CONTACT_PATIENT_NM = cliOneCsvData.CONTACT_PATIENT_NM		'連絡先氏名
										cliBasicInfo.CONTACT_ZIP_CD = cliOneCsvData.CONTACT_ZIP_CD				'連絡先郵便番号
										cliBasicInfo.CONTACT_ADDRESS = cliOneCsvData.CONTACT_ADDRESS			'連絡先住所
										cliBasicInfo.CONTACT_TELNUMBER = cliOneCsvData.CONTACT_TELNUMBER		'連絡先電話番号
										cliBasicInfo.CONTACT_RELATION = cliOneCsvData.CONTACT_RELATION			'連絡先続柄コード
									End If
								End If
'(M) END V4-14054-000 139 20131030 ID)平井
							Else
								'登録
'(M) STR V4-14054-000 082 20131030 ID)平井(貸出管理レベルアップ２次開発（システム連携）)
								'If Me.cliXSI010F010.rdo107XSI010F010.Checked = True Then
								'	'画面選択(登録されていない患者無視する)
								'	cliOneCsvData.ERR_FLG = "2"
								'	cliOneCsvData.ERR_CD = "W0004"
								'	'登録されていない患者のため無視します。
								'	cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
								'Else
								'	cliBasicInfo.PATIENT_NM = cliOneCsvData.PATIENT_NM						'氏名
								'	cliBasicInfo.PATIENT_KNM = cliOneCsvData.PATIENT_KNM					'氏名カナ
								'	cliBasicInfo.GENDER_CD = cliOneCsvData.GENDER_CD						'性別コード
								'	cliBasicInfo.BIRTH_DT = cliOneCsvData.BIRTH_DT							'生年月日
								'	cliBasicInfo.FIRSTHSPVST_DT = cliOneCsvData.FIRSTHSPVST_DT				'初回来院日
								'	cliBasicInfo.LASTHSPVST_DT = cliOneCsvData.LASTHSPVST_DT				'最終来院日
								'	cliBasicInfo.LASTDEPT_CD = cliOneCsvData.LASTDEPT_CD					'最終受診科コード
								'	cliBasicInfo.LASTLEFTHSP_DT = cliOneCsvData.LASTLEFTHSP_DT				'最終退院日
								'	cliBasicInfo.REMARKS = cliOneCsvData.REMARKS							'コメント
								'	cliBasicInfo.NATIONALITY_CD = cliOneCsvData.NATIONALITY_CD				'国籍
								'	cliBasicInfo.DOMICILE_ADDRESS_CD = cliOneCsvData.DOMICILE_ADDRESS_CD	'出生地コード
								'	cliBasicInfo.DOMICILE_ADDRESS = cliOneCsvData.DOMICILE_ADDRESS			'本籍住所
								'	cliBasicInfo.CONTACT_PATIENT_NM = cliOneCsvData.CONTACT_PATIENT_NM		'連絡先氏名
								'	cliBasicInfo.CONTACT_ZIP_CD = cliOneCsvData.CONTACT_ZIP_CD				'連絡先郵便番号
								'	cliBasicInfo.CONTACT_ADDRESS = cliOneCsvData.CONTACT_ADDRESS			'連絡先住所
								'	cliBasicInfo.CONTACT_TELNUMBER = cliOneCsvData.CONTACT_TELNUMBER		'連絡先電話番号
								'	cliBasicInfo.CONTACT_RELATION = cliOneCsvData.CONTACT_RELATION			'連絡先続柄コード
								'End If
								If Me.cliXSI010F010 IsNot Nothing Then
									'登録
									If Me.cliXSI010F010.rdo107XSI010F010.Checked = True Then
										'画面選択(登録されていない患者無視する)
										cliOneCsvData.ERR_FLG = "2"
										cliOneCsvData.ERR_CD = "W0004"
										'登録されていない患者のため無視します。
										cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
									Else
										cliBasicInfo.PATIENT_NM = cliOneCsvData.PATIENT_NM						'氏名
										cliBasicInfo.PATIENT_KNM = cliOneCsvData.PATIENT_KNM					'氏名カナ
										cliBasicInfo.GENDER_CD = cliOneCsvData.GENDER_CD						'性別コード
										cliBasicInfo.BIRTH_DT = cliOneCsvData.BIRTH_DT							'生年月日
										cliBasicInfo.FIRSTHSPVST_DT = cliOneCsvData.FIRSTHSPVST_DT				'初回来院日
										cliBasicInfo.LASTHSPVST_DT = cliOneCsvData.LASTHSPVST_DT				'最終来院日
										cliBasicInfo.LASTDEPT_CD = cliOneCsvData.LASTDEPT_CD					'最終受診科コード
										cliBasicInfo.LASTLEFTHSP_DT = cliOneCsvData.LASTLEFTHSP_DT				'最終退院日
										cliBasicInfo.REMARKS = cliOneCsvData.REMARKS							'コメント
										cliBasicInfo.NATIONALITY_CD = cliOneCsvData.NATIONALITY_CD				'国籍
										cliBasicInfo.DOMICILE_ADDRESS_CD = cliOneCsvData.DOMICILE_ADDRESS_CD	'出生地コード
										cliBasicInfo.DOMICILE_ADDRESS = cliOneCsvData.DOMICILE_ADDRESS			'本籍住所
										cliBasicInfo.CONTACT_PATIENT_NM = cliOneCsvData.CONTACT_PATIENT_NM		'連絡先氏名
										cliBasicInfo.CONTACT_ZIP_CD = cliOneCsvData.CONTACT_ZIP_CD				'連絡先郵便番号
										cliBasicInfo.CONTACT_ADDRESS = cliOneCsvData.CONTACT_ADDRESS			'連絡先住所
										cliBasicInfo.CONTACT_TELNUMBER = cliOneCsvData.CONTACT_TELNUMBER		'連絡先電話番号
										cliBasicInfo.CONTACT_RELATION = cliOneCsvData.CONTACT_RELATION			'連絡先続柄コード
									End If
								Else
									'登録
									If Me.cliXSI030F010.rdo066XSI030F010.Checked = True Then
										'画面選択(登録されていない患者無視する)
										cliOneCsvData.ERR_FLG = "2"
										cliOneCsvData.ERR_CD = "W0004"
										'登録されていない患者のため無視します。
										cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
									Else
										cliBasicInfo.PATIENT_NM = cliOneCsvData.PATIENT_NM						'氏名
										cliBasicInfo.PATIENT_KNM = cliOneCsvData.PATIENT_KNM					'氏名カナ
										cliBasicInfo.GENDER_CD = cliOneCsvData.GENDER_CD						'性別コード
										cliBasicInfo.BIRTH_DT = cliOneCsvData.BIRTH_DT							'生年月日
										cliBasicInfo.FIRSTHSPVST_DT = cliOneCsvData.FIRSTHSPVST_DT				'初回来院日
										cliBasicInfo.LASTHSPVST_DT = cliOneCsvData.LASTHSPVST_DT				'最終来院日
										cliBasicInfo.LASTDEPT_CD = cliOneCsvData.LASTDEPT_CD					'最終受診科コード
										cliBasicInfo.LASTLEFTHSP_DT = cliOneCsvData.LASTLEFTHSP_DT				'最終退院日
										cliBasicInfo.REMARKS = cliOneCsvData.REMARKS							'コメント
										cliBasicInfo.NATIONALITY_CD = cliOneCsvData.NATIONALITY_CD				'国籍
										cliBasicInfo.DOMICILE_ADDRESS_CD = cliOneCsvData.DOMICILE_ADDRESS_CD	'出生地コード
										cliBasicInfo.DOMICILE_ADDRESS = cliOneCsvData.DOMICILE_ADDRESS			'本籍住所
										cliBasicInfo.CONTACT_PATIENT_NM = cliOneCsvData.CONTACT_PATIENT_NM		'連絡先氏名
										cliBasicInfo.CONTACT_ZIP_CD = cliOneCsvData.CONTACT_ZIP_CD				'連絡先郵便番号
										cliBasicInfo.CONTACT_ADDRESS = cliOneCsvData.CONTACT_ADDRESS			'連絡先住所
										cliBasicInfo.CONTACT_TELNUMBER = cliOneCsvData.CONTACT_TELNUMBER		'連絡先電話番号
										cliBasicInfo.CONTACT_RELATION = cliOneCsvData.CONTACT_RELATION			'連絡先続柄コード
									End If
								End If
'(M) END V4-14054-000 082 20131030 ID)平井

							End If

							'死亡情報データセット
							If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_DEATH_DT) = False Then
								cliDeath.PATIENT_NO = cliOneCsvData.PATIENT_NO			'患者番号
								cliDeath.DEATH_LCT_CD = cliOneCsvData.OUT_HSP_DEATH_LCT	'死亡場所コード
								cliDeath.DEATH_DT = cliOneCsvData.OUT_HSP_DEATH_DT		'死亡日
								cliDeath.DEATH_LCT = cliOneCsvData.DEATH_REMARKS		'死亡場所
								'死亡時年月日齢計算
								With Nothing
									Dim age As Integer = 0
									Dim monthAge As Integer = 0
									Dim dayAge As Integer = 0
									'年齢、月齢、日齢取得
									Me.getDiffYearMonth(cliBasicInfo.BIRTH_DT, cliDeath.DEATH_DT, age, monthAge, dayAge)

									cliDeath.DEATH_AGE = age.ToString()			   '死亡時時年齢
									cliDeath.DEATH_MONTH_AGE = monthAge.ToString() '死亡時月齢
									cliDeath.DEATH_DAY_AGE = dayAge.ToString()	   '死亡時日齢
								End With
							End If
							'データ登録
							Try
								'トランザクション開始
								pDb.ctlTran(clsDB.Enum_TranMode.Begin)

								'基本情報
'(M) STR V4-14054-000 020 20131030 ID)平井(貸出管理レベルアップ２次開発（システム連携）)
								'If basicInfo_DB.Rows.Count > 0 Then
								'	Me.setSqlParam_XTI_BASICINFO(pDb, False, Enum_SqlIdx.eUpd, cliBasicInfo) '更新
								'ElseIf Me.cliXSI010F010.rdo106XSI010F010.Checked = True Then
								'	Me.setSqlParam_XTI_BASICINFO(pDb, False, Enum_SqlIdx.eIns, cliBasicInfo) '登録
								'End If
								If Me.cliXSI010F010 IsNot Nothing Then
									If basicInfo_DB.Rows.Count > 0 Then
										Me.setSqlParam_XTI_BASICINFO(pDb, False, Enum_SqlIdx.eUpd, cliBasicInfo) '更新
									ElseIf Me.cliXSI010F010.rdo106XSI010F010.Checked = True Then
										Me.setSqlParam_XTI_BASICINFO(pDb, False, Enum_SqlIdx.eIns, cliBasicInfo) '登録
									End If
								Else
									If basicInfo_DB.Rows.Count > 0 Then
										Me.setSqlParam_XTI_BASICINFO(pDb, False, Enum_SqlIdx.eUpd, cliBasicInfo) '更新
									ElseIf Me.cliXSI030F010.rdo065XSI030F010.Checked = True Then
										Me.setSqlParam_XTI_BASICINFO(pDb, False, Enum_SqlIdx.eIns, cliBasicInfo) '登録
									End If
								End If
'(M) END V4-14054-000 020 20131030 ID)平井

								'死亡情報
'(M) STR V4-14054-000 040 20131030 ID)平井(貸出管理レベルアップ２次開発（システム連携）)
								'If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_DEATH_DT) = True Then
								'	'院外死亡日入力なしなら登録しない
								'ElseIf basicInfo_DB.Rows.Count > 0 AndAlso Me.cliXSI010F010.rdo111XSI010F010.Checked = True Then
								'	'最終日のみ更新時、何もしない
								'ElseIf death_DB.Rows.Count > 0 Then
								'	Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eUpd, cliDeath) '更新
								'ElseIf Me.cliXSI010F010.rdo106XSI010F010.Checked = True Then
								'	'削除後追加
								'	Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eDel, cliDeath)
								'	Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eIns, cliDeath)
								'End If
								If Me.cliXSI010F010 IsNot Nothing Then
									'死亡情報
									If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_DEATH_DT) = True Then
										'院外死亡日入力なしなら登録しない
									ElseIf basicInfo_DB.Rows.Count > 0 AndAlso Me.cliXSI010F010.rdo111XSI010F010.Checked = True Then
										'最終日のみ更新時、何もしない
									ElseIf death_DB.Rows.Count > 0 Then
										Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eUpd, cliDeath) '更新
									ElseIf Me.cliXSI010F010.rdo106XSI010F010.Checked = True Then
										'削除後追加
										Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eDel, cliDeath)
										Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eIns, cliDeath)
									End If
								Else
									'死亡情報
									If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_DEATH_DT) = True Then
										'院外死亡日入力なしなら登録しない
									ElseIf basicInfo_DB.Rows.Count > 0 AndAlso Me.cliXSI030F010.rdo070XSI030F010.Checked = True Then
										'最終日のみ更新時、何もしない
									ElseIf death_DB.Rows.Count > 0 Then
										Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eUpd, cliDeath) '更新
									ElseIf Me.cliXSI030F010.rdo065XSI030F010.Checked = True Then
										'削除後追加
										Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eDel, cliDeath)
										Me.setSqlParam_MTI_DEATH(pDb, False, Enum_SqlIdx.eIns, cliDeath)
									End If
								End If
'(M) END V4-14054-000 040 20131030 ID)平井

								'トランザクション終了
								pDb.ctlTran(clsDB.Enum_TranMode.Commit)

							Catch ex As SqlClient.SqlException
								If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
'(M) STR V4-14054-000 008 20131030 ID)平井(貸出管理レベルアップ２次開発（システム連携）)
								'Call Me.cliXSI010F010.ErrorProc(ex)
								If Me.cliXSI010F010 IsNot Nothing Then
									Call Me.cliXSI010F010.ErrorProc(ex)
								Else
									Call Me.cliXSI030F010.ErrorProc(ex)
								End If
'(M) END V4-14054-000 008 20131030 ID)平井

								cliOneCsvData.ERR_FLG = "1"
							Catch ex As Exception
								If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
								Throw
							Finally
							End Try
						End Using
					End Using
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【基本情報】CSVチェック処理
	''' </summary>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <returns>False:エラー</returns>
	''' <remarks>
	''' 2010/11/15 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCSV(ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "基本情報連携", "【基本情報】CSVチェック処理 Start")
		Dim disit As List(Of Integer) = Nothing
		Dim oneCsv As List(Of String) = Nothing
		Dim dataTypePattern() As Char						'データ種別パターン
		Try
			oneCsv = New List(Of String)
			'データ種別パターン
			dataTypePattern = New Char() {"A"c}

			'取り込んだデータをワーカーに設定
			oneCsv.Add(cliOneCsvData.DATA_TYPE)				'データ種別
			oneCsv.Add(cliOneCsvData.PATIENT_NO)			'患者番号
			oneCsv.Add(cliOneCsvData.PATIENT_NM)			'氏名
			oneCsv.Add(cliOneCsvData.PATIENT_KNM)			'氏名カナ
			oneCsv.Add(cliOneCsvData.GENDER_CD)				'性別コード
			oneCsv.Add(cliOneCsvData.BIRTH_DT)				'生年月日
			oneCsv.Add(cliOneCsvData.FIRSTHSPVST_DT)		'初回来院日
			oneCsv.Add(cliOneCsvData.LASTHSPVST_DT)			'最終来院日
			oneCsv.Add(cliOneCsvData.LASTDEPT_CD)			'最終受診科コード
			oneCsv.Add(cliOneCsvData.LASTLEFTHSP_DT)		'最終退院日
			oneCsv.Add(cliOneCsvData.REMARKS)				'コメント
			oneCsv.Add(cliOneCsvData.OUT_HSP_DEATH_DT)		'院外での死亡日
			oneCsv.Add(cliOneCsvData.OUT_HSP_DEATH_LCT)		'院外での死亡場所コード
			oneCsv.Add(cliOneCsvData.DEATH_REMARKS)			'院外での死亡場所備考
			oneCsv.Add(cliOneCsvData.NATIONALITY_CD)		'国籍コード
			oneCsv.Add(cliOneCsvData.DOMICILE_ADDRESS_CD)	'出生地コード
			oneCsv.Add(cliOneCsvData.DOMICILE_ADDRESS)		'出生地住所
			oneCsv.Add(cliOneCsvData.CONTACT_PATIENT_NM)	'連絡先氏名
			oneCsv.Add(cliOneCsvData.CONTACT_ZIP_CD)		'連絡先郵便番号
			oneCsv.Add(cliOneCsvData.CONTACT_ADDRESS)		'連絡先住所
			oneCsv.Add(cliOneCsvData.CONTACT_TELNUMBER)		'連絡先電話番号
			oneCsv.Add(cliOneCsvData.CONTACT_RELATION)		'連絡先続柄コード

			'桁数チェック
			disit = Me.setInputDisit()
			If Me.chkCsvDisit(oneCsv, disit, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
				Return False
			End If

			'CSV内チェック
			Dim bRequired As Boolean = False
			For idx As Integer = 0 To oneCsv.Count - 1
				bRequired = False
				'必須チェックが必要な項目か判断
				Select Case idx
					Case 0 To 5 : bRequired = True
					Case Else : bRequired = False
				End Select
				'必須チェック
				If bRequired = True AndAlso Me.chkCsvRequiredItem(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
					Return False
				Else
					Select Case idx
						Case 0 'データ種別
							If Me.chkCsvDATA_TYPE(oneCsv(idx), dataTypePattern, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 1 '患者番号
							If Me.chkCsvPATIENT_NO(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 4 '性別コード
							If Me.chkCsvGender(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 5, 6, 7, 9, 11	'日付チェック
							If Me.chkCsvDate(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

					End Select
				End If
			Next

			'生年月日と初回来院日
			If String.IsNullOrEmpty(cliOneCsvData.FIRSTHSPVST_DT) = True Then
				'初回来院日未入力時チェック無し
			ElseIf Me.dateCompare(cliOneCsvData.BIRTH_DT, cliOneCsvData.FIRSTHSPVST_DT) > 0 Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0031"
				'初回来院日が生年月日より過去の日付になっています。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"初回来院日", "生年月日より過去の日付", Nothing})
				Return False
			End If
			'生年月日と最終来院日
			If String.IsNullOrEmpty(cliOneCsvData.LASTHSPVST_DT) = True Then
				'最終来院日未入力時チェック無し
			ElseIf Me.dateCompare(cliOneCsvData.BIRTH_DT, cliOneCsvData.LASTHSPVST_DT) > 0 Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0031"
				'最終来院日が生年月日より過去の日付になっています。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"最終来院日", "生年月日より過去の日付", Nothing})
				Return False
			End If
			'生年月日と最終退院日
			If String.IsNullOrEmpty(cliOneCsvData.LASTLEFTHSP_DT) = True Then
				'最終退院日未入力時チェック無し
			ElseIf Me.dateCompare(cliOneCsvData.BIRTH_DT, cliOneCsvData.LASTLEFTHSP_DT) > 0 Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0031"
				'最終退院日が生年月日より過去の日付になっています。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"最終退院日", "生年月日より過去の日付", Nothing})
				Return False
			End If

			If String.IsNullOrEmpty(cliOneCsvData.OUT_HSP_DEATH_DT) = True Then
				'院外死亡日未入力時チェック無し
			ElseIf Me.dateCompare(cliOneCsvData.BIRTH_DT, cliOneCsvData.OUT_HSP_DEATH_DT) > 0 Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0031"
				'院外死亡日が生年月日より過去の日付になっています。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"院外死亡日", "生年月日より過去の日付", Nothing})
				Return False
			End If

			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			If disit IsNot Nothing Then disit.Clear()
			disit = Nothing
			If oneCsv IsNot Nothing Then oneCsv.Clear()
			oneCsv = Nothing
			dataTypePattern = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【基本情報】桁数定義
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2010/11/15 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setInputDisit() As List(Of Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "基本情報連携", "【基本情報】桁数定義 Start")
		Dim disit As List(Of Integer) = Nothing
		Try
			disit = New List(Of Integer)
			disit.Add(1)	'データ種別
			disit.Add(10)	'患者番号
			disit.Add(20)	'氏名
			disit.Add(30)	'氏名カナ
			disit.Add(1)	'性別コード
			disit.Add(10)	'生年月日
			disit.Add(10)	'初回来院日
			disit.Add(10)	'最終来院日
			disit.Add(2)	'最終受診科コード
			disit.Add(10)	'最終退院日
			disit.Add(100)	'コメント
			disit.Add(10)	'院外での死亡日
			disit.Add(2)	'院外での死亡場所コード
			disit.Add(10)	'院外での死亡場所備考
			disit.Add(2)	'国籍コード
			disit.Add(2)	'出生地コード
			disit.Add(80)	'出生地住所
			disit.Add(20)	'連絡先氏名
			disit.Add(7)	'連絡先郵便番号
			disit.Add(80)	'連絡先住所
			disit.Add(15)	'連絡先電話番号
			disit.Add(2)	'連絡先続柄コード
			disit.Add(1)	'　―――
			disit.Add(1)	'　―――
			disit.Add(1)	'　―――

			Return disit
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【基本情報】V3レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/11/15 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV3Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "基本情報連携", "【基本情報】V3レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)				'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)			'患者番号
			cliOneCsvData.PATIENT_NM = oneCsv(2)			'氏名
			cliOneCsvData.PATIENT_KNM = oneCsv(3)			'氏名カナ
			cliOneCsvData.GENDER_CD = oneCsv(4)				'性別コード
			cliOneCsvData.BIRTH_DT = oneCsv(5)				'生年月日
			cliOneCsvData.LASTHSPVST_DT = oneCsv(6)			'最終来院日
			cliOneCsvData.LASTDEPT_CD = oneCsv(7)			'最終受診科
			cliOneCsvData.REMARKS = oneCsv(8)				'コメント
			cliOneCsvData.OUT_HSP_DEATH_DT = oneCsv(9)		'院外での死亡日
			cliOneCsvData.OUT_HSP_DEATH_LCT = oneCsv(10)	'院外での死亡場所
			cliOneCsvData.DOMICILE_ADDRESS = oneCsv(11)		'出生地住所
			Select Case oneCsv.Length
				Case ENUM_CSV_CNT.V3
					cliOneCsvData.CONTACT_PATIENT_NM = oneCsv(12)	'連絡先氏名
					cliOneCsvData.CONTACT_ZIP_CD = oneCsv(13)		'連絡先郵便番号
					cliOneCsvData.CONTACT_ADDRESS = oneCsv(14)		'連絡先住所
					cliOneCsvData.CONTACT_TELNUMBER = oneCsv(15)	'連絡先電話番号
					cliOneCsvData.CONTACT_RELATION = oneCsv(16)		'連絡先続柄
			End Select

			'cliOneCsvData.SPARE01 = oneCsv(17)              '　―――
			'cliOneCsvData.SPARE02 = oneCsv(18)              '　―――
			'cliOneCsvData.SPARE03 = oneCsv(19)              '　―――

			cliOneCsvData.FIRSTHSPVST_DT = String.Empty		'初回来院日(V3セットなし)
			cliOneCsvData.LASTLEFTHSP_DT = String.Empty		'最終退院日(V3セットなし)
			cliOneCsvData.DEATH_REMARKS = String.Empty		'院外での死亡場所備考(V3セットなし)
			cliOneCsvData.NATIONALITY_CD = String.Empty		'国籍コード(V3セットなし)
			cliOneCsvData.DOMICILE_ADDRESS_CD = String.Empty '出生地コード(V3セットなし)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【基本情報】V4レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/11/15 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV4Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "基本情報連携", "【基本情報】V4レイアウト変換 Start")
		Try
'(A) STR V4-99999-000 007 20140617 ID）唐渡 病歴大将V4PKG問題点NO.413 NULL文字対応
			Dim i As Integer
			For i = 0 To UBound(oneCsv)
				oneCsv(i) = oneCsv(i).Replace(Nothing, " "c)
				oneCsv(i) = RTrim(oneCsv(i))
			Next
'(A) END V4-99999-000 007 20140617 ID）唐渡 病歴大将V4PKG問題点NO.413 NULL文字対応
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)				'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)			'患者番号
			cliOneCsvData.PATIENT_NM = oneCsv(2)			'氏名
			cliOneCsvData.PATIENT_KNM = oneCsv(3)			'氏名カナ
			cliOneCsvData.GENDER_CD = oneCsv(4)				'性別コード
			cliOneCsvData.BIRTH_DT = oneCsv(5)				'生年月日
			cliOneCsvData.FIRSTHSPVST_DT = oneCsv(6)		'初回来院日
			cliOneCsvData.LASTHSPVST_DT = oneCsv(7)			'最終来院日
			cliOneCsvData.LASTDEPT_CD = oneCsv(8)			'最終受診科コード
			cliOneCsvData.LASTLEFTHSP_DT = oneCsv(9)		'最終退院日
			cliOneCsvData.REMARKS = oneCsv(10)				'コメント
			cliOneCsvData.OUT_HSP_DEATH_DT = oneCsv(11)		'院外での死亡日
			cliOneCsvData.OUT_HSP_DEATH_LCT = oneCsv(12)	'院外での死亡場所コード
			cliOneCsvData.DEATH_REMARKS = oneCsv(13)		'院外での死亡場所備考
			cliOneCsvData.NATIONALITY_CD = oneCsv(14)		'国籍コード
			cliOneCsvData.DOMICILE_ADDRESS_CD = oneCsv(15)	'出生地コード
			cliOneCsvData.DOMICILE_ADDRESS = oneCsv(16)		'出生地住所
			cliOneCsvData.CONTACT_PATIENT_NM = oneCsv(17)	'連絡先氏名
			cliOneCsvData.CONTACT_ZIP_CD = oneCsv(18)		'連絡先郵便番号
			cliOneCsvData.CONTACT_ADDRESS = oneCsv(19)		'連絡先住所
			cliOneCsvData.CONTACT_TELNUMBER = oneCsv(20)	'連絡先電話番号
			cliOneCsvData.CONTACT_RELATION = oneCsv(21)		'連絡先続柄コード
			'cliOneCsvData.SPARE01 = oneCsv(22)              '　―――
			'cliOneCsvData.SPARE02 = oneCsv(23)              '　―――
			'cliOneCsvData.SPARE03 = oneCsv(24)              '　―――

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【基本情報】ログSQL登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTT_IMP_LOG(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_BASIC)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "基本情報連携", "【基本情報】ログ登録 Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlIns_MTT_IMP_LOG_BASIC)

			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmREG_DT, clsDB.Enum_dbType.dbDateTime)				  '登録日
			pDb.setParam(sqlXSI010F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)				  '連番
			pDb.setParam(sqlXSI010F010.prmERR_FLG, clsDB.Enum_dbType.dbInt)					  'エラーフラグ
			pDb.setParam(sqlXSI010F010.prmDATA_TYPE, clsDB.Enum_dbType.dbNVarChar)				'データ種別
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)				'患者番号
			pDb.setParam(sqlXSI010F010.prmPATIENT_NM, clsDB.Enum_dbType.dbNVarChar)				'氏名
			pDb.setParam(sqlXSI010F010.prmPATIENT_KNM, clsDB.Enum_dbType.dbNVarChar)			'氏名カナ
			pDb.setParam(sqlXSI010F010.prmGENDER_CD, clsDB.Enum_dbType.dbNVarChar)				'性別コード
			pDb.setParam(sqlXSI010F010.prmBIRTH_DT, clsDB.Enum_dbType.dbNVarChar)				'生年月日
			pDb.setParam(sqlXSI010F010.prmLASTHSPVST_DT, clsDB.Enum_dbType.dbNVarChar)			'最終来院日
			pDb.setParam(sqlXSI010F010.prmLASTDEPT_CD, clsDB.Enum_dbType.dbNVarChar)			'最終受診科コード
			pDb.setParam(sqlXSI010F010.prmREMARKS, clsDB.Enum_dbType.dbNVarChar)				'コメント
			pDb.setParam(sqlXSI010F010.prmOUT_HSP_DEATH_DT, clsDB.Enum_dbType.dbNVarChar)		'院外死亡日
			pDb.setParam(sqlXSI010F010.prmOUT_HSP_DEATH_LCT, clsDB.Enum_dbType.dbNVarChar)		'院外死亡場所コード
			pDb.setParam(sqlXSI010F010.prmDOMICILE_ADDRESS, clsDB.Enum_dbType.dbNVarChar)		'本籍住所
			pDb.setParam(sqlXSI010F010.prmCONTACT_PATIENT_NM, clsDB.Enum_dbType.dbNVarChar)		'連絡先氏名
			pDb.setParam(sqlXSI010F010.prmCONTACT_ZIP_CD, clsDB.Enum_dbType.dbNVarChar)			'連絡先郵便番号
			pDb.setParam(sqlXSI010F010.prmCONTACT_ADDRESS, clsDB.Enum_dbType.dbNVarChar)		'連絡先住所
			pDb.setParam(sqlXSI010F010.prmCONTACT_TELNUMBER, clsDB.Enum_dbType.dbNVarChar)		'連絡先電話番号
			pDb.setParam(sqlXSI010F010.prmCONTACT_RELATION, clsDB.Enum_dbType.dbNVarChar)		'連絡先続柄
			pDb.setParam(sqlXSI010F010.prmSPARE01, clsDB.Enum_dbType.dbNVarChar)				'予備１
			pDb.setParam(sqlXSI010F010.prmSPARE02, clsDB.Enum_dbType.dbNVarChar)				'予備２
			pDb.setParam(sqlXSI010F010.prmSPARE03, clsDB.Enum_dbType.dbNVarChar)				'予備３
			pDb.setParam(sqlXSI010F010.prmMODULE_CD, clsDB.Enum_dbType.dbNVarChar)				'モジュールコード
			pDb.setParam(sqlXSI010F010.prmERR_CD, clsDB.Enum_dbType.dbNVarChar)					'エラーコード
			pDb.setParam(sqlXSI010F010.prmMESSAGE, clsDB.Enum_dbType.dbNVarChar)				'メッセージ
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)			'更新者コード
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			  '更新日
			pDb.setParam(sqlXSI010F010.prmFIRSTHSPVST_DT, clsDB.Enum_dbType.dbNVarChar)			'初回来院日
			pDb.setParam(sqlXSI010F010.prmLASTLEFTHSP_DT, clsDB.Enum_dbType.dbNVarChar)			'最終退院日
			pDb.setParam(sqlXSI010F010.prmDEATH_REMARKS, clsDB.Enum_dbType.dbNVarChar)			'院外での死亡場所備考
			pDb.setParam(sqlXSI010F010.prmNATIONALITY_CD, clsDB.Enum_dbType.dbNVarChar)			'国籍コード
			pDb.setParam(sqlXSI010F010.prmDOMICILE_ADDRESS_CD, clsDB.Enum_dbType.dbNVarChar)	'出生地コード

			'値設定
			pDb.setVal(sqlXSI010F010.prmREG_DT, DateTime.Now)									  '登録日
			pDb.setVal(sqlXSI010F010.prmSERIAL_NO, cliOneCsvData.SERIAL_NO)						  '連番
			pDb.setVal(sqlXSI010F010.prmERR_FLG, cliOneCsvData.ERR_FLG)							  'エラーフラグ
			pDb.setVal(sqlXSI010F010.prmDATA_TYPE, cliOneCsvData.DATA_TYPE)						  'データ種別
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)					  '患者番号
			pDb.setVal(sqlXSI010F010.prmPATIENT_NM, cliOneCsvData.PATIENT_NM)					  '氏名
			pDb.setVal(sqlXSI010F010.prmPATIENT_KNM, cliOneCsvData.PATIENT_KNM)					  '氏名カナ
			pDb.setVal(sqlXSI010F010.prmGENDER_CD, cliOneCsvData.GENDER_CD)						  '性別コード
			pDb.setVal(sqlXSI010F010.prmBIRTH_DT, cliOneCsvData.BIRTH_DT)						  '生年月日
			pDb.setVal(sqlXSI010F010.prmLASTHSPVST_DT, cliOneCsvData.LASTHSPVST_DT)				  '最終来院日
			pDb.setVal(sqlXSI010F010.prmLASTDEPT_CD, cliOneCsvData.LASTDEPT_CD)					  '最終受診科コード
			pDb.setVal(sqlXSI010F010.prmREMARKS, cliOneCsvData.REMARKS)							  'コメント
			pDb.setVal(sqlXSI010F010.prmOUT_HSP_DEATH_DT, cliOneCsvData.OUT_HSP_DEATH_DT)		  '院外死亡日
			pDb.setVal(sqlXSI010F010.prmOUT_HSP_DEATH_LCT, cliOneCsvData.OUT_HSP_DEATH_LCT)		  '院外死亡場所コード
			pDb.setVal(sqlXSI010F010.prmDOMICILE_ADDRESS, cliOneCsvData.DOMICILE_ADDRESS)		  '本籍住所
			pDb.setVal(sqlXSI010F010.prmCONTACT_PATIENT_NM, cliOneCsvData.CONTACT_PATIENT_NM)	  '連絡先氏名
			pDb.setVal(sqlXSI010F010.prmCONTACT_ZIP_CD, cliOneCsvData.CONTACT_ZIP_CD)			  '連絡先郵便番号
			pDb.setVal(sqlXSI010F010.prmCONTACT_ADDRESS, cliOneCsvData.CONTACT_ADDRESS)			  '連絡先住所
			pDb.setVal(sqlXSI010F010.prmCONTACT_TELNUMBER, cliOneCsvData.CONTACT_TELNUMBER)		  '連絡先電話番号
			pDb.setVal(sqlXSI010F010.prmCONTACT_RELATION, cliOneCsvData.CONTACT_RELATION)		  '連絡先続柄
			pDb.setVal(sqlXSI010F010.prmSPARE01, cliOneCsvData.SPARE01)							  '予備１
			pDb.setVal(sqlXSI010F010.prmSPARE02, cliOneCsvData.SPARE02)							  '予備２
			pDb.setVal(sqlXSI010F010.prmSPARE03, cliOneCsvData.SPARE03)							  '予備３
			pDb.setVal(sqlXSI010F010.prmMODULE_CD, cliOneCsvData.MODULE_CD)						  'モジュールコード
			pDb.setVal(sqlXSI010F010.prmERR_CD, cliOneCsvData.ERR_CD)							  'エラーコード
			pDb.setVal(sqlXSI010F010.prmMESSAGE, cliOneCsvData.MESSAGE)							  'メッセージ
'(M) STR V4-14054-000 004 20131030 ID)平井(貸出管理レベルアップ２次開発（システム連携）)
			'pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)				  '更新者コード
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, clsSysMst.getLoginId)					  '更新者コード
'(M) END V4-14054-000 004 20131030 ID)平井
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)								  '更新日
			pDb.setVal(sqlXSI010F010.prmFIRSTHSPVST_DT, cliOneCsvData.FIRSTHSPVST_DT)			  '初回来院日
			pDb.setVal(sqlXSI010F010.prmLASTLEFTHSP_DT, cliOneCsvData.LASTLEFTHSP_DT)			  '最終退院日
			pDb.setVal(sqlXSI010F010.prmDEATH_REMARKS, cliOneCsvData.DEATH_REMARKS)				  '院外での死亡場所備考
			pDb.setVal(sqlXSI010F010.prmNATIONALITY_CD, cliOneCsvData.NATIONALITY_CD)			  '国籍コード
			pDb.setVal(sqlXSI010F010.prmDOMICILE_ADDRESS_CD, cliOneCsvData.DOMICILE_ADDRESS_CD)	  '出生地コード

			'SQL実行
			pDb.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
