﻿''' ---------------------------------------------
''' <summary>
''' 共通処理_医療費明細情報＿データクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class datMTI_MED_COST_DETAILS_OneRec
	Public PATIENT_NO As String = Nothing		'患者番号
	Public MED_COST_DATE As Date = Nothing		'日付
	Public SERIAL_NO As Integer = Nothing		'連番
	Public DEPT_CD As String = Nothing			'診療科コード
	Public MNG_NO As Integer = Nothing			'管理番号
	Public MED_COST01 As Integer = Nothing		'医療費０１
	Public MED_COST02 As Integer = Nothing		'医療費０２
	Public MED_COST03 As Integer = Nothing		'医療費０３
	Public MED_COST04 As Integer = Nothing		'医療費０４
	Public MED_COST05 As Integer = Nothing		'医療費０５
	Public MED_COST06 As Integer = Nothing		'医療費０６
	Public MED_COST07 As Integer = Nothing		'医療費０７
	Public MED_COST08 As Integer = Nothing		'医療費０８
	Public MED_COST09 As Integer = Nothing		'医療費０９
	Public MED_COST10 As Integer = Nothing		'医療費１０
	Public MED_COST11 As Integer = Nothing		'医療費１１
	Public MED_COST12 As Integer = Nothing		'医療費１２
	Public MED_COST13 As Integer = Nothing		'医療費１３
	Public MED_COST14 As Integer = Nothing		'医療費１４
	Public MED_COST15 As Integer = Nothing		'医療費１５
	Public MED_COST16 As Integer = Nothing		'医療費１６
	Public MED_COST17 As Integer = Nothing		'医療費１７
	Public MED_COST18 As Integer = Nothing		'医療費１８
	Public MED_COST19 As Integer = Nothing		'医療費１９
	Public MED_COST20 As Integer = Nothing		'医療費２０
	Public MED_COST21 As Integer = Nothing		'医療費２１
	Public MED_COST22 As Integer = Nothing		'医療費２２
	Public MED_COST23 As Integer = Nothing		'医療費２３
	Public MED_COST24 As Integer = Nothing		'医療費２４
	Public MED_COST25 As Integer = Nothing		'医療費２５
	Public MED_COST26 As Integer = Nothing		'医療費２６
	Public MED_COST27 As Integer = Nothing		'医療費２７
	Public MED_COST28 As Integer = Nothing		'医療費２８
	Public MED_COST29 As Integer = Nothing		'医療費２９
	Public MED_COST30 As Integer = Nothing		'医療費３０
	Public MED_COST31 As Integer = Nothing		'医療費３１
	Public MED_COST32 As Integer = Nothing		'医療費３２
	Public MED_COST33 As Integer = Nothing		'医療費３３
	Public MED_COST34 As Integer = Nothing		'医療費３４
	Public MED_COST35 As Integer = Nothing		'医療費３５
	Public MED_COST36 As Integer = Nothing		'医療費３６
	Public MED_COST37 As Integer = Nothing		'医療費３７
	Public MED_COST38 As Integer = Nothing		'医療費３８
	Public MED_COST39 As Integer = Nothing		'医療費３９
	Public MED_COST40 As Integer = Nothing		'医療費４０
	Public MED_COST41 As Integer = Nothing		'医療費４１
	Public MED_COST42 As Integer = Nothing		'医療費４２
	Public MED_COST43 As Integer = Nothing		'医療費４３
	Public MED_COST44 As Integer = Nothing		'医療費４４
	Public MED_COST45 As Integer = Nothing		'医療費４５
	Public OTHER_DEPT_INFO As String = Nothing	'対診科情報
	Public DATA_CAPTURE_DT As Date = Nothing	'データ取込日
	Public NEW_REG_DT As Date = Nothing			'新規登録日
	Public LASTUPDUSER_CD As String = Nothing	'更新者コード
	Public LASTUPD_DT As Date = Nothing			'最終更新日

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_MED_COST_DETAILS_OneRec(医療費明細情報１レコード）</returns>
	''' <remarks>
	''' 2010/12/03 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_MED_COST_DETAILS_OneRec
		Dim ret As datMTI_MED_COST_DETAILS_OneRec = New datMTI_MED_COST_DETAILS_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.MED_COST_DATE = Me.MED_COST_DATE
			.SERIAL_NO = Me.SERIAL_NO
			.DEPT_CD = Me.DEPT_CD
			.MNG_NO = Me.MNG_NO
			.MED_COST01 = Me.MED_COST01
			.MED_COST02 = Me.MED_COST02
			.MED_COST03 = Me.MED_COST03
			.MED_COST04 = Me.MED_COST04
			.MED_COST05 = Me.MED_COST05
			.MED_COST06 = Me.MED_COST06
			.MED_COST07 = Me.MED_COST07
			.MED_COST08 = Me.MED_COST08
			.MED_COST09 = Me.MED_COST09
			.MED_COST10 = Me.MED_COST10
			.MED_COST11 = Me.MED_COST11
			.MED_COST12 = Me.MED_COST12
			.MED_COST13 = Me.MED_COST13
			.MED_COST14 = Me.MED_COST14
			.MED_COST15 = Me.MED_COST15
			.MED_COST16 = Me.MED_COST16
			.MED_COST17 = Me.MED_COST17
			.MED_COST18 = Me.MED_COST18
			.MED_COST19 = Me.MED_COST19
			.MED_COST20 = Me.MED_COST20
			.MED_COST21 = Me.MED_COST21
			.MED_COST22 = Me.MED_COST22
			.MED_COST23 = Me.MED_COST23
			.MED_COST24 = Me.MED_COST24
			.MED_COST25 = Me.MED_COST25
			.MED_COST26 = Me.MED_COST26
			.MED_COST27 = Me.MED_COST27
			.MED_COST28 = Me.MED_COST28
			.MED_COST29 = Me.MED_COST29
			.MED_COST30 = Me.MED_COST30
			.MED_COST31 = Me.MED_COST31
			.MED_COST32 = Me.MED_COST32
			.MED_COST33 = Me.MED_COST33
			.MED_COST34 = Me.MED_COST34
			.MED_COST35 = Me.MED_COST35
			.MED_COST36 = Me.MED_COST36
			.MED_COST37 = Me.MED_COST37
			.MED_COST38 = Me.MED_COST38
			.MED_COST39 = Me.MED_COST39
			.MED_COST40 = Me.MED_COST40
			.MED_COST41 = Me.MED_COST41
			.MED_COST42 = Me.MED_COST42
			.MED_COST43 = Me.MED_COST43
			.MED_COST44 = Me.MED_COST44
			.MED_COST45 = Me.MED_COST45
			.OTHER_DEPT_INFO = Me.OTHER_DEPT_INFO
			.DATA_CAPTURE_DT = Me.DATA_CAPTURE_DT
			.NEW_REG_DT = Me.NEW_REG_DT
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー（キー項目）
	''' </summary>
	''' <returns>datMTI_MED_COST_DETAILS_KeyRec(医療費明細情報キークラス）</returns>
	''' <remarks>
	''' 2010/12/03 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function KeyCopy() As datMTI_MED_COST_DETAILS_KeyRec
		Dim ret As datMTI_MED_COST_DETAILS_KeyRec = New datMTI_MED_COST_DETAILS_KeyRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.MED_COST_DATE = Me.MED_COST_DATE
			.SERIAL_NO = Me.SERIAL_NO
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 共通処理_医療費明細情報＋名称＿データクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datMTI_MED_COST_DETAILS_PLUS_OneRec
	' 医療費明細情報
	Public PATIENT_NO As String = Nothing		'患者番号
	Public MED_COST_DATE As Date = Nothing		'日付
	Public SERIAL_NO As Integer = Nothing		'連番
	Public DEPT_CD As String = Nothing			'診療科コード
	Public MNG_NO As Integer = Nothing			'管理番号
	Public MED_COST01 As Integer = Nothing		'医療費０１
	Public MED_COST02 As Integer = Nothing		'医療費０２
	Public MED_COST03 As Integer = Nothing		'医療費０３
	Public MED_COST04 As Integer = Nothing		'医療費０４
	Public MED_COST05 As Integer = Nothing		'医療費０５
	Public MED_COST06 As Integer = Nothing		'医療費０６
	Public MED_COST07 As Integer = Nothing		'医療費０７
	Public MED_COST08 As Integer = Nothing		'医療費０８
	Public MED_COST09 As Integer = Nothing		'医療費０９
	Public MED_COST10 As Integer = Nothing		'医療費１０
	Public MED_COST11 As Integer = Nothing		'医療費１１
	Public MED_COST12 As Integer = Nothing		'医療費１２
	Public MED_COST13 As Integer = Nothing		'医療費１３
	Public MED_COST14 As Integer = Nothing		'医療費１４
	Public MED_COST15 As Integer = Nothing		'医療費１５
	Public MED_COST16 As Integer = Nothing		'医療費１６
	Public MED_COST17 As Integer = Nothing		'医療費１７
	Public MED_COST18 As Integer = Nothing		'医療費１８
	Public MED_COST19 As Integer = Nothing		'医療費１９
	Public MED_COST20 As Integer = Nothing		'医療費２０
	Public MED_COST21 As Integer = Nothing		'医療費２１
	Public MED_COST22 As Integer = Nothing		'医療費２２
	Public MED_COST23 As Integer = Nothing		'医療費２３
	Public MED_COST24 As Integer = Nothing		'医療費２４
	Public MED_COST25 As Integer = Nothing		'医療費２５
	Public MED_COST26 As Integer = Nothing		'医療費２６
	Public MED_COST27 As Integer = Nothing		'医療費２７
	Public MED_COST28 As Integer = Nothing		'医療費２８
	Public MED_COST29 As Integer = Nothing		'医療費２９
	Public MED_COST30 As Integer = Nothing		'医療費３０
	Public MED_COST31 As Integer = Nothing		'医療費３１
	Public MED_COST32 As Integer = Nothing		'医療費３２
	Public MED_COST33 As Integer = Nothing		'医療費３３
	Public MED_COST34 As Integer = Nothing		'医療費３４
	Public MED_COST35 As Integer = Nothing		'医療費３５
	Public MED_COST36 As Integer = Nothing		'医療費３６
	Public MED_COST37 As Integer = Nothing		'医療費３７
	Public MED_COST38 As Integer = Nothing		'医療費３８
	Public MED_COST39 As Integer = Nothing		'医療費３９
	Public MED_COST40 As Integer = Nothing		'医療費４０
	Public MED_COST41 As Integer = Nothing		'医療費４１
	Public MED_COST42 As Integer = Nothing		'医療費４２
	Public MED_COST43 As Integer = Nothing		'医療費４３
	Public MED_COST44 As Integer = Nothing		'医療費４４
	Public MED_COST45 As Integer = Nothing		'医療費４５
	Public OTHER_DEPT_INFO As String = Nothing	'対診科情報
	Public DATA_CAPTURE_DT As Date = Nothing	'データ取込日
	Public NEW_REG_DT As Date = Nothing			'新規登録日
	Public LASTUPDUSER_CD As String = Nothing	'更新者コード
	Public LASTUPD_DT As Date = Nothing			'最終更新日
	' 診療科マスタ
	Public DEPT_NM As String = Nothing			'診療科名
	Public DEPT_RNM As String = Nothing			'診療科略称名

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_MED_COST_DETAILS_PLUS_OneRec(医療費明細情報＋名称１レコード）</returns>
	''' <remarks>
	''' 2010/12/03 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_MED_COST_DETAILS_PLUS_OneRec
		Dim ret As datMTI_MED_COST_DETAILS_PLUS_OneRec = New datMTI_MED_COST_DETAILS_PLUS_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.MED_COST_DATE = Me.MED_COST_DATE
			.SERIAL_NO = Me.SERIAL_NO
			.DEPT_CD = Me.DEPT_CD
			.MNG_NO = Me.MNG_NO
			.MED_COST01 = Me.MED_COST01
			.MED_COST02 = Me.MED_COST02
			.MED_COST03 = Me.MED_COST03
			.MED_COST04 = Me.MED_COST04
			.MED_COST05 = Me.MED_COST05
			.MED_COST06 = Me.MED_COST06
			.MED_COST07 = Me.MED_COST07
			.MED_COST08 = Me.MED_COST08
			.MED_COST09 = Me.MED_COST09
			.MED_COST10 = Me.MED_COST10
			.MED_COST11 = Me.MED_COST11
			.MED_COST12 = Me.MED_COST12
			.MED_COST13 = Me.MED_COST13
			.MED_COST14 = Me.MED_COST14
			.MED_COST15 = Me.MED_COST15
			.MED_COST16 = Me.MED_COST16
			.MED_COST17 = Me.MED_COST17
			.MED_COST18 = Me.MED_COST18
			.MED_COST19 = Me.MED_COST19
			.MED_COST20 = Me.MED_COST20
			.MED_COST21 = Me.MED_COST21
			.MED_COST22 = Me.MED_COST22
			.MED_COST23 = Me.MED_COST23
			.MED_COST24 = Me.MED_COST24
			.MED_COST25 = Me.MED_COST25
			.MED_COST26 = Me.MED_COST26
			.MED_COST27 = Me.MED_COST27
			.MED_COST28 = Me.MED_COST28
			.MED_COST29 = Me.MED_COST29
			.MED_COST30 = Me.MED_COST30
			.MED_COST31 = Me.MED_COST31
			.MED_COST32 = Me.MED_COST32
			.MED_COST33 = Me.MED_COST33
			.MED_COST34 = Me.MED_COST34
			.MED_COST35 = Me.MED_COST35
			.MED_COST36 = Me.MED_COST36
			.MED_COST37 = Me.MED_COST37
			.MED_COST38 = Me.MED_COST38
			.MED_COST39 = Me.MED_COST39
			.MED_COST40 = Me.MED_COST40
			.MED_COST41 = Me.MED_COST41
			.MED_COST42 = Me.MED_COST42
			.MED_COST43 = Me.MED_COST43
			.MED_COST44 = Me.MED_COST44
			.MED_COST45 = Me.MED_COST45
			.OTHER_DEPT_INFO = Me.OTHER_DEPT_INFO
			.DATA_CAPTURE_DT = Me.DATA_CAPTURE_DT
			.NEW_REG_DT = Me.NEW_REG_DT
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT

			.DEPT_NM = Me.DEPT_NM
			.DEPT_RNM = Me.DEPT_RNM
		End With
		Return ret
	End Function

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー（医療費明細情報）
	''' </summary>
	''' <returns>datMTI_MED_COST_DETAILS_OneRec(医療費明細情報１レコード）</returns>
	''' <remarks>
	''' 2010/12/03 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function OrgCopy() As datMTI_MED_COST_DETAILS_OneRec
		Dim ret As datMTI_MED_COST_DETAILS_OneRec = New datMTI_MED_COST_DETAILS_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.MED_COST_DATE = Me.MED_COST_DATE
			.SERIAL_NO = Me.SERIAL_NO
			.DEPT_CD = Me.DEPT_CD
			.MNG_NO = Me.MNG_NO
			.MED_COST01 = Me.MED_COST01
			.MED_COST02 = Me.MED_COST02
			.MED_COST03 = Me.MED_COST03
			.MED_COST04 = Me.MED_COST04
			.MED_COST05 = Me.MED_COST05
			.MED_COST06 = Me.MED_COST06
			.MED_COST07 = Me.MED_COST07
			.MED_COST08 = Me.MED_COST08
			.MED_COST09 = Me.MED_COST09
			.MED_COST10 = Me.MED_COST10
			.MED_COST11 = Me.MED_COST11
			.MED_COST12 = Me.MED_COST12
			.MED_COST13 = Me.MED_COST13
			.MED_COST14 = Me.MED_COST14
			.MED_COST15 = Me.MED_COST15
			.MED_COST16 = Me.MED_COST16
			.MED_COST17 = Me.MED_COST17
			.MED_COST18 = Me.MED_COST18
			.MED_COST19 = Me.MED_COST19
			.MED_COST20 = Me.MED_COST20
			.MED_COST21 = Me.MED_COST21
			.MED_COST22 = Me.MED_COST22
			.MED_COST23 = Me.MED_COST23
			.MED_COST24 = Me.MED_COST24
			.MED_COST25 = Me.MED_COST25
			.MED_COST26 = Me.MED_COST26
			.MED_COST27 = Me.MED_COST27
			.MED_COST28 = Me.MED_COST28
			.MED_COST29 = Me.MED_COST29
			.MED_COST30 = Me.MED_COST30
			.MED_COST31 = Me.MED_COST31
			.MED_COST32 = Me.MED_COST32
			.MED_COST33 = Me.MED_COST33
			.MED_COST34 = Me.MED_COST34
			.MED_COST35 = Me.MED_COST35
			.MED_COST36 = Me.MED_COST36
			.MED_COST37 = Me.MED_COST37
			.MED_COST38 = Me.MED_COST38
			.MED_COST39 = Me.MED_COST39
			.MED_COST40 = Me.MED_COST40
			.MED_COST41 = Me.MED_COST41
			.MED_COST42 = Me.MED_COST42
			.MED_COST43 = Me.MED_COST43
			.MED_COST44 = Me.MED_COST44
			.MED_COST45 = Me.MED_COST45
			.OTHER_DEPT_INFO = Me.OTHER_DEPT_INFO
			.DATA_CAPTURE_DT = Me.DATA_CAPTURE_DT
			.NEW_REG_DT = Me.NEW_REG_DT
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー（キー項目）
	''' </summary>
	''' <returns>datMTI_MED_COST_DETAILS_KeyRec(医療費明細情報キークラス）</returns>
	''' <remarks>
	''' 2010/12/03 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function KeyCopy() As datMTI_MED_COST_DETAILS_KeyRec
		Dim ret As datMTI_MED_COST_DETAILS_KeyRec = New datMTI_MED_COST_DETAILS_KeyRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.MED_COST_DATE = Me.MED_COST_DATE
			.SERIAL_NO = Me.SERIAL_NO
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 共通処理_医療費明細情報＿キークラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datMTI_MED_COST_DETAILS_KeyRec
	Implements IComparable

	Public PATIENT_NO As String = Nothing		'患者番号
	Public MED_COST_DATE As Date = Nothing		'日付
	Public SERIAL_NO As Integer = Nothing		'連番

	''' ----------------------------------------
	''' <summary>
	''' 比較メソッド
	''' </summary>
	''' <param name="obj"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/03 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function CompareTo(ByVal obj As Object) As Integer Implements IComparable.CompareTo
		Select Case False
			Case PATIENT_NO.CompareTo(DirectCast(obj, datMTI_MED_COST_DETAILS_KeyRec).PATIENT_NO) = 0
				Return PATIENT_NO.CompareTo(DirectCast(obj, datMTI_MED_COST_DETAILS_KeyRec).PATIENT_NO)			'患者番号
			Case MED_COST_DATE.CompareTo(DirectCast(obj, datMTI_MED_COST_DETAILS_KeyRec).MED_COST_DATE) = 0
				Return MED_COST_DATE.CompareTo(DirectCast(obj, datMTI_MED_COST_DETAILS_KeyRec).MED_COST_DATE)	'日付
			Case Else
				Return SERIAL_NO.CompareTo(DirectCast(obj, datMTI_MED_COST_DETAILS_KeyRec).SERIAL_NO)			'連番
		End Select
	End Function

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_MED_COST_DETAILS_KeyRec(医療費明細情報キークラス）</returns>
	''' <remarks>
	''' 2010/12/03 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_MED_COST_DETAILS_KeyRec
		Dim ret As datMTI_MED_COST_DETAILS_KeyRec = New datMTI_MED_COST_DETAILS_KeyRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.MED_COST_DATE = Me.MED_COST_DATE
			.SERIAL_NO = Me.SERIAL_NO
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 医療費明細情報取得SQLクラス（共通クラス）
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class sqlMTI_MED_COST_DETAILS

	Public Const itmPATIENT_NO As String = "PATIENT_NO"				'患者番号
	Public Const itmMED_COST_DATE As String = "MED_COST_DATE"		'日付
	Public Const itmSERIAL_NO As String = "SERIAL_NO"				'連番
	Public Const itmDEPT_CD As String = "DEPT_CD"					'診療科コード
	Public Const itmMNG_NO As String = "MNG_NO"						'管理番号
	Public Const itmMED_COST01 As String = "MED_COST01"				'医療費０１
	Public Const itmMED_COST02 As String = "MED_COST02"				'医療費０２
	Public Const itmMED_COST03 As String = "MED_COST03"				'医療費０３
	Public Const itmMED_COST04 As String = "MED_COST04"				'医療費０４
	Public Const itmMED_COST05 As String = "MED_COST05"				'医療費０５
	Public Const itmMED_COST06 As String = "MED_COST06"				'医療費０６
	Public Const itmMED_COST07 As String = "MED_COST07"				'医療費０７
	Public Const itmMED_COST08 As String = "MED_COST08"				'医療費０８
	Public Const itmMED_COST09 As String = "MED_COST09"				'医療費０９
	Public Const itmMED_COST10 As String = "MED_COST10"				'医療費１０
	Public Const itmMED_COST11 As String = "MED_COST11"				'医療費１１
	Public Const itmMED_COST12 As String = "MED_COST12"				'医療費１２
	Public Const itmMED_COST13 As String = "MED_COST13"				'医療費１３
	Public Const itmMED_COST14 As String = "MED_COST14"				'医療費１４
	Public Const itmMED_COST15 As String = "MED_COST15"				'医療費１５
	Public Const itmMED_COST16 As String = "MED_COST16"				'医療費１６
	Public Const itmMED_COST17 As String = "MED_COST17"				'医療費１７
	Public Const itmMED_COST18 As String = "MED_COST18"				'医療費１８
	Public Const itmMED_COST19 As String = "MED_COST19"				'医療費１９
	Public Const itmMED_COST20 As String = "MED_COST20"				'医療費２０
	Public Const itmMED_COST21 As String = "MED_COST21"				'医療費２１
	Public Const itmMED_COST22 As String = "MED_COST22"				'医療費２２
	Public Const itmMED_COST23 As String = "MED_COST23"				'医療費２３
	Public Const itmMED_COST24 As String = "MED_COST24"				'医療費２４
	Public Const itmMED_COST25 As String = "MED_COST25"				'医療費２５
	Public Const itmMED_COST26 As String = "MED_COST26"				'医療費２６
	Public Const itmMED_COST27 As String = "MED_COST27"				'医療費２７
	Public Const itmMED_COST28 As String = "MED_COST28"				'医療費２８
	Public Const itmMED_COST29 As String = "MED_COST29"				'医療費２９
	Public Const itmMED_COST30 As String = "MED_COST30"				'医療費３０
	Public Const itmMED_COST31 As String = "MED_COST31"				'医療費３１
	Public Const itmMED_COST32 As String = "MED_COST32"				'医療費３２
	Public Const itmMED_COST33 As String = "MED_COST33"				'医療費３３
	Public Const itmMED_COST34 As String = "MED_COST34"				'医療費３４
	Public Const itmMED_COST35 As String = "MED_COST35"				'医療費３５
	Public Const itmMED_COST36 As String = "MED_COST36"				'医療費３６
	Public Const itmMED_COST37 As String = "MED_COST37"				'医療費３７
	Public Const itmMED_COST38 As String = "MED_COST38"				'医療費３８
	Public Const itmMED_COST39 As String = "MED_COST39"				'医療費３９
	Public Const itmMED_COST40 As String = "MED_COST40"				'医療費４０
	Public Const itmMED_COST41 As String = "MED_COST41"				'医療費４１
	Public Const itmMED_COST42 As String = "MED_COST42"				'医療費４２
	Public Const itmMED_COST43 As String = "MED_COST43"				'医療費４３
	Public Const itmMED_COST44 As String = "MED_COST44"				'医療費４４
	Public Const itmMED_COST45 As String = "MED_COST45"				'医療費４５
	Public Const itmOTHER_DEPT_INFO As String = "OTHER_DEPT_INFO"	'対診科情報
	Public Const itmDATA_CAPTURE_DT As String = "DATA_CAPTURE_DT"	'データ取込日
	Public Const itmNEW_REG_DT As String = "NEW_REG_DT"				'新規登録日
	Public Const itmLASTUPDUSER_CD As String = "LASTUPDUSER_CD"		'更新者コード
	Public Const itmLASTUPD_DT As String = "LASTUPD_DT"				'最終更新日

	Public Const itmDEPT_NM As String = "DEPT_NM"					'診療科名
	Public Const itmDEPT_RNM As String = "DEPT_RNM"					'診療科略称名

	Public Const prmPATIENT_NO As String = "@PATIENT_NO"			'患者番号
	Public Const prmMED_COST_DATE As String = "@MED_COST_DATE"		'日付
	Public Const prmSERIAL_NO As String = "@SERIAL_NO"				'連番
	Public Const prmDEPT_CD As String = "@DEPT_CD"					'診療科コード
	Public Const prmMNG_NO As String = "@MNG_NO"					'管理番号
	Public Const prmMED_COST01 As String = "@MED_COST01"			'医療費０１
	Public Const prmMED_COST02 As String = "@MED_COST02"			'医療費０２
	Public Const prmMED_COST03 As String = "@MED_COST03"			'医療費０３
	Public Const prmMED_COST04 As String = "@MED_COST04"			'医療費０４
	Public Const prmMED_COST05 As String = "@MED_COST05"			'医療費０５
	Public Const prmMED_COST06 As String = "@MED_COST06"			'医療費０６
	Public Const prmMED_COST07 As String = "@MED_COST07"			'医療費０７
	Public Const prmMED_COST08 As String = "@MED_COST08"			'医療費０８
	Public Const prmMED_COST09 As String = "@MED_COST09"			'医療費０９
	Public Const prmMED_COST10 As String = "@MED_COST10"			'医療費１０
	Public Const prmMED_COST11 As String = "@MED_COST11"			'医療費１１
	Public Const prmMED_COST12 As String = "@MED_COST12"			'医療費１２
	Public Const prmMED_COST13 As String = "@MED_COST13"			'医療費１３
	Public Const prmMED_COST14 As String = "@MED_COST14"			'医療費１４
	Public Const prmMED_COST15 As String = "@MED_COST15"			'医療費１５
	Public Const prmMED_COST16 As String = "@MED_COST16"			'医療費１６
	Public Const prmMED_COST17 As String = "@MED_COST17"			'医療費１７
	Public Const prmMED_COST18 As String = "@MED_COST18"			'医療費１８
	Public Const prmMED_COST19 As String = "@MED_COST19"			'医療費１９
	Public Const prmMED_COST20 As String = "@MED_COST20"			'医療費２０
	Public Const prmMED_COST21 As String = "@MED_COST21"			'医療費２１
	Public Const prmMED_COST22 As String = "@MED_COST22"			'医療費２２
	Public Const prmMED_COST23 As String = "@MED_COST23"			'医療費２３
	Public Const prmMED_COST24 As String = "@MED_COST24"			'医療費２４
	Public Const prmMED_COST25 As String = "@MED_COST25"			'医療費２５
	Public Const prmMED_COST26 As String = "@MED_COST26"			'医療費２６
	Public Const prmMED_COST27 As String = "@MED_COST27"			'医療費２７
	Public Const prmMED_COST28 As String = "@MED_COST28"			'医療費２８
	Public Const prmMED_COST29 As String = "@MED_COST29"			'医療費２９
	Public Const prmMED_COST30 As String = "@MED_COST30"			'医療費３０
	Public Const prmMED_COST31 As String = "@MED_COST31"			'医療費３１
	Public Const prmMED_COST32 As String = "@MED_COST32"			'医療費３２
	Public Const prmMED_COST33 As String = "@MED_COST33"			'医療費３３
	Public Const prmMED_COST34 As String = "@MED_COST34"			'医療費３４
	Public Const prmMED_COST35 As String = "@MED_COST35"			'医療費３５
	Public Const prmMED_COST36 As String = "@MED_COST36"			'医療費３６
	Public Const prmMED_COST37 As String = "@MED_COST37"			'医療費３７
	Public Const prmMED_COST38 As String = "@MED_COST38"			'医療費３８
	Public Const prmMED_COST39 As String = "@MED_COST39"			'医療費３９
	Public Const prmMED_COST40 As String = "@MED_COST40"			'医療費４０
	Public Const prmMED_COST41 As String = "@MED_COST41"			'医療費４１
	Public Const prmMED_COST42 As String = "@MED_COST42"			'医療費４２
	Public Const prmMED_COST43 As String = "@MED_COST43"			'医療費４３
	Public Const prmMED_COST44 As String = "@MED_COST44"			'医療費４４
	Public Const prmMED_COST45 As String = "@MED_COST45"			'医療費４５
	Public Const prmOTHER_DEPT_INFO As String = "@OTHER_DEPT_INFO"	'対診科情報
	Public Const prmDATA_CAPTURE_DT As String = "@DATA_CAPTURE_DT"	'データ取込日
	Public Const prmNEW_REG_DT As String = "@NEW_REG_DT"			'新規登録日
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"	'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"			'最終更新日

	Public Const prmMED_COST_DATE_SINCE As String = "@MED_COST_DATE_SINCE"	'開始日
	Public Const prmMED_COST_DATE_UNTIL As String = "@MED_COST_DATE_UNTIL"	'終了日

	' 医療費明細情報取得用SQLのSELECT句
	Private Const sqlSelect_Med_Cost_Details As String = _
	 "SELECT" _
	  & " PATIENT_NO, MED_COST_DATE, SERIAL_NO," _
	  & " DEPT_CD, MNG_NO," _
	  & " MED_COST01, MED_COST02, MED_COST03, MED_COST04, MED_COST05," _
	  & " MED_COST06, MED_COST07, MED_COST08, MED_COST09, MED_COST10," _
	  & " MED_COST11, MED_COST12, MED_COST13, MED_COST14, MED_COST15," _
	  & " MED_COST16, MED_COST17, MED_COST18, MED_COST19, MED_COST20," _
	  & " MED_COST21, MED_COST22, MED_COST23, MED_COST24, MED_COST25," _
	  & " MED_COST26, MED_COST27, MED_COST28, MED_COST29, MED_COST30," _
	  & " MED_COST31, MED_COST32, MED_COST33, MED_COST34, MED_COST35," _
	  & " MED_COST36, MED_COST37, MED_COST38, MED_COST39, MED_COST40," _
	  & " MED_COST41, MED_COST42, MED_COST43, MED_COST44, MED_COST45," _
	  & " OTHER_DEPT_INFO," _
	  & " DATA_CAPTURE_DT, NEW_REG_DT, LASTUPDUSER_CD, LASTUPD_DT" _
	  & " FROM MTI_MED_COST_DETAILS"

	' 医療費明細情報＋名称取得用SQLのSELECT句
	Private Const sqlSelect_Med_Cost_Details_Plus As String = _
	 "SELECT" _
	  & " A.PATIENT_NO, A.MED_COST_DATE, A.SERIAL_NO," _
	  & " A.DEPT_CD, A.MNG_NO," _
	  & " A.MED_COST01, A.MED_COST02, A.MED_COST03, A.MED_COST04, A.MED_COST05," _
	  & " A.MED_COST06, A.MED_COST07, A.MED_COST08, A.MED_COST09, A.MED_COST10," _
	  & " A.MED_COST11, A.MED_COST12, A.MED_COST13, A.MED_COST14, A.MED_COST15," _
	  & " A.MED_COST16, A.MED_COST17, A.MED_COST18, A.MED_COST19, A.MED_COST20," _
	  & " A.MED_COST21, A.MED_COST22, A.MED_COST23, A.MED_COST24, A.MED_COST25," _
	  & " A.MED_COST26, A.MED_COST27, A.MED_COST28, A.MED_COST29, A.MED_COST30," _
	  & " A.MED_COST31, A.MED_COST32, A.MED_COST33, A.MED_COST34, A.MED_COST35," _
	  & " A.MED_COST36, A.MED_COST37, A.MED_COST38, A.MED_COST39, A.MED_COST40," _
	  & " A.MED_COST41, A.MED_COST42, A.MED_COST43, A.MED_COST44, A.MED_COST45," _
	  & " A.OTHER_DEPT_INFO," _
	  & " A.DATA_CAPTURE_DT, A.NEW_REG_DT, A.LASTUPDUSER_CD, A.LASTUPD_DT," _
	  & " B.DEPT_NM, B.DEPT_RNM" _
	  & " FROM MTI_MED_COST_DETAILS AS A" _
	  & " LEFT JOIN MTM_DEPT AS B ON A.DEPT_CD = B.DEPT_CD"

	' １患者分の医療費明細情報を取得
	Public Const sqlSelMedCostDetails_Patient As String = sqlSelect_Med_Cost_Details _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " ORDER BY MED_COST_DATE, SERIAL_NO"

	' 開始日以降の医療費明細情報を取得
	Public Const sqlSelMedCostDetails_Since As String = sqlSelect_Med_Cost_Details _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND MED_COST_DATE >= " & prmMED_COST_DATE_SINCE _
	  & " ORDER BY MED_COST_DATE, SERIAL_NO"

	' 日付範囲の医療費明細情報を取得
	Public Const sqlSelMedCostDetails_Between As String = sqlSelect_Med_Cost_Details _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND MED_COST_DATE BETWEEN " & prmMED_COST_DATE_SINCE & " AND " & prmMED_COST_DATE_UNTIL _
	  & " ORDER BY MED_COST_DATE, SERIAL_NO"

	' 医療費明細情報１データを取得
	Public Const sqlSelMedCostDetails_OneRec As String = sqlSelect_Med_Cost_Details _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND MED_COST_DATE = " & prmMED_COST_DATE _
	  & " AND SERIAL_NO = " & prmSERIAL_NO

	' １患者分の医療費明細情報＋名称を取得
	Public Const sqlSelMedCostDetails_Plus_Patient As String = sqlSelect_Med_Cost_Details_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " ORDER BY A.MED_COST_DATE, A.SERIAL_NO"

	' 開始日以降の医療費明細情報＋名称を取得
	Public Const sqlSelMedCostDetails_Plus_Since As String = sqlSelect_Med_Cost_Details_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.MED_COST_DATE >= " & prmMED_COST_DATE_SINCE _
	  & " ORDER BY A.MED_COST_DATE, A.SERIAL_NO"

	' 日付範囲の医療費明細情報＋名称を取得
	Public Const sqlSelMedCostDetails_Plus_Between As String = sqlSelect_Med_Cost_Details_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.MED_COST_DATE BETWEEN " & prmMED_COST_DATE_SINCE & " AND " & prmMED_COST_DATE_UNTIL _
	  & " ORDER BY A.MED_COST_DATE, A.SERIAL_NO"

	' 医療費明細情報＋名称１データを取得
	Public Const sqlSelMedCostDetails_Plus_OneRec As String = sqlSelect_Med_Cost_Details_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.MED_COST_DATE = " & prmMED_COST_DATE _
	  & " AND A.SERIAL_NO = " & prmSERIAL_NO

	' １患者分の医療費明細情報を削除
	Public Const sqlDelMedCostDetails_Patient As String = _
	 "DELETE FROM MTI_MED_COST_DETAILS" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO

	' 開始日以降の医療費明細情報を削除
	Public Const sqlDelMedCostDetails_Since As String = _
	 "DELETE FROM MTI_MED_COST_DETAILS" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND MED_COST_DATE >= " & prmMED_COST_DATE_SINCE

	' 日付範囲の医療費明細情報を削除
	Public Const sqlDelMedCostDetails_Between As String = _
	 "DELETE FROM MTI_MED_COST_DETAILS" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND MED_COST_DATE BETWEEN " & prmMED_COST_DATE_SINCE & " AND " & prmMED_COST_DATE_UNTIL

	' 医療費明細情報１データを削除
	Public Const sqlDelMedCostDetails_OneRec As String = _
	 "DELETE FROM MTI_MED_COST_DETAILS" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND MED_COST_DATE = " & prmMED_COST_DATE _
	  & " AND SERIAL_NO = " & prmSERIAL_NO

	' 医療費明細情報１データを追加
	Public Const sqlInsMedCostDetails_OneRec As String = _
	 "INSERT INTO MTI_MED_COST_DETAILS (" _
	  & " PATIENT_NO, MED_COST_DATE, SERIAL_NO," _
	  & " DEPT_CD, MNG_NO," _
	  & " MED_COST01, MED_COST02, MED_COST03, MED_COST04, MED_COST05," _
	  & " MED_COST06, MED_COST07, MED_COST08, MED_COST09, MED_COST10," _
	  & " MED_COST11, MED_COST12, MED_COST13, MED_COST14, MED_COST15," _
	  & " MED_COST16, MED_COST17, MED_COST18, MED_COST19, MED_COST20," _
	  & " MED_COST21, MED_COST22, MED_COST23, MED_COST24, MED_COST25," _
	  & " MED_COST26, MED_COST27, MED_COST28, MED_COST29, MED_COST30," _
	  & " MED_COST31, MED_COST32, MED_COST33, MED_COST34, MED_COST35," _
	  & " MED_COST36, MED_COST37, MED_COST38, MED_COST39, MED_COST40," _
	  & " MED_COST41, MED_COST42, MED_COST43, MED_COST44, MED_COST45," _
	  & " OTHER_DEPT_INFO," _
	  & " DATA_CAPTURE_DT, NEW_REG_DT, LASTUPDUSER_CD, LASTUPD_DT" _
	  & ") VALUES (" _
	  & prmPATIENT_NO & "," _
	  & prmMED_COST_DATE & "," _
	  & prmSERIAL_NO & "," _
	  & prmDEPT_CD & "," _
	  & prmMNG_NO & "," _
	  & prmMED_COST01 & "," _
	  & prmMED_COST02 & "," _
	  & prmMED_COST03 & "," _
	  & prmMED_COST04 & "," _
	  & prmMED_COST05 & "," _
	  & prmMED_COST06 & "," _
	  & prmMED_COST07 & "," _
	  & prmMED_COST08 & "," _
	  & prmMED_COST09 & "," _
	  & prmMED_COST10 & "," _
	  & prmMED_COST11 & "," _
	  & prmMED_COST12 & "," _
	  & prmMED_COST13 & "," _
	  & prmMED_COST14 & "," _
	  & prmMED_COST15 & "," _
	  & prmMED_COST16 & "," _
	  & prmMED_COST17 & "," _
	  & prmMED_COST18 & "," _
	  & prmMED_COST19 & "," _
	  & prmMED_COST20 & "," _
	  & prmMED_COST21 & "," _
	  & prmMED_COST22 & "," _
	  & prmMED_COST23 & "," _
	  & prmMED_COST24 & "," _
	  & prmMED_COST25 & "," _
	  & prmMED_COST26 & "," _
	  & prmMED_COST27 & "," _
	  & prmMED_COST28 & "," _
	  & prmMED_COST29 & "," _
	  & prmMED_COST30 & "," _
	  & prmMED_COST31 & "," _
	  & prmMED_COST32 & "," _
	  & prmMED_COST33 & "," _
	  & prmMED_COST34 & "," _
	  & prmMED_COST35 & "," _
	  & prmMED_COST36 & "," _
	  & prmMED_COST37 & "," _
	  & prmMED_COST38 & "," _
	  & prmMED_COST39 & "," _
	  & prmMED_COST40 & "," _
	  & prmMED_COST41 & "," _
	  & prmMED_COST42 & "," _
	  & prmMED_COST43 & "," _
	  & prmMED_COST44 & "," _
	  & prmMED_COST45 & "," _
	  & prmOTHER_DEPT_INFO & "," _
	  & prmDATA_CAPTURE_DT & "," _
	  & prmNEW_REG_DT & "," _
	  & prmLASTUPDUSER_CD & "," _
	  & prmLASTUPD_DT & ")"

End Class
