﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 補足項目２項目マスタクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class datMTM_ASST2_ITM
    Public ITEM_CD As String = Nothing                                  '項目コード
    Public ITEM_NM As String = Nothing                                  '項目名
    Public ITEM_RNM As String = Nothing                                 '略称名
    Public ITEM_TYPE As String = Nothing                                '項目タイプ
    Public SPT_FIELD_NM As String = Nothing                             '対応フィールド名
    Public STANDARD_ITEM_NM As String = Nothing                         '標準項目名
    Public DSPORDER As Integer = Nothing                                '表示順
End Class

''' ---------------------------------------------
''' <summary>
''' 補足項目２項目マスタSQLクラス
''' </summary>
''' ---------------------------------------------
Public Class sqlMTM_ASST2_ITM

    Public Const prmITEM_CD As String = "@ITEM_CD"                          '項目コード
    Public Const prmITEM_NM As String = "@ITEM_NM"                          '項目名
    Public Const prmITEM_RNM As String = "@ITEM_RNM"                        '略称名
    Public Const prmITEM_TYPE As String = "@ITEM_TYPE"                      '項目タイプ
    Public Const prmSPT_FIELD_NM As String = "@SPT_FIELD_NM"                '対応フィールド名
    Public Const prmSTANDARD_ITEM_NM As String = "@STANDARD_ITEM_NM"        '標準項目名
    Public Const prmDSPORDER As String = "@DSPORDER"                        '表示順
    Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"            '更新者コード
    Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"                    '最終更新日

    Public Const itmITEM_CD As String = "ITEM_CD"                           '項目コード
    Public Const itmITEM_NM As String = "ITEM_NM"                           '項目名
    Public Const itmITEM_RNM As String = "ITEM_RNM"                         '略称名
    Public Const itmITEM_TYPE As String = "ITEM_TYPE"                       '項目タイプ
    Public Const itmSPT_FIELD_NM As String = "SPT_FIELD_NM"                 '対応フィールド名
    Public Const itmSTANDARD_ITEM_NM As String = "STANDARD_ITEM_NM"         '標準項目名
    Public Const itmDSPORDER As String = "DSPORDER"                         '表示順
    Public Const itmLASTUPDUSER_CD As String = "LASTUPDUSER_CD"             '更新者コード
    Public Const itmLASTUPD_DT As String = "LASTUPD_DT"                     '最終更新日


    Public Const sqlSelect_Asst2_Itm As String = _
     "SELECT" _
      & " ITEM_CD, ITEM_NM, ITEM_RNM, ITEM_TYPE, SPT_FIELD_NM, STANDARD_ITEM_NM, DSPORDER" _
      & " FROM MTM_ASST2_ITM"

    '補足項目２項目マスタコード順取得用
    Public Const sqlSelAsst2Itm As String = sqlSelect_Asst2_Itm _
      & " ORDER BY ITEM_CD"

    '補足項目２項目マスタ表示順取得用
    Public Const sqlSelAsst2ItmDspOrder As String = sqlSelect_Asst2_Itm _
      & " ORDER BY DSPORDER, ITEM_CD"

End Class
