﻿'''---------------------------------------------
''' <summary>
''' 病院名マスタ取得データクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public NotInheritable Class datHspName_OneRec
	Public ID As String = Nothing				'ID
	Public HSP_CD As String = Nothing			'病院コード
	Public HSP_NM As String = Nothing			'病院名
	Public ZIP_CD As String = Nothing			'郵便番号
	Public ADDRESS_NM As String = Nothing			'住所
	Public DPM_NM As String = Nothing			'部署名
	Public TELNUMBER As String = Nothing		'TEL
	Public FAXNUMBER As String = Nothing		'FAX
	Public BEDCOUNT As Integer = Nothing		'病床数
	Public LASTUPDUSER_CD As String = Nothing	'更新ID
	Public LASTUPD_DT As DateTime = Nothing		'更新日付
	Sub New()
	End Sub
End Class

'''---------------------------------------------
''' <summary>
''' 病院名マスタＳＱＬクラス
''' </summary>
'''---------------------------------------------
Public Class sqlXTM_HSPNAME
	Public Const itmID As String = "ID"
	Public Const itmHSP_CD As String = "HSP_CD"
	Public Const itmHSP_NM As String = "HSP_NM"
	Public Const itmZIP_CD As String = "ZIP_CD"
	Public Const itmADDRESS_NM As String = "ADDRESS_NM"
	Public Const itmDPM_NM As String = "DPM_NM"
	Public Const itmTELNUMBER As String = "TELNUMBER"
	Public Const itmFAXNUMBER As String = "FAXNUMBER"
	Public Const itmBEDCOUNT As String = "BEDCOUNT"

	Public Const sqlSelHspName_OneRec As String = _
	" SELECT TOP 1" _
	& " ID,HSP_CD,HSP_NM,ZIP_CD,ADDRESS_NM,DPM_NM," _
	& " TELNUMBER,FAXNUMBER,BEDCOUNT,LASTUPDUSER_CD,LASTUPD_DT" _
	& " FROM XTM_HSPNAME ORDER BY ID"
End Class
