﻿''' ---------------------------------------------
''' <summary>
''' 登録参照＿手術登録処理
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class sqlMEN050F010
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"								'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"						'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"											'科歴番号

	'医師選択コンボ用手術医師取得
	Public Const sqlCmbOpeDoctor As String = "SELECT DISTINCT" _
	 & " A.DOCTOR_CD AS STAFF_CD, B.STAFF_NM" _
	 & " FROM MTI_DOCTOR AS A" _
	 & " LEFT JOIN XTM_STAFF AS B ON A.DOCTOR_CD = B.STAFF_CD" _
	 & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	 & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	 & " AND A.CH_NO = " & prmCH_NO _
	 & " AND A.DOCTOR_CD IS NOT NULL" _
	 & " ORDER BY A.DOCTOR_CD"

	'対応病名
	Public Const sqlMti_Disease As String = "SELECT" _
	 & " PATIENT_NO+':'+CONVERT(NVARCHAR, HSP_HISTORY_NO)+':'+CONVERT(NVARCHAR, CH_NO)+':'+CONVERT(NVARCHAR, DISEASE_SERIAL_NO) AS KEY_ICD10," _
	 & " ICD10_CD, DISEASE, DISEASE_OUTCOME_CD, DISEASE_MNG_DIV, DISEASE_MNG_NO, DISEASE_SERIAL_NO," _
	 & " DISEASE_MNG_DIV+CONVERT(NVARCHAR, DISEASE_MNG_NO) AS MNG_DIV_NO" _
	 & " FROM MTI_DISEASE" _
	 & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	 & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	 & " AND ( " & prmCH_NO & " IS NULL OR CH_NO = " & prmCH_NO & " )" _
	 & " ORDER BY PATIENT_NO, HSP_HISTORY_NO, CH_NO, DISEASE_SERIAL_NO"

End Class
