﻿Imports XCM
'(A) STR V4-11048-000 003 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
Imports XSP
'(A) END V4-11048-000 003 20110915
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 科歴情報一覧
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR050F010

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pSearchNo">検索番号</param>
	''' <remarks>
	''' 2010/10/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pSearchNo As Integer)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'ＩＮ項目取得
		Me.pSearchNo = pSearchNo		'検索番号

		'一覧を継承元変数へセット
		Me.dgvList = Me.dgv001MSR050F010
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pSearchNo">検索番号</param>
	''' <param name="pOwnerType">呼出元種別</param>
	''' <remarks>
	''' 2010/10/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pSearchNo As Integer, ByVal pOwnerType As ENUM_OWNERTYPE)

		Me.New(pSearchNo)
		Me.pOwnerType = pOwnerType		'呼出元種別

	End Sub

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' 出力ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn006MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn006MSR000F020.Click
		log(clsSysMst.logLevel.DBG, "btn006MSR000F020_Click", "出力ボタンクリック START")
		Dim fMSR000F020 As MSR050F020
		Try
			If Me.chkGridCnt(ENUM_CHKSELECT.CHK_ON) = True Then
				fMSR000F020 = New MSR050F020(Me.dgvList)
				Me.nextForm(fMSR000F020)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			fMSR000F020 = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 更新ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn007MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn007MSR000F020.Click
		Dim frmMSR050F030 As MSR050F030

		Try
			If Me.chkGridCnt(ENUM_CHKSELECT.CHK_ON) = True Then
				frmMSR050F030 = New MSR050F030(Me.dgvList)
				Me.nextForm(frmMSR050F030)
			End If
		Finally
			frmMSR050F030 = Nothing
		End Try
	End Sub

#End Region

#Region "オーバーライズメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 一覧タイトル・ツールチップの設定
	''' </summary>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ''' ---------------------------------------------
	Protected Overrides Sub setListHeader()
		log(clsSysMst.logLevel.DBG, "setListHeader", "一覧ヘッダ項目の変更 START")
'(A) STR V4-11048-000 004 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
		Dim cliMTM_LENDITEM As clsMTM_LENDITEM
		Dim dtLendItm As DataTable = Nothing
'(A) END V4-11048-000 004 20110915
		Try
'(A) STR V4-11048-000 003 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
			cliMTM_LENDITEM = New clsMTM_LENDITEM
'(A) END V4-11048-000 003 20110915
			'病歴番号を変更
			Me.setListHeader(Me.c23001MSR050F010.Name, clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001))
'(A) STR V4-11048-000 008 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
			'診療録管理状況の名称を設定（並び替えで表示される）
			dtLendItm = cliMTM_LENDITEM.getLendItemOneRecDa(clsConst.Enum_Lenditem.MedicalRecord)
			If dtLendItm IsNot Nothing AndAlso dtLendItm.Rows.Count > 0 Then
				Me.c59001MSR050F010.HeaderText = dtLendItm.Rows(0).Item(sqlMTM_LENDITEM.itmLENDITEM_RNM).ToString & "管理状況"
				Me.c59001MSR050F010.ToolTipText = dtLendItm.Rows(0).Item(sqlMTM_LENDITEM.itmLENDITEM_RNM).ToString & "管理状況"
			End If
'(A) END V4-11048-000 008 20110915
		Catch ex As Exception
			Throw
'(A) STR V4-11048-000 006 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
		Finally
			cliMTM_LENDITEM = Nothing
			If dtLendItm IsNot Nothing Then dtLendItm.Dispose()
			dtLendItm = Nothing
'(A) END V4-11048-000 006 20110915
		End Try
	End Sub

'(A) STR V4-11048-000 031 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
	''' ---------------------------------------------
	''' <summary>
	''' 表示項目選択で保存しない項目
	''' </summary>
	''' <remarks>
	''' 2011/10/15 2011/09/15 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function NonExecClm() As String()
		Try
			Dim retOv() As String = MyBase.NonExecClm			'共通の項目を取得
			Dim ret(retOv.Length + 1) As String					'共通の項目数＋個別の項目数で戻り値配列を作成
			Dim retIdx As Integer = 0							'戻り値配列のインデックス

			'選択・患者番号までを取得する
			For Each Str As String In MyBase.NonExecClm
				ret(retIdx) = Str
				retIdx += 1
			Next

			ret(retIdx) = c58001MSR050F010.Name					'カナ
			ret(retIdx) = c59001MSR050F010.Name					'管理状況

			'正常
			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function
'(A) END V4-11048-000 031 20110915

	''' ---------------------------------------------
	''' <summary>
	''' 一覧表示件数の取得
	''' </summary>
	''' <returns>検索結果件数</returns>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ''' ---------------------------------------------
	Protected Overrides Function getDataCnt() As Integer
		log(clsSysMst.logLevel.DBG, "getDataCnt", "一覧データ件数取得 START")
		Try
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					db.setSQLDa(sqlMSR050F010.sqlSel_Cnt)
					Me.setSearchDbParam(db)
					db.execQueryDa(dt)
					If dt IsNot Nothing AndAlso dt.Rows.Count > 0 Then
						Return dt.Rows(0).Item(sqlMSRCOMMON.itmCNT)
					End If
				End Using
			End Using
			Return 0
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 一覧データ取得処理
	''' </summary>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getGridData() As DataTable
		log(clsSysMst.logLevel.DBG, "getGridData", "一覧データ取得 START")
'(A) STR V4-11048-000 004 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
		Dim cliMTM_LENDITEM As clsMTM_LENDITEM
		Dim dtLendItm As DataTable = Nothing
'(A) END V4-11048-000 004 20110915
		Try
'(A) STR V4-11048-000 003 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
			cliMTM_LENDITEM = New clsMTM_LENDITEM
'(A) END V4-11048-000 003 20110915
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
'(M) STR V4-11048-000 020 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
'					db.setSQLDa(sqlMSR050F010.sqlSel_List)
'					Me.setSearchDbParam(db, True)
'					'固有パラメータの設定
'					With db
					With db
						dtLendItm = cliMTM_LENDITEM.getLendItemOneRecDa(clsConst.Enum_Lenditem.MedicalRecord)
						Select Case True
							Case dtLendItm IsNot Nothing AndAlso dtLendItm.Rows.Count > 0 AndAlso dtLendItm.Rows(0).Item(sqlMTM_LENDITEM.itmUNIT_CD).ToString = CStr(clsConst.Enum_LendUnit.Each_Hosp)
								'診療録の管理単位＝「入退院歴単位」
								.setSQLDa(sqlMSR050F010.sqlSel_List.Replace(sqlMSR050F010.JOUKEN, sqlMSR050F010.sqlTblMe_ih))
							Case dtLendItm IsNot Nothing AndAlso dtLendItm.Rows.Count > 0 AndAlso dtLendItm.Rows(0).Item(sqlMTM_LENDITEM.itmUNIT_CD).ToString = CStr(clsConst.Enum_LendUnit.Each_Dept)
								'診療録の管理単位＝「科歴単位」
								.setSQLDa(sqlMSR050F010.sqlSel_List.Replace(sqlMSR050F010.JOUKEN, sqlMSR050F010.sqlTblMe_ic))
							Case Else
								'診療録の管理単位＝「患者単位」
								.setSQLDa(sqlMSR050F010.sqlSel_List.Replace(sqlMSR050F010.JOUKEN, sqlMSR050F010.sqlTblMe_ib))
						End Select
						Me.setSearchDbParam(db, True)
'(M) END V4-11048-000 020 20110915
						.setParamDa(sqlMSR050F010.prmSYSDATE, clsDB.Enum_dbType.dbDateTime)						'システム日付
						.setParamDa(sqlMSR050F010.prmNISUU_INIT, clsDB.Enum_dbType.dbInt)						'在院日数の初期値
						.setParamDa(sqlMSR050F010.prmNISUU_PLUS, clsDB.Enum_dbType.dbInt)						'在院日数の計算
'(M) STR V4-11048-000 004 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
'						.setValDa(sqlMSR050F010.prmSYSDATE, Now().ToString("yyyy/MM/dd"))						'システム日付
						.setValDa(sqlMSR050F010.prmSYSDATE, Now().ToString(clsConst.CST_YYYYMMDD_FORMAT))		'システム日付
'(M) END V4-11048-000 004 20110915
						.setValDa(sqlMSR050F010.prmNISUU_INIT, CInt(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00006)), False)	 '在院日数の初期値
						Dim val As Integer = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00004)
						If val = 2 Then val = 0
						.setValDa(sqlMSR050F010.prmNISUU_PLUS, val, False)										'在院日数の計算
					End With
					db.execQueryDa(dt)
					Return dt
				End Using
			End Using
		Catch ex As Exception
			Throw
'(A) STR V4-11048-000 006 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
		Finally
			cliMTM_LENDITEM = Nothing
			If dtLendItm IsNot Nothing Then dtLendItm.Dispose()
			dtLendItm = Nothing
'(A) END V4-11048-000 006 20110915
		End Try
	End Function

#End Region

End Class