﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 検索条件コントロ－ル 詳細２(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class sqlMSR010C030


	'病名情報
	Public Const selSEARCH_MTI_DISEASE As String = "" _
	& "SELECT" _
	& " MTI_DISEASE.PATIENT_NO" _
	& ",MTI_DISEASE.HSP_HISTORY_NO" _
	& ",MTI_DISEASE.CH_NO" _
	& ",MTI_DISEASE.DISEASE_SERIAL_NO AS " & sqlMSRCOMMON.itmSERIAL_NO _
	& " FROM MTT_SEARCH_RESULT s" _
	& "      INNER JOIN MTI_DISEASE ON s.PATIENT_NO         = MTI_DISEASE.PATIENT_NO" _
	& "                            AND s.HSP_HISTORY_NO     = MTI_DISEASE.HSP_HISTORY_NO" _
	& "                            AND s.CH_NO              = MTI_DISEASE.CH_NO" _
	& " {0}" _
	& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& " {1}"

	'手術情報
	Public Const sqlSEARCH_MTI_OPE As String = "" _
	& "SELECT" _
	& " MTI_OPE.PATIENT_NO" _
	& ",MTI_OPE.HSP_HISTORY_NO" _
	& ",MTI_OPE.CH_NO" _
	& ",MTI_OPE.OPE_SERIAL_NO AS " & sqlMSRCOMMON.itmSERIAL_NO _
	& " FROM MTT_SEARCH_RESULT s" _
	& "      INNER JOIN MTI_OPE     ON s.PATIENT_NO         = MTI_OPE.PATIENT_NO" _
	& "                            AND s.HSP_HISTORY_NO     = MTI_OPE.HSP_HISTORY_NO" _
	& "                            AND s.CH_NO              = MTI_OPE.CH_NO" _
	& " {0}" _
	& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& " {1}"

	'手術医師情報	
	Public Const selSEARCH_MTI_OPE_DOCTOR As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO,HSP_HISTORY_NO,CH_NO,OPE_SERIAL_NO" _
	& "  FROM MTI_OPE_DOCTOR" _
	& " WHERE {0}" _
	& ") AS OPE_DOCTOR" _
	& "	 ON MTI_OPE.PATIENT_NO     = OPE_DOCTOR.PATIENT_NO" _
	& "	AND MTI_OPE.HSP_HISTORY_NO = OPE_DOCTOR.HSP_HISTORY_NO" _
	& "	AND MTI_OPE.CH_NO          = OPE_DOCTOR.CH_NO" _
	& "	AND MTI_OPE.OPE_SERIAL_NO  = OPE_DOCTOR.OPE_SERIAL_NO"

End Class
