Imports System.xml
Imports System.io

Namespace Common
	''' <summary>
	''' VpbP[W̐ݒt@CǂݎAݒlێ
	''' </summary>
	''' <remarks>
	''' Copyright 2007 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
	''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
	''' </remarks>
	Public Class PKGConfig
		Private Const KEY_DS As String = "DS"
		Private Const KEY_IC As String = "IC"
		Private Const KEY_UI As String = "UI"
		Private Const KEY_LOGDIR As String = "LogDir"
		Private Const KEY_UPG_THS As String = "UPG_THS"
        Private Const KEY_UPG_RWS As String = "UPG_RWS"
' (A) STR 20090518 CS)r ^CAEgΉ
        Private Const KEY_STIMEOUT As String = "STimeOut"
' (A) END 20090518 CS)r ^CAEgΉ

		Private dataSourceValue As String
		Private dbNameValue As String
		Private dbUserValue As String
		Private dbPassValue As String
		Private logDirValue As String
		Private maxThreadValue As Integer = 0
        Private maxRecordValue As Integer = 0
' (A) STR 20090518 CS)r ^CAEgΉ
        Private dbTimeOut As Integer = 0
' (A) END 20090518 CS)r ^CAEgΉ

		''' -----------------------------------------------------------------
		''' <summary>
		''' SQLT[oDataSource
		''' </summary>
		''' <value></value>
		''' <returns></returns>
		''' <remarks>
		''' 2007/10/25 VK쐬 U-Tech)R
		''' </remarks>
		''' -----------------------------------------------------------------
		Public Property DataSource() As String
			Get
				Return dataSourceValue
			End Get
			Set(ByVal value As String)
				dataSourceValue = value
			End Set
		End Property

		''' -----------------------------------------------------------------
		''' <summary>
		''' SQLT[oDB
		''' </summary>
		''' <value></value>
		''' <returns></returns>
		''' <remarks>
		''' 2007/10/25 VK쐬 U-Tech)R
		''' </remarks>
		''' -----------------------------------------------------------------
		Public Property DbName() As String
			Get
				Return dbNameValue
			End Get
			Set(ByVal value As String)
				dbNameValue = value
			End Set
		End Property

		''' -----------------------------------------------------------------
		''' <summary>
		''' SQLT[o̐ڑ[U
		''' </summary>
		''' <value></value>
		''' <returns></returns>
		''' <remarks>
		''' 2007/10/25 VK쐬 U-Tech)R
		''' </remarks>
		''' -----------------------------------------------------------------
		Public Property DbUser() As String
			Get
				Return dbUserValue
			End Get
			Set(ByVal value As String)
				dbUserValue = value
			End Set
		End Property

		''' -----------------------------------------------------------------
		''' <summary>
		''' SQLT[o̐ڑpX[h
		''' </summary>
		''' <value></value>
		''' <returns></returns>
		''' <remarks>
		''' 2007/10/25 VK쐬 U-Tech)R
		''' </remarks>
		''' -----------------------------------------------------------------
		Public Property DbPass() As String
			Get
				Return dbPassValue
			End Get
			Set(ByVal value As String)
				dbPassValue = value
			End Set
        End Property
' (A) STR 20090518 CS)r ^CAEgΉ
        ''' -----------------------------------------------------------------
        ''' <summary>
        ''' ^CAEg
        ''' </summary>
        ''' <value></value>
        ''' <returns></returns>
        ''' <remarks>
        ''' 2009/05/25 VK쐬 CS)r
        ''' </remarks>
        ''' -----------------------------------------------------------------
        Public Property DbSTimeOut() As Integer
            Get
                Return dbTimeOut
            End Get
            Set(ByVal value As Integer)
                dbTimeOut = value
            End Set
        End Property
' (A) END 20090518 CS)r ^CAEgΉ
		''' -----------------------------------------------------------------
		''' <summary>
		''' Oo̓pX
		''' </summary>
		''' <value></value>
		''' <returns></returns>
		''' <remarks>
		''' 2007/10/25 VK쐬 U-Tech)R
		''' </remarks>
		''' -----------------------------------------------------------------
		Public Property LogDir() As String
			Get
				If String.IsNullOrEmpty(Me.logDirValue) Then
					'TODO
					Return ""
				Else
					Return logDirValue
				End If
			End Get
			Set(ByVal value As String)
				logDirValue = value
			End Set
		End Property

		''' -----------------------------------------------------------------
		''' <summary>
		''' Xbh
		''' </summary>
		''' <value></value>
		''' <returns></returns>
		''' <remarks>
		''' 2007/10/25 VK쐬 U-Tech)R
		''' </remarks>
		''' -----------------------------------------------------------------
		Public Property MaxThread() As Integer
			Get
				Return maxThreadValue
			End Get
			Set(ByVal value As Integer)
				maxThreadValue = value
			End Set
		End Property

		''' -----------------------------------------------------------------
		''' <summary>
		''' ǂݍ݁A݃R[h
		''' </summary>
		''' <value></value>
		''' <returns></returns>
		''' <remarks>
		''' 2007/10/25 VK쐬 U-Tech)R
		''' </remarks>
		''' -----------------------------------------------------------------
		Public Property MaxRecord() As Integer
			Get
				Return maxRecordValue
			End Get
			Set(ByVal value As Integer)
				maxRecordValue = value
			End Set
		End Property

		''' -----------------------------------------------------------------
		''' <summary>
		''' pbP[W̐ݒt@CǂݎAl擾
		''' </summary>
		''' <remarks>
		''' 2007/10/25 VK쐬 U-Tech)R
		''' </remarks>
		''' -----------------------------------------------------------------
		Public Sub loadSetting()

			't@C̃[h
			Dim doc As XmlDocument = New XmlDocument()
			doc.Load(Application.StartupPath() & "\G9Emenu.exe.config")

			'HashTableɒl߂
			Dim hashTable As Hashtable = New Hashtable
			Dim appSettings As XmlNode = doc("configuration")("appSettings")
			Dim nodeList As XmlNodeList = appSettings.ChildNodes
			For Each node As XmlNode In nodeList
				If node.Name.Equals("add") Then
					If node.Attributes.GetNamedItem("key") IsNot Nothing And _
					 node.Attributes.GetNamedItem("value") IsNot Nothing Then
						hashTable.Add(node.Attributes.GetNamedItem("key").Value, node.Attributes.GetNamedItem("value").Value)
					End If
				End If
			Next

			'DataSource
			If hashTable.ContainsKey(KEY_DS) Then
				Me.DataSource = CStr(hashTable.Item(KEY_DS))
			End If

			'DB
			If hashTable.ContainsKey(KEY_IC) Then
				Me.DbName = CStr(hashTable.Item(KEY_IC))
			End If

			'DB[U
			If hashTable.ContainsKey(KEY_UI) Then
				Me.DbUser = CStr(hashTable.Item(KEY_UI))
				Me.DbPass = Me.DbUser & "p"
            End If
' (A) STR 20090518 CS)r ^CAEgΉ
            '^CAEg
            If hashTable.ContainsKey(KEY_STIMEOUT) Then
                If IsNumeric(hashTable.Item(KEY_STIMEOUT)) Then
                    Me.DbSTimeOut = CInt(hashTable.Item(KEY_STIMEOUT))
                End If
            End If
' (A) END 20090518 CS)r ^CAEgΉ

            'ÕpX
            If hashTable.ContainsKey(KEY_LOGDIR) Then
                Me.LogDir = CStr(hashTable.Item(KEY_LOGDIR))
            Else
                Me.LogDir = Directory.GetParent(Application.StartupPath()).FullName & "\log"
            End If

            'Xbh
            If hashTable.ContainsKey(KEY_UPG_THS) AndAlso IsNumeric(hashTable.Item(KEY_UPG_THS)) Then
                Me.MaxThread = CInt(hashTable.Item(KEY_UPG_THS))
            End If

            'ǂݍ݁A݃R[h
            If hashTable.ContainsKey(KEY_UPG_RWS) AndAlso IsNumeric(hashTable.Item(KEY_UPG_RWS)) Then
                Me.MaxRecord = CInt(hashTable.Item(KEY_UPG_RWS))
            End If

            'LogDirȊOwł΁AG[
            If String.IsNullOrEmpty(Me.DataSource) Then
                Throw New ApplicationException("T[ow肳Ă܂")
            End If
            If String.IsNullOrEmpty(Me.DbName) Then
                Throw New ApplicationException("DBw肳Ă܂")
            End If
            If String.IsNullOrEmpty(Me.DbUser) Then
                Throw New ApplicationException("OCw肳Ă܂")
            End If
            If Me.MaxThread <= 0 Then
                Throw New ApplicationException("Xbhw肳ĂȂAlsł")
            End If
            If Me.MaxRecord <= 0 Then
                Throw New ApplicationException("R[hw肳ĂȂAlsł")
            End If
            If Not Directory.Exists(Me.LogDir) Then
                Throw New ApplicationException(String.Format("Ȍo̓pX݂܂i{0}j", Me.LogDir))
            End If
		End Sub

	End Class
End Namespace
