﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' バージョン４．２０．０．ＸバージョンUP（新規作成：貸出管理レベルアップ２次開発）
''' </summary>
''' <remarks>
''' Copyright 2014 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class sqlVer4_20_0_0

    'バージョン情報更新　（！！！すべてのバージョンにこのSQLが必要！！！）
    'MIN_VERのみ変更をしていってください。sqlVer4_XX_0_0のXXをMIN_VERに設定するように！
    Public Shared ReadOnly sqlInsVersion As String = _
    "IF EXISTS (SELECT ID FROM XTM_VERSION ) DELETE FROM XTM_VERSION" & vbCrLf & vbCrLf _
    & "INSERT INTO XTM_VERSION" _
    & "(ID,MEG_VER,MIN_VER,BLD_VER,REV_VER,REMARKS,LASTUPDUSER_CD,LASTUPD_DT) VALUES(" _
    & "'1',4,20,0,0,NULL,'" & clsConst.CST_ADMIN_USER & "','" & Now.ToString & "')"


    '１．LTM_管理物テーブル（共通管理物フラグ、複写元管理物コード）を修正
    'テーブルの内容を退避
    Public Shared ReadOnly sql001 As String = _
    "SELECT * INTO [dbo].[LTM_MNGITEM_TEMP] FROM [dbo].[LTM_MNGITEM]"

    'LTM_管理物テーブルを削除
    Public Shared ReadOnly sql002 As String = _
    "IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LTM_MNGITEM]') AND type in (N'U'))" _
    & " DROP TABLE [dbo].[LTM_MNGITEM]"

    'LTM_管理物を新規作成
    Public Shared ReadOnly sql003 As String = _
    "CREATE TABLE [dbo].[LTM_MNGITEM](" _
    & "     [MNGITEM_CD] [nvarchar](3) NOT NULL," _
    & "     [MNGITEM_NM] [nvarchar](10) NOT NULL," _
    & "     [MNGITEM_RNM] [nvarchar](5) NOT NULL," _
    & "     [MNGITEM_GRP_CD] [nvarchar](3)," _
    & "     [DIV1TITLE] [nvarchar](5)," _
    & "     [DIV1TITLE_RNM] [nvarchar](3)," _
    & "     [DIV1TEXT_FLG] [nvarchar](1)," _
    & "     [DIV2TITLE] [nvarchar](5)," _
    & "     [DIV2TITLE_RNM] [nvarchar](3)," _
    & "     [DIV2TEXT_FLG] [nvarchar](1)," _
    & "     [DATE1TITLE] [nvarchar](5)," _
    & "     [DATE1TITLE_RNM] [nvarchar](3)," _
    & "     [DATE1NEED_FLG] [int]," _
    & "     [DATE2TITLE] [nvarchar](5)," _
    & "     [DATE2TITLE_RNM] [nvarchar](3)," _
    & "     [DATE2NEED_FLG] [int]," _
    & "     [DOCTORDSP_FLG] [int]," _
    & "     [BYOREKITITLE] [nvarchar](4)," _
    & "     [BYOREKITITLE_RNM] [nvarchar](3)," _
    & "     [BYOREKINONEED_FLG] [int]," _
    & "     [MNGITEMCMB1TITLE] [nvarchar](5)," _
    & "     [MNGITEMCMB1TITLE_RNM] [nvarchar](3)," _
    & "     [MNGITEMCMB2TITLE] [nvarchar](5)," _
    & "     [MNGITEMCMB2TITLE_RNM] [nvarchar](3)," _
    & "     [MNGITEMTEXT1TITLE] [nvarchar](5)," _
    & "     [MNGITEMTEXT1TITLE_RNM] [nvarchar](3)," _
    & "     [MNGITEMTEXT2TITLE] [nvarchar](5)," _
    & "     [MNGITEMTEXT2TITLE_RNM] [nvarchar](3)," _
    & "     [MNGITEMTEXT3TITLE] [nvarchar](5)," _
    & "     [MNGITEMTEXT3TITLE_RNM] [nvarchar](3)," _
    & "     [MNGITEMCHK1TITLE] [nvarchar](5)," _
    & "     [MNGITEMCHK1TITLE_RNM] [nvarchar](3)," _
    & "     [MNGITEMCHK1TITLE1] [nvarchar](1)," _
    & "     [MNGITEMCHK2TITLE] [nvarchar](5)," _
    & "     [MNGITEMCHK2TITLE_RNM] [nvarchar](3)," _
    & "     [MNGITEMCHK2TITLE1] [nvarchar](1)," _
    & "     [MNGITEMCHK3TITLE] [nvarchar](5)," _
    & "     [MNGITEMCHK3TITLE_RNM] [nvarchar](3)," _
    & "     [MNGITEMCHK3TITLE1] [nvarchar](1)," _
    & "     [MNGITEMCHK4TITLE] [nvarchar](5)," _
    & "     [MNGITEMCHK4TITLE_RNM] [nvarchar](3)," _
    & "     [MNGITEMCHK4TITLE1] [nvarchar](1)," _
    & "     [COLOR_CD_R] [int]," _
    & "     [COLOR_CD_G] [int]," _
    & "     [COLOR_CD_B] [int]," _
    & "     [DSPORDER] [int]," _
    & "     [FIXED_CD1] [nvarchar](1)," _
    & "     [PATIENT_NO_SET_FLG] [nvarchar](1)," _
    & "     [PATIENT_NO_STA_POS] [int]," _
    & "     [PATIENT_NO_DIGITS] [int]," _
    & "     [DUPLICATION_CHK_FLG] [nvarchar](1)," _
    & "     [MNGITEM_COM_FLG] [int]," _
    & "     [MNGITEM_COPY_CD] [nvarchar](3)," _
    & "     [LASTUPDUSER_CD] [nvarchar](8) NOT NULL," _
    & "     [LASTUPD_DT] [datetime] NOT NULL," _
    & " CONSTRAINT [PK_LTM_MNGITEM_IDX] PRIMARY KEY CLUSTERED " _
    & " (" _
    & "     [MNGITEM_CD] ASC" _
    & " )WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]" _
    & " ) ON [PRIMARY]"

    'LTM_管理物テーブルに初期値を定義（最終更新者コードのデフォルトをZZZZにする）
    Public Shared ReadOnly sql004 As String = _
    "ALTER TABLE [dbo].[LTM_MNGITEM] ADD DEFAULT ('" & clsConst.CST_ADMIN_USER & "') FOR [LASTUPDUSER_CD]"

    'LTM_管理物テーブルに初期値を定義（最終更新日のデフォルトをサーバのシステム日付にする）
    Public Shared ReadOnly sql005 As String = _
    "ALTER TABLE [dbo].[LTM_MNGITEM] ADD  DEFAULT (getdate()) FOR [LASTUPD_DT]"

    '新しい LTM_管理物に退避したデータを代入
    Public Shared ReadOnly sql006 As String = _
    "INSERT INTO [dbo].[LTM_MNGITEM] (" _
    & "[MNGITEM_CD],[MNGITEM_NM],[MNGITEM_RNM],[MNGITEM_GRP_CD],[DIV1TITLE],[DIV1TITLE_RNM],[DIV1TEXT_FLG],[DIV2TITLE],[DIV2TITLE_RNM],[DIV2TEXT_FLG],[DATE1TITLE],[DATE1TITLE_RNM],[DATE1NEED_FLG],[DATE2TITLE],[DATE2TITLE_RNM],[DATE2NEED_FLG],[DOCTORDSP_FLG],[BYOREKITITLE],[BYOREKITITLE_RNM],[BYOREKINONEED_FLG],[MNGITEMCMB1TITLE],[MNGITEMCMB1TITLE_RNM],[MNGITEMCMB2TITLE],[MNGITEMCMB2TITLE_RNM],[MNGITEMTEXT1TITLE],[MNGITEMTEXT1TITLE_RNM],[MNGITEMTEXT2TITLE],[MNGITEMTEXT2TITLE_RNM],[MNGITEMTEXT3TITLE],[MNGITEMTEXT3TITLE_RNM],[MNGITEMCHK1TITLE],[MNGITEMCHK1TITLE_RNM],[MNGITEMCHK1TITLE1],[MNGITEMCHK2TITLE],[MNGITEMCHK2TITLE_RNM],[MNGITEMCHK2TITLE1],[MNGITEMCHK3TITLE],[MNGITEMCHK3TITLE_RNM],[MNGITEMCHK3TITLE1],[MNGITEMCHK4TITLE],[MNGITEMCHK4TITLE_RNM],[MNGITEMCHK4TITLE1],[COLOR_CD_R],[COLOR_CD_G],[COLOR_CD_B],[DSPORDER],[FIXED_CD1],[PATIENT_NO_SET_FLG],[PATIENT_NO_STA_POS],[PATIENT_NO_DIGITS],[DUPLICATION_CHK_FLG],[LASTUPDUSER_CD],[LASTUPD_DT]" _
    & ") " _
    & "SELECT " _
    & "[MNGITEM_CD],[MNGITEM_NM],[MNGITEM_RNM],[MNGITEM_GRP_CD],[DIV1TITLE],[DIV1TITLE_RNM],[DIV1TEXT_FLG],[DIV2TITLE],[DIV2TITLE_RNM],[DIV2TEXT_FLG],[DATE1TITLE],[DATE1TITLE_RNM],[DATE1NEED_FLG],[DATE2TITLE],[DATE2TITLE_RNM],[DATE2NEED_FLG],[DOCTORDSP_FLG],[BYOREKITITLE],[BYOREKITITLE_RNM],[BYOREKINONEED_FLG],[MNGITEMCMB1TITLE],[MNGITEMCMB1TITLE_RNM],[MNGITEMCMB2TITLE],[MNGITEMCMB2TITLE_RNM],[MNGITEMTEXT1TITLE],[MNGITEMTEXT1TITLE_RNM],[MNGITEMTEXT2TITLE],[MNGITEMTEXT2TITLE_RNM],[MNGITEMTEXT3TITLE],[MNGITEMTEXT3TITLE_RNM],[MNGITEMCHK1TITLE],[MNGITEMCHK1TITLE_RNM],[MNGITEMCHK1TITLE1],[MNGITEMCHK2TITLE],[MNGITEMCHK2TITLE_RNM],[MNGITEMCHK2TITLE1],[MNGITEMCHK3TITLE],[MNGITEMCHK3TITLE_RNM],[MNGITEMCHK3TITLE1],[MNGITEMCHK4TITLE],[MNGITEMCHK4TITLE_RNM],[MNGITEMCHK4TITLE1],[COLOR_CD_R],[COLOR_CD_G],[COLOR_CD_B],[DSPORDER],[FIXED_CD1],[PATIENT_NO_SET_FLG],[PATIENT_NO_STA_POS],[PATIENT_NO_DIGITS],[DUPLICATION_CHK_FLG],[LASTUPDUSER_CD],[LASTUPD_DT]" _
    & " FROM [dbo].[LTM_MNGITEM_TEMP]" _
    & " ORDER BY [MNGITEM_CD]"

    '退避したデータを削除
    Public Shared ReadOnly sql007 As String = _
    "IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LTM_MNGITEM_TEMP]') AND type in (N'U'))" _
    & " DROP TABLE [dbo].[LTM_MNGITEM_TEMP]"

    '２．LTM_明細一括作成テーブル（デフォルト表示フラグ）を修正
    'テーブルの内容を退避
    Public Shared ReadOnly sql008 As String = _
    "SELECT * INTO [dbo].[LTM_MNGITEM_DEFINITION_TEMP] FROM [dbo].[LTM_MNGITEM_DEFINITION]"

    'LTM_明細一括作成テーブルを削除
    Public Shared ReadOnly sql009 As String = _
    "IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LTM_MNGITEM_DEFINITION]') AND type in (N'U'))" _
    & " DROP TABLE [dbo].[LTM_MNGITEM_DEFINITION]"

    'LTM_明細一括作成テーブルを新規作成
    Public Shared ReadOnly sql010 As String = _
        "CREATE TABLE [dbo].[LTM_MNGITEM_DEFINITION](" _
    & " 	[MNGITEM_CD] [nvarchar](3) NOT NULL," _
    & " 	[PRE_CD] [nvarchar](1) NULL," _
    & " 	[UNIT_CD] [nvarchar](1) NULL," _
    & " 	[DATATYPE_CD] [nvarchar](1) NULL," _
    & " 	[COPYSTOP_FLG] [int] NULL," _
    & " 	[IMPSTOP_FLG] [int] NULL," _
    & " 	[BYOREKI_FLG] [nvarchar](1) NULL," _
    & " 	[BYOREKI_NO] [nvarchar](10) NULL," _
    & " 	[DIV1_FLG] [nvarchar](1) NULL," _
    & " 	[DIV1_CD] [nvarchar](10) NULL," _
    & " 	[DIV2_FLG] [nvarchar](1) NULL," _
    & " 	[DIV2_CD] [nvarchar](10) NULL," _
    & " 	[FIRSTRECEIVING_FLG] [nvarchar](1) NULL," _
    & " 	[FIRSTRECEIVING_DT] [nvarchar](10) NULL," _
    & " 	[RECIPIENT_FLG] [nvarchar](1) NULL," _
    & " 	[RECIPIENT_CD] [nvarchar](8) NULL," _
    & " 	[KEEPLCT_CD] [nvarchar](3) NULL," _
    & " 	[MNGSTATUS_CD] [nvarchar](2) NULL," _
    & " 	[REMARKS_FLG] [nvarchar](1) NULL," _
    & " 	[REMARKS] [nvarchar](100) NULL," _
    & " 	[DATE1_FLG] [nvarchar](1) NULL," _
    & " 	[DATE1] [nvarchar](10) NULL," _
    & " 	[DATE2_FLG] [nvarchar](1) NULL," _
    & " 	[DATE2] [nvarchar](10) NULL," _
    & " 	[DOCTOR_FLG] [nvarchar](1) NULL," _
    & " 	[DOCTOR_CD] [nvarchar](8) NULL," _
    & " 	[MNGITEMCMB1_FLG] [nvarchar](1) NULL," _
    & " 	[MNGITEMCMB1] [nvarchar](5) NULL," _
    & " 	[MNGITEMCMB2_FLG] [nvarchar](1) NULL," _
    & " 	[MNGITEMCMB2] [nvarchar](5) NULL," _
    & " 	[MNGITEMTEXT1_FLG] [nvarchar](1) NULL," _
    & " 	[MNGITEMTEXT1] [nvarchar](10) NULL," _
    & " 	[MNGITEMTEXT2_FLG] [nvarchar](1) NULL," _
    & " 	[MNGITEMTEXT2] [nvarchar](10) NULL," _
    & " 	[MNGITEMCHK1_FLG] [nvarchar](1) NULL," _
    & " 	[MNGITEMCHK1] [int] NULL," _
    & " 	[MNGITEMCHK2_FLG] [nvarchar](1) NULL," _
    & " 	[MNGITEMCHK2] [int] NULL," _
    & " 	[MNGITEMCHK3_FLG] [nvarchar](1) NULL," _
    & " 	[MNGITEMCHK3] [int] NULL," _
    & " 	[MNGITEMCHK4_FLG] [nvarchar](1) NULL," _
    & " 	[MNGITEMCHK4] [int] NULL," _
    & " 	[DEFAULTDSP_FLG] [nvarchar](1) NULL," _
    & " 	[LASTUPDUSER_CD] [nvarchar](8) NOT NULL," _
    & " 	[LASTUPD_DT] [datetime] NOT NULL," _
    & " CONSTRAINT [PK_LTM_MNGITEM_DEFINITION] PRIMARY KEY CLUSTERED " _
    & " (" _
    & " 	[MNGITEM_CD] ASC" _
    & " )WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]" _
    & " ) ON [PRIMARY]"

    'LTM_明細一括作成テーブルに初期値を定義（最終更新者コードのデフォルトをZZZZにする）
    Public Shared ReadOnly sql011 As String = _
    "ALTER TABLE [dbo].[LTM_MNGITEM_DEFINITION] ADD DEFAULT ('" & clsConst.CST_ADMIN_USER & "') FOR [LASTUPDUSER_CD]"

    'LTM_明細一括作成テーブルに初期値を定義（最終更新日のデフォルトをサーバのシステム日付にする）
    Public Shared ReadOnly sql012 As String = _
    "ALTER TABLE [dbo].[LTM_MNGITEM_DEFINITION] ADD  DEFAULT (getdate()) FOR [LASTUPD_DT]"

    '新しい LTM_明細一括作成テーブルに退避したデータを代入
    Public Shared ReadOnly sql013 As String = _
    "INSERT INTO [dbo].[LTM_MNGITEM_DEFINITION] (" _
    & "[MNGITEM_CD],[PRE_CD],[UNIT_CD],[DATATYPE_CD],[COPYSTOP_FLG],[IMPSTOP_FLG],[BYOREKI_FLG],[BYOREKI_NO],[DIV1_FLG],[DIV1_CD],[DIV2_FLG],[DIV2_CD],[FIRSTRECEIVING_FLG],[FIRSTRECEIVING_DT],[RECIPIENT_FLG],[RECIPIENT_CD],[KEEPLCT_CD],[MNGSTATUS_CD],[REMARKS_FLG],[REMARKS],[DATE1_FLG],[DATE1],[DATE2_FLG],[DATE2],[DOCTOR_FLG],[DOCTOR_CD],[MNGITEMCMB1_FLG],[MNGITEMCMB1],[MNGITEMCMB2_FLG],[MNGITEMCMB2],[MNGITEMTEXT1_FLG],[MNGITEMTEXT1],[MNGITEMTEXT2_FLG],[MNGITEMTEXT2],[MNGITEMCHK1_FLG],[MNGITEMCHK1],[MNGITEMCHK2_FLG],[MNGITEMCHK2],[MNGITEMCHK3_FLG],[MNGITEMCHK3],[MNGITEMCHK4_FLG],[MNGITEMCHK4],[LASTUPDUSER_CD],[LASTUPD_DT]" _
    & ") " _
    & "SELECT " _
    & "[MNGITEM_CD],[PRE_CD],[UNIT_CD],[DATATYPE_CD],[COPYSTOP_FLG],[IMPSTOP_FLG],[BYOREKI_FLG],[BYOREKI_NO],[DIV1_FLG],[DIV1_CD],[DIV2_FLG],[DIV2_CD],[FIRSTRECEIVING_FLG],[FIRSTRECEIVING_DT],[RECIPIENT_FLG],[RECIPIENT_CD],[KEEPLCT_CD],[MNGSTATUS_CD],[REMARKS_FLG],[REMARKS],[DATE1_FLG],[DATE1],[DATE2_FLG],[DATE2],[DOCTOR_FLG],[DOCTOR_CD],[MNGITEMCMB1_FLG],[MNGITEMCMB1],[MNGITEMCMB2_FLG],[MNGITEMCMB2],[MNGITEMTEXT1_FLG],[MNGITEMTEXT1],[MNGITEMTEXT2_FLG],[MNGITEMTEXT2],[MNGITEMCHK1_FLG],[MNGITEMCHK1],[MNGITEMCHK2_FLG],[MNGITEMCHK2],[MNGITEMCHK3_FLG],[MNGITEMCHK3],[MNGITEMCHK4_FLG],[MNGITEMCHK4],[LASTUPDUSER_CD],[LASTUPD_DT]" _
    & " FROM [dbo].[LTM_MNGITEM_DEFINITION_TEMP]" _
    & " ORDER BY [MNGITEM_CD]"

    '退避したデータを削除
    Public Shared ReadOnly sql014 As String = _
    "IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[LTM_MNGITEM_DEFINITION_TEMP]') AND type in (N'U'))" _
    & " DROP TABLE [dbo].[LTM_MNGITEM_DEFINITION_TEMP]"

	'３．動作環境設定マスタ（XTM_ENV）にデータを追加　貸出管理レベルアップ４次開発　区分１区分２タイトル表示デフォルト対応
	Public Shared ReadOnly sql881 As String = _
	"IF NOT EXISTS (SELECT * FROM [dbo].[XTM_ENV] WHERE [OPERATING_SET_CD] = '00118')" & _
	" INSERT INTO [dbo].[XTM_ENV] ([OPERATING_SET_CD],[GRP_CD],[PRD_CD],[GRP2_NM],[SET_NM],[EXPLANATION],[SET_VAL],[INPUT_DIV],[PREOPERATING_SET_CD],[DSPORDER],[DSP_CD],[LASTUPDUSER_CD]) VALUES ('00118',3,3,'全般','区分１タイトル（共通）','最大5文字まで入力可能','区分１',1,'',118,'L3118','" & clsConst.CST_ADMIN_USER & "')"

	Public Shared ReadOnly sql882 As String = _
	"IF NOT EXISTS (SELECT * FROM [dbo].[XTM_ENV] WHERE [OPERATING_SET_CD] = '00119')" & _
	" INSERT INTO [dbo].[XTM_ENV] ([OPERATING_SET_CD],[GRP_CD],[PRD_CD],[GRP2_NM],[SET_NM],[EXPLANATION],[SET_VAL],[INPUT_DIV],[PREOPERATING_SET_CD],[DSPORDER],[DSP_CD],[LASTUPDUSER_CD]) VALUES ('00119',3,3,'全般','区分２タイトル（共通）','最大5文字まで入力可能','区分２',1,'',119,'L3119','" & clsConst.CST_ADMIN_USER & "')"

End Class
