﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' バージョン４．２１．０．ＸバージョンUP（新規作成：V4-15019）
''' </summary>
''' <remarks>
''' Copyright 2014 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class sqlVer4_21_0_0

	'バージョン情報更新　（！！！すべてのバージョンにこのSQLが必要！！！）
	'MIN_VERのみ変更をしていってください。sqlVer4_XX_0_0のXXをMIN_VERに設定するように！
	Public Shared ReadOnly sqlInsVersion As String = _
	"IF EXISTS (SELECT ID FROM XTM_VERSION ) DELETE FROM XTM_VERSION" & vbCrLf & vbCrLf _
	& "INSERT INTO XTM_VERSION" _
	& "(ID,MEG_VER,MIN_VER,BLD_VER,REV_VER,REMARKS,LASTUPDUSER_CD,LASTUPD_DT) VALUES(" _
	& "'1',4,21,0,0,NULL,'" & clsConst.CST_ADMIN_USER & "','" & Now.ToString & "')"

	' １．DPC2014項目マスタ（MTM_DPC2014_ITM）を作成
	'     DPC2014項目マスタの削除
	Public Shared ReadOnly sql001 As String = _
	"IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MTM_DPC2014_ITM]') AND type in (N'U'))" & _
	" DROP TABLE [dbo].[MTM_DPC2014_ITM]"

	'     DPC2014項目マスタ（MTM_DPC2014_ITM）を新規作成
	Public Shared ReadOnly sql002 As String = _
	"CREATE TABLE [dbo].[MTM_DPC2014_ITM](" & _
	" [L_ITM_CD] [int] NOT NULL," & _
	" [S_ITM_CD] [int] NOT NULL," & _
	" [CONTENT] [nvarchar](50) NULL," & _
	" [ASST_FLG] [nvarchar](5) NULL," & _
	" [LASTUPDUSER_CD] [nvarchar](8) NOT NULL," & _
	" [LASTUPD_DT] [datetime] NOT NULL," & _
	" CONSTRAINT [PK_MTM_DPC2014_ITM_IDX] PRIMARY KEY CLUSTERED " & _
	"(" & _
	" [L_ITM_CD] ASC," & _
	" [S_ITM_CD] ASC" & _
	")WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]" & _
	") ON [PRIMARY]"

	'     DPC2014項目マスタ（MTM_DPC2014_ITM）に初期値を定義（最終更新者コードのデフォルトをZZZZにする）
	Public Shared ReadOnly sql003 As String = _
	"ALTER TABLE [dbo].[MTM_DPC2014_ITM] ADD  DEFAULT ('" & clsConst.CST_ADMIN_USER & "') FOR [LASTUPDUSER_CD]"

	'     DPC2014項目マスタ（MTM_DPC2014_ITM）に初期値を定義（最終更新日のデフォルトをサーバのシステム日付にする）
	Public Shared ReadOnly sql004 As String = _
	"ALTER TABLE [dbo].[MTM_DPC2014_ITM] ADD  DEFAULT (getdate()) FOR [LASTUPD_DT]"

	' ２．DPC2014補足対応マスタ（MTM_DPC2014_ASST）を作成
	'     DPC2014補足対応マスタの削除
	Public Shared ReadOnly sql005 As String = _
	"IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MTM_DPC2014_ASST]') AND type in (N'U'))" & _
	" DROP TABLE [dbo].[MTM_DPC2014_ASST]"

	'     DPC2014補足対応マスタ（MTM_DPC2014_ASST）を新規作成
	Public Shared ReadOnly sql006 As String = _
	"CREATE TABLE [dbo].[MTM_DPC2014_ASST](" & _
	" [L_ITM_CD] [int] NOT NULL," & _
	" [S_ITM_CD] [int] NOT NULL," & _
	" [TABLE_FIELD_NM] [nvarchar](20) NULL," & _
	" [UPDATED_OBJECT] [nvarchar](1) NULL," & _
	" [INPUT_FLG] [nvarchar](1) NULL," & _
	" [LASTUPDUSER_CD] [nvarchar](8) NOT NULL," & _
	" [LASTUPD_DT] [datetime] NOT NULL," & _
	" CONSTRAINT [PK_MTM_DPC2014_ASST_IDX] PRIMARY KEY CLUSTERED " & _
	"(" & _
	" [L_ITM_CD] ASC," & _
	" [S_ITM_CD] ASC" & _
	")WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]" & _
	") ON [PRIMARY]"

	'     DPC2014補足対応マスタ（MTM_DPC2014_ASST）に初期値を定義（最終更新者コードのデフォルトをZZZZにする）
	Public Shared ReadOnly sql007 As String = _
	"ALTER TABLE [dbo].[MTM_DPC2014_ASST] ADD  DEFAULT ('" & clsConst.CST_ADMIN_USER & "') FOR [LASTUPDUSER_CD]"

	'     DPC2014補足対応マスタ（MTM_DPC2014_ASST）に初期値を定義（最終更新日のデフォルトをサーバのシステム日付にする）
	Public Shared ReadOnly sql008 As String = _
	"ALTER TABLE [dbo].[MTM_DPC2014_ASST] ADD  DEFAULT (getdate()) FOR [LASTUPD_DT]"

	' ３．XTM_ENV [00120]　2014年度版の適用開始日（退院日）
	Public Shared ReadOnly sql009 As String = _
	"IF NOT EXISTS (SELECT * FROM [dbo].[XTM_ENV] WHERE [OPERATING_SET_CD] = '00120') INSERT INTO [dbo].[XTM_ENV] ([OPERATING_SET_CD],[GRP_CD],[PRD_CD],[GRP2_NM],[SET_NM],[EXPLANATION],[SET_VAL],[INPUT_DIV],[PREOPERATING_SET_CD],[DSPORDER],[DSP_CD],[LASTUPDUSER_CD]) VALUES ('00120',1,1,'DPC情報','2014年度版の適用開始日（退院日）','0:しない 1:する', '2014/04/01', 5, '',40,'M1039','" & clsConst.CST_ADMIN_USER & "')"

	' ４．DPC2014補足対応マスタ及び項目マスタの初期値を設定
	Public Shared ReadOnly sql010 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,1,'現在の妊娠の有無','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql011 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,2,'出生時体重','01100','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql012 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,3,'出生時妊娠週数','01100','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql013 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,4,'身長','01200','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql014 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,5,'体重','01200','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql015 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,6,'喫煙指数(1日の喫煙本数×喫煙年数)','01100','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql016 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,7,'入院時意識障害がある場合のJCS','01000','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql017 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,8,'退院時意識障害がある場合のJCS','01000','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql018 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,9,'入院時のADLスコア　','01000','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql019 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,10,'退院時のADLスコア　','01000','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql020 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,11,'がんの初発、再発','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql021 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,12,'UICC病期分類(T)','01000','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql022 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,13,'UICC病期分類(N)','01000','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql023 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,14,'UICC病期分類(M)','01000','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql024 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,15,'癌取り扱い規約に基づくがんのStage分類','01000','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql025 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,16,'発症前 Rankin Scale','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql026 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,17,'退院時 modified Rankin Scale','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql027 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,18,'脳卒中の発症時期','01000','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql028 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,19,'Hugh-Jones分類','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql029 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,20,'心不全のNYHA心機能分類','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql030 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,21,'狭心症、慢性虚血性心疾患における入院時の重症度:CCS分類','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql031 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,22,'急性心筋梗塞における入院時の重症度:Killip分類','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql032 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,23,'肺炎の重症度分類','01000','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql033 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,24,'肝硬変のChild-Pugh分類','01100','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql034 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,25,'急性膵炎の重症度分類','01100','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql035 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,26,'Burn Index','01100','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql036 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,27,'その他の重症度分類･名称','01000','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql037 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,28,'その他の重症度分類･分類番号または記号','01000','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql038 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,29,'入院時の妊娠週数','01100','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql039 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,30,'精神保健福祉法における入院形態','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql040 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,31,'精神保健福祉法に基づく隔離日数','01100','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql041 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,32,'精神保健福祉法に基づく身体拘束日数','01100','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql042 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,33,'入院時GAF尺度','01100','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql043 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,34,'病名付加コード','01000','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql044 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,35,'化学療法の有無','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql045 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,36,'テモゾロミド(初発の初回治療に限る)の有無','11001','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql046 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,37,'入院周辺の分娩の有無','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql047 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,38,'分娩時出血量','01100','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql048 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,39,'UICC病期分類(版)','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql049 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,46,'入院前の在宅医療の有無','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql050 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,47,'退院後の在宅医療の有無','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql051 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,48,'入院時の褥瘡の有無','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql052 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,49,'退院時の褥瘡の有無','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql053 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,50,'認知症高齢者の日常生活自立度判定基準','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql054 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,51,'持参薬の使用の有無','01101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql055 As String = "INSERT INTO [dbo].[MTM_DPC2014_ITM] ([L_ITM_CD],[S_ITM_CD],[CONTENT],[ASST_FLG],[LASTUPDUSER_CD]) VALUES (6,52,'抗リウマチ分子標的薬の初回導入治療の有無','11101','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql056 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,1,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql057 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,2,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql058 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,3,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql059 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,4,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql060 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,5,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql061 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,6,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql062 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,7,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql063 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,8,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql064 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,9,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql065 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,10,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql066 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,11,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql067 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,12,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql068 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,13,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql069 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,14,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql070 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,15,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql071 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,16,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql072 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,17,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql073 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,18,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql074 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,19,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql075 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,20,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql076 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,21,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql077 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,22,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql078 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,23,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql079 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,24,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql080 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,25,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql081 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,26,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql082 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,27,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql083 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,28,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql084 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,29,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql085 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,30,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql086 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,31,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql087 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,32,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql088 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,33,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql089 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,34,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql090 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,35,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql091 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,36,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql092 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,37,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql093 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,38,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql094 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,39,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql095 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,40,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql096 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,41,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql097 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,42,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql098 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,43,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql099 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,44,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql100 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,45,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql101 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,46,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql102 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,47,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql103 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,48,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql104 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,49,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql105 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,50,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql106 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,51,'','','1','" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql107 As String = "INSERT INTO [dbo].[MTM_DPC2014_ASST] ([L_ITM_CD],[S_ITM_CD],[TABLE_FIELD_NM],[UPDATED_OBJECT],[INPUT_FLG],[LASTUPDUSER_CD]) VALUES (6,52,'','','1','" & clsConst.CST_ADMIN_USER & "')"

End Class
