﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' バージョン４．２２．０．ＸバージョンUP（新規作成：V4-15030）
''' </summary>
''' <remarks>
''' Copyright 2014 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class sqlVer4_22_0_0

	'バージョン情報更新　（！！！すべてのバージョンにこのSQLが必要！！！）
	'MIN_VERのみ変更をしていってください。sqlVer4_XX_0_0のXXをMIN_VERに設定するように！
	Public Shared ReadOnly sqlInsVersion As String = _
	"IF EXISTS (SELECT ID FROM XTM_VERSION ) DELETE FROM XTM_VERSION" & vbCrLf & vbCrLf _
	& "INSERT INTO XTM_VERSION" _
	& "(ID,MEG_VER,MIN_VER,BLD_VER,REV_VER,REMARKS,LASTUPDUSER_CD,LASTUPD_DT) VALUES(" _
	& "'1',4,22,0,0,NULL,'" & clsConst.CST_ADMIN_USER & "','" & Now.ToString & "')"

	' V4-15030 課題No.396対応　TM_検索ＣＳＶ出力項目マスタ（MTM_SEARCH_CSV_FIELD）のデータを変更
	'・紹介元備考、紹介先備考の表示(NONDSP_FLG)についての内容を修正
	Public Shared ReadOnly sql001 As String = _
	"UPDATE [dbo].[MTM_SEARCH_CSV_FIELD] SET [NONDSP_FLG] = '0' WHERE [TABLE_CD] = 3 AND [FIELD_CD] = 54"
	Public Shared ReadOnly sql002 As String = _
	"UPDATE [dbo].[MTM_SEARCH_CSV_FIELD] SET [NONDSP_FLG] = '0' WHERE [TABLE_CD] = 3 AND [FIELD_CD] = 58"

	'入退院テーブルを修正
	'テーブルの内容を退避
	Public Shared ReadOnly sql003 As String = _
	"SELECT * INTO [dbo].[MTI_HSP_TEMP] FROM [dbo].[MTI_HSP]"

	'入退院テーブルを削除(先に依存しているビュー情報を削除)
	Public Shared ReadOnly sql004 As String = _
	"IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[TI_入退院情報]'))" _
	& "DROP VIEW [dbo].[TI_入退院情報]"

	Public Shared ReadOnly sql005 As String = _
	"IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MTI_HSP]') AND type in (N'U'))" _
	& " DROP TABLE [dbo].[MTI_HSP]"

	'入退院テーブルを新規作成
	Public Shared ReadOnly sql006 As String = _
	"CREATE TABLE [dbo].[MTI_HSP](" _
	& "	[PATIENT_NO] [nvarchar](10) NOT NULL," _
	& "	[HSP_HISTORY_NO] [int] NOT NULL," _
	& "	[BYOREKI_NO] [nvarchar](10) NULL," _
	& "	[DEPT_CD] [nvarchar](2) NULL," _
	& "	[WARD_CD] [nvarchar](3) NULL," _
	& "	[DOCTOR_CD] [nvarchar](8) NULL," _
	& "	[HSP_CNL_CD] [nvarchar](2) NULL," _
	& "	[READMISSION_FLG] [int] NULL," _
	& "	[HSP_AIM_CD] [nvarchar](2) NULL," _
	& "	[HSP_FORM_CD] [nvarchar](2) NULL," _
	& "	[HSP_DT] [datetime] NULL," _
	& "	[HSP_TIME] [nvarchar](5) NULL," _
	& "	[HSP_AGE] [int] NULL," _
	& "	[HSP_MONTH_AGE] [int] NULL," _
	& "	[HSP_DAY_AGE] [int] NULL," _
	& "	[OUT_HSP_DT] [datetime] NULL," _
	& "	[OUT_HSP_TIME] [nvarchar](5) NULL," _
	& "	[OUT_HSP_AGE] [int] NULL," _
	& "	[OUT_HSP_MONTH_AGE] [int] NULL," _
	& "	[OUT_HSP_DAY_AGE] [int] NULL," _
	& "	[OUT_HSP_CNL_CD] [nvarchar](2) NULL," _
	& "	[OUT_HSP_OUTCOME_CD] [nvarchar](2) NULL," _
	& "	[HSP_DAYS] [int] NULL," _
	& "	[CHANGE_DEPT_CHK] [nvarchar](1) NULL," _
	& "	[HOLD_DEPT_CHK] [nvarchar](1) NULL," _
	& "	[TAKE_AMBULANCE_CHK] [nvarchar](1) NULL," _
	& "	[PLAN_EMERGENCY_CD] [nvarchar](2) NULL," _
	& "	[CLINICAL_TRIAL_CHK] [nvarchar](1) NULL," _
	& "	[LAST_SELF_OTHER_HSP_DIV] [nvarchar](2) NULL," _
	& "	[LAST_OUT_HSP_DT] [datetime] NULL," _
	& "	[DPC_NO] [nvarchar](20) NULL," _
	& "	[TOTAL_MED_COST] [int] NULL," _
	& "	[MED_COST_COUNT] [int] NULL," _
	& "	[EXCLUDE_STATISTICS_FLG] [int] NULL," _
	& "	[SAME_DISEASE_LAST_HSP_DT] [datetime] NULL," _
	& "	[REMARKS] [nvarchar](20) NULL," _
	& "	[HSP_INFECTION_CHK] [nvarchar](1) NULL," _
	& "	[HSP_FREEITEM1] [nvarchar](5) NULL," _
	& "	[HSP_FREEITEM2] [nvarchar](5) NULL," _
	& "	[HSP_FREEITEM3] [nvarchar](5) NULL," _
	& "	[HSP_FREEITEM4] [nvarchar](5) NULL," _
	& "	[HSP_FREEITEM5] [nvarchar](5) NULL," _
	& "	[HSP_FREEITEM6] [nvarchar](5) NULL," _
	& "	[DISEASE_READMISSION_FLG] [int] NULL," _
	& "	[STATURE] [float] NULL," _
	& "	[WEIGHT] [float] NULL," _
	& "	[TIME_OUT_FLG] [int] NULL," _
	& "	[DATA_CAPTURE_DT] [datetime] NULL," _
	& "	[NEW_REG_DT] [datetime] NULL," _
	& "	[INTRODUCED_CD] [nvarchar](9) NULL," _
	& "	[INTRODUCED_NM] [nvarchar](40) NULL," _
	& "	[INTRODUCED_DOCTOR_NM] [nvarchar](20) NULL," _
	& "	[INTRODUCED_REMARKS] [nvarchar](20) NULL," _
	& "	[REFERENCE_CD] [nvarchar](9) NULL," _
	& "	[REFERENCE_NM] [nvarchar](40) NULL," _
	& "	[REFERENCE_DOCTOR_NM] [nvarchar](20) NULL," _
	& "	[REFERENCE_REMARKS] [nvarchar](20) NULL," _
	& "	[LASTUPDUSER_CD] [nvarchar](8) NOT NULL," _
	& "	[LASTUPD_DT] [datetime] NOT NULL," _
	& " CONSTRAINT [PK_MTI_HSP_IDX] PRIMARY KEY CLUSTERED " _
	& "(" _
	& "	[PATIENT_NO] ASC," _
	& "	[HSP_HISTORY_NO] ASC" _
	& ")WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]" _
	& ") ON [PRIMARY]"

	'入退院テーブルに初期値を定義（最終更新者コードのデフォルトをZZZZにする）
	Public Shared ReadOnly sql007 As String = _
	"ALTER TABLE [dbo].[MTI_HSP] ADD DEFAULT ('" & clsConst.CST_ADMIN_USER & "') FOR [LASTUPDUSER_CD]"

	'入退院テーブルに初期値を定義（最終更新日のデフォルトをサーバのシステム日付にする）
	Public Shared ReadOnly sql008 As String = _
	"ALTER TABLE [dbo].[MTI_HSP] ADD  DEFAULT (getdate()) FOR [LASTUPD_DT]"

	'最初に削除したビュー情報を復帰
	Public Shared ReadOnly sql009 As String = _
	"CREATE VIEW [dbo].[TI_入退院情報] WITH SCHEMABINDING AS SELECT PATIENT_NO AS 患者番号, HSP_HISTORY_NO AS 入退院歴番号, BYOREKI_NO AS 病歴番号, DEPT_CD AS 診療科コード, WARD_CD AS 病棟コード, DOCTOR_CD AS 医師コード, HSP_CNL_CD AS 入院経路コード, READMISSION_FLG AS 再入院フラグ, HSP_AIM_CD AS 入院目的コード, HSP_FORM_CD AS 入院形態コード, HSP_DT AS 入院日, CASE WHEN RTrim(ISNULL(HSP_TIME, '')) <> '' THEN CONVERT(VARCHAR, HSP_TIME, 108) ELSE NULL END AS 入院時刻, HSP_AGE AS 入院時年齢, HSP_MONTH_AGE AS 入院時月齢, HSP_DAY_AGE AS 入院時日齢, OUT_HSP_DT AS 退院日, CASE WHEN RTrim(ISNULL(OUT_HSP_TIME, '')) <> '' THEN CONVERT(VARCHAR, OUT_HSP_TIME, 108) ELSE NULL END AS 退院時刻, OUT_HSP_AGE AS 退院時年齢, OUT_HSP_MONTH_AGE AS 退院時月齢, OUT_HSP_DAY_AGE AS 退院時日齢, OUT_HSP_CNL_CD AS 退院経路コード, OUT_HSP_OUTCOME_CD AS 退院転帰コード, HSP_DAYS AS 在院日数, CHANGE_DEPT_CHK AS 転科有無コード, HOLD_DEPT_CHK AS 兼科有無コード, TAKE_AMBULANCE_CHK AS 救急車搬送有無コード, PLAN_EMERGENCY_CD AS 予定緊急コード, CLINICAL_TRIAL_CHK AS 治験実施有無コード, LAST_SELF_OTHER_HSP_DIV AS 前回自他院区分, LAST_OUT_HSP_DT AS 前回退院日, DPC_NO AS ＤＰＣ番号, TOTAL_MED_COST AS 医療費合計, MED_COST_COUNT AS 医療費数, EXCLUDE_STATISTICS_FLG AS 統計対象外フラグ, SAME_DISEASE_LAST_HSP_DT AS 同一疾病前回退院日, REMARKS AS 備考, HSP_INFECTION_CHK AS 院内感染症有無コード, HSP_FREEITEM1 AS 一般病棟以外からの移動有無コード, HSP_FREEITEM2 AS 一般病棟以外への移動有無コード, HSP_FREEITEM3 AS 入退院有無コード3, HSP_FREEITEM4 AS 入退院有無コード4, HSP_FREEITEM5 AS 入退院有無コード5, HSP_FREEITEM6 AS 入退院有無コード6, DISEASE_READMISSION_FLG AS 疾病再入院フラグ, STATURE AS 身長, WEIGHT AS 体重, TIME_OUT_FLG AS 時間外フラグ, DATA_CAPTURE_DT AS データ取込日, NEW_REG_DT AS 新規登録日, LASTUPDUSER_CD AS 更新者コード, LASTUPD_DT AS 最終更新日 FROM dbo.MTI_HSP"


	'新しい 入退院テーブルに退避したデータを代入
	Public Shared ReadOnly sql010 As String = _
	"INSERT INTO [dbo].[MTI_HSP] (" _
	& "[PATIENT_NO],[HSP_HISTORY_NO],[BYOREKI_NO],[DEPT_CD],[WARD_CD],[DOCTOR_CD],[HSP_CNL_CD],[READMISSION_FLG],[HSP_AIM_CD],[HSP_FORM_CD],[HSP_DT],[HSP_TIME],[HSP_AGE],[HSP_MONTH_AGE],[HSP_DAY_AGE],[OUT_HSP_DT],[OUT_HSP_TIME],[OUT_HSP_AGE],[OUT_HSP_MONTH_AGE],[OUT_HSP_DAY_AGE],[OUT_HSP_CNL_CD],[OUT_HSP_OUTCOME_CD],[HSP_DAYS],[CHANGE_DEPT_CHK],[HOLD_DEPT_CHK],[TAKE_AMBULANCE_CHK],[PLAN_EMERGENCY_CD],[CLINICAL_TRIAL_CHK],[LAST_SELF_OTHER_HSP_DIV],[LAST_OUT_HSP_DT],[DPC_NO],[TOTAL_MED_COST],[MED_COST_COUNT],[EXCLUDE_STATISTICS_FLG],[SAME_DISEASE_LAST_HSP_DT],[REMARKS],[HSP_INFECTION_CHK],[HSP_FREEITEM1],[HSP_FREEITEM2],[HSP_FREEITEM3],[HSP_FREEITEM4],[HSP_FREEITEM5],[HSP_FREEITEM6],[DISEASE_READMISSION_FLG],[STATURE],[WEIGHT],[TIME_OUT_FLG],[DATA_CAPTURE_DT],[NEW_REG_DT],[LASTUPDUSER_CD],[LASTUPD_DT]" _
	& ") " _
	& "SELECT " _
	& "[PATIENT_NO],[HSP_HISTORY_NO],[BYOREKI_NO],[DEPT_CD],[WARD_CD],[DOCTOR_CD],[HSP_CNL_CD],[READMISSION_FLG],[HSP_AIM_CD],[HSP_FORM_CD],[HSP_DT],[HSP_TIME],[HSP_AGE],[HSP_MONTH_AGE],[HSP_DAY_AGE],[OUT_HSP_DT],[OUT_HSP_TIME],[OUT_HSP_AGE],[OUT_HSP_MONTH_AGE],[OUT_HSP_DAY_AGE],[OUT_HSP_CNL_CD],[OUT_HSP_OUTCOME_CD],[HSP_DAYS],[CHANGE_DEPT_CHK],[HOLD_DEPT_CHK],[TAKE_AMBULANCE_CHK],[PLAN_EMERGENCY_CD],[CLINICAL_TRIAL_CHK],[LAST_SELF_OTHER_HSP_DIV],[LAST_OUT_HSP_DT],[DPC_NO],[TOTAL_MED_COST],[MED_COST_COUNT],[EXCLUDE_STATISTICS_FLG],[SAME_DISEASE_LAST_HSP_DT],[REMARKS],[HSP_INFECTION_CHK],[HSP_FREEITEM1],[HSP_FREEITEM2],[HSP_FREEITEM3],[HSP_FREEITEM4],[HSP_FREEITEM5],[HSP_FREEITEM6],[DISEASE_READMISSION_FLG],[STATURE],[WEIGHT],[TIME_OUT_FLG],[DATA_CAPTURE_DT],[NEW_REG_DT],[LASTUPDUSER_CD],[LASTUPD_DT]" _
	& " FROM [dbo].[MTI_HSP_TEMP]" _
	& " ORDER BY [PATIENT_NO]"

	'退避したデータを削除
	Public Shared ReadOnly sql011 As String = _
	"IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MTI_HSP_TEMP]') AND type in (N'U'))" _
	& " DROP TABLE [dbo].[MTI_HSP_TEMP]"

	' 項目マスタの初期値を設定
	Public Shared ReadOnly sql012 As String = "INSERT INTO [dbo].[MTM_SEARCH_CSV_FIELD]([TABLE_CD],[FIELD_CD],[FIELD_NM],[DSP_FIELD_NM],[HSP_SPT],[NONDSP_FLG],[FIELD2_NM],[DSP_FIELD2_NM],[MASTER_NM],[MASTERFIELD_NM],[MASTERFIELD_RNM],[KEY_COUNT],[COMBINATION],[CONVERTING],[UPD_SQL],[LASTUPDUSER_CD])VALUES(2,100,'INTRODUCED_CD','紹介元コード',0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql013 As String = "INSERT INTO [dbo].[MTM_SEARCH_CSV_FIELD]([TABLE_CD],[FIELD_CD],[FIELD_NM],[DSP_FIELD_NM],[HSP_SPT],[NONDSP_FLG],[FIELD2_NM],[DSP_FIELD2_NM],[MASTER_NM],[MASTERFIELD_NM],[MASTERFIELD_RNM],[KEY_COUNT],[COMBINATION],[CONVERTING],[UPD_SQL],[LASTUPDUSER_CD])VALUES(2,101,'INTRODUCED_NM','紹介元名',0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql014 As String = "INSERT INTO [dbo].[MTM_SEARCH_CSV_FIELD]([TABLE_CD],[FIELD_CD],[FIELD_NM],[DSP_FIELD_NM],[HSP_SPT],[NONDSP_FLG],[FIELD2_NM],[DSP_FIELD2_NM],[MASTER_NM],[MASTERFIELD_NM],[MASTERFIELD_RNM],[KEY_COUNT],[COMBINATION],[CONVERTING],[UPD_SQL],[LASTUPDUSER_CD])VALUES(2,102,'INTRODUCED_DOCTOR_NM','紹介元医師名',0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql015 As String = "INSERT INTO [dbo].[MTM_SEARCH_CSV_FIELD]([TABLE_CD],[FIELD_CD],[FIELD_NM],[DSP_FIELD_NM],[HSP_SPT],[NONDSP_FLG],[FIELD2_NM],[DSP_FIELD2_NM],[MASTER_NM],[MASTERFIELD_NM],[MASTERFIELD_RNM],[KEY_COUNT],[COMBINATION],[CONVERTING],[UPD_SQL],[LASTUPDUSER_CD])VALUES(2,103,'INTRODUCED_REMARKS','紹介元備考',0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql016 As String = "INSERT INTO [dbo].[MTM_SEARCH_CSV_FIELD]([TABLE_CD],[FIELD_CD],[FIELD_NM],[DSP_FIELD_NM],[HSP_SPT],[NONDSP_FLG],[FIELD2_NM],[DSP_FIELD2_NM],[MASTER_NM],[MASTERFIELD_NM],[MASTERFIELD_RNM],[KEY_COUNT],[COMBINATION],[CONVERTING],[UPD_SQL],[LASTUPDUSER_CD])VALUES(2,104,'REFERENCE_CD','紹介先コード',0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql017 As String = "INSERT INTO [dbo].[MTM_SEARCH_CSV_FIELD]([TABLE_CD],[FIELD_CD],[FIELD_NM],[DSP_FIELD_NM],[HSP_SPT],[NONDSP_FLG],[FIELD2_NM],[DSP_FIELD2_NM],[MASTER_NM],[MASTERFIELD_NM],[MASTERFIELD_RNM],[KEY_COUNT],[COMBINATION],[CONVERTING],[UPD_SQL],[LASTUPDUSER_CD])VALUES(2,105,'REFERENCE_NM','紹介先名',0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql018 As String = "INSERT INTO [dbo].[MTM_SEARCH_CSV_FIELD]([TABLE_CD],[FIELD_CD],[FIELD_NM],[DSP_FIELD_NM],[HSP_SPT],[NONDSP_FLG],[FIELD2_NM],[DSP_FIELD2_NM],[MASTER_NM],[MASTERFIELD_NM],[MASTERFIELD_RNM],[KEY_COUNT],[COMBINATION],[CONVERTING],[UPD_SQL],[LASTUPDUSER_CD])VALUES(2,106,'REFERENCE_DOCTOR_NM','紹介先医師名',0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql019 As String = "INSERT INTO [dbo].[MTM_SEARCH_CSV_FIELD]([TABLE_CD],[FIELD_CD],[FIELD_NM],[DSP_FIELD_NM],[HSP_SPT],[NONDSP_FLG],[FIELD2_NM],[DSP_FIELD2_NM],[MASTER_NM],[MASTERFIELD_NM],[MASTERFIELD_RNM],[KEY_COUNT],[COMBINATION],[CONVERTING],[UPD_SQL],[LASTUPDUSER_CD])VALUES(2,107,'REFERENCE_REMARKS','紹介先備考',0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'" & clsConst.CST_ADMIN_USER & "')"

	Public Shared ReadOnly sql020 As String = "INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('MSR040F010','dgv001MSR040F010','c49001MSR040F010','紹介元コード',0,45,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql021 As String = "INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('MSR040F010','dgv001MSR040F010','c50001MSR040F010','紹介元名',0,46,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql022 As String = "INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('MSR040F010','dgv001MSR040F010','c51001MSR040F010','紹介元医師名',0,47,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql023 As String = "INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('MSR040F010','dgv001MSR040F010','c52001MSR040F010','紹介元備考',0,48,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql024 As String = "INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('MSR040F010','dgv001MSR040F010','c53001MSR040F010','紹介先コード',0,49,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql025 As String = "INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('MSR040F010','dgv001MSR040F010','c54001MSR040F010','紹介先名',0,50,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql026 As String = "INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('MSR040F010','dgv001MSR040F010','c55001MSR040F010','紹介先医師名',0,51,'" & clsConst.CST_ADMIN_USER & "')"
	Public Shared ReadOnly sql027 As String = "INSERT INTO [dbo].[XTM_ITEMLIST]([SCREEN_CD],[GRID_CD],[KEY_NO],[DSP_NM],[CHKSTATE],[DSPORDER],[LASTUPDUSER_CD])VALUES('MSR040F010','dgv001MSR040F010','c56001MSR040F010','紹介先備考',0,52,'" & clsConst.CST_ADMIN_USER & "')"

End Class
