﻿'===========================================================
'メソッド小箱
'===========================================================
Imports System
Imports System.Security.Cryptography
Imports System.Text

Public Class clsCrypto

    ''' -----------------------------------------------
    ''' <summary>
    ''' 入力文字列を16進32byteHash文字列に変換して返す
    ''' </summary>
    ''' <param name="input">入力文字列</param>
    ''' <returns></returns>
    ''' <remarks></remarks>
    ''' -----------------------------------------------
    Public Function getMd5Hash(ByVal input As String) As String
        Dim md5Hasher As New MD5CryptoServiceProvider()     'MD5プロバイダインスタンス
        Dim data As Byte() = md5Hasher.ComputeHash(Encoding.Default.GetBytes(input))    '入力文字列変換
        Dim sBuilder As New StringBuilder()

        Dim i As Integer
        For i = 0 To 15                                     'byte→16新char(16バイトしか返さない)
            sBuilder.Append(data(i).ToString("x2"))
        Next i
        Return sBuilder.ToString()
    End Function

    ''' -----------------------------------------------
    ''' <summary>
    ''' 入力文字列を16進32byteHash文字列に変換して返す
    ''' </summary>
    ''' <param name="input">入力文字列</param>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2009/12/01 新規作成　FJSK)柳原<BR/>
    ''' </remarks>
    ''' -----------------------------------------------
    Public Function getSha1Hash(ByVal input As String) As String
        Dim sRet As String = Nothing
        Try
            Dim shaM As New SHA512Managed()
            Dim result() As Byte
            Dim inputbyte() As Byte = Encoding.UTF8.GetBytes(input)
            Dim sBuilder As New StringBuilder()

            result = shaM.ComputeHash(inputbyte)
            Dim i As Integer
            For i = 0 To result.GetUpperBound(0)
                sBuilder.Append(result(i).ToString("x2"))
            Next i
            sRet = sBuilder.ToString()
        Catch ex As Exception
            Throw
        End Try
        Return sRet
    End Function

End Class
