﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' バリアンス理由マスタアクセスクラス
''' </summary>
''' <remarks>
''' Copyright 2009 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class clsMTM_VARIANCE_REASON
	Implements IDisposable

#Region "コンスタント"

	Private Const WILDCARDCHAR As String = "%"	'ワイルドカード文字
#End Region

#Region "解放処理"

	'解放処理時使用＊＊
	Protected disposed As Boolean = False

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/10/12 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposed Then
		End If
		Me.disposed = True
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/10/12 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/10/12 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/10/12 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New()
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' バリアンス理由を取得
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getReason_List() As DataTable
        Dim dtData As DataTable
        Try
            dtData = New DataTable
            Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
                'SELECT文設定
                db.setSQLDa(XSP.sqlMTM_VARIANCE_REASON.sqlReasonList)

                '値取得
                db.execQueryDa(dtData)
            End Using
        Catch ex As Exception
            Throw
        End Try
		Return dtData
	End Function

End Class
