﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' 使用者マスタアクセスクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class clsXTI_UPDMNG

	'''---------------------------------------------
	''' <summary>
	''' 管理コード
	''' </summary>
	''' <remarks>
	''' 2011/02/09 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Enum Enum_UpdMngCd
		'''---------------------------------------------
		''' <summary>
		''' 伝票番号
		''' </summary>
		'''---------------------------------------------
		SLIP_CD = 0
	End Enum

	'''---------------------------------------------
	''' <summary>
	''' 更新中かチェックする
	''' </summary>
	''' <param name="eVal">管理コード</param>
	''' <returns>True：OK　False：NG（だれかが掴んでいる）</returns>
	''' <remarks>
	''' 2011/02/09 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Function chkUpdMng(ByVal db As clsDB, ByVal eVal As Enum_UpdMngCd) As Boolean
		Dim arData As ArrayList
		Try
			arData = New ArrayList
			With db
				.setSQL(sqlXTI_UPDMNG.sqlSqlLock)
				.setParam(sqlXTI_UPDMNG.prmMNG_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlXTI_UPDMNG.prmMNG_CD, Format(CInt(eVal), "00"))
				.execQuery(GetType(datXTI_UPDMNG), arData, False)
			End With
			Return True
		Catch ex As Exception
			If TypeOf ex Is SqlClient.SqlException Then
				If DirectCast(ex, SqlClient.SqlException).Number = clsSysMst.sqlErrCode.RowLock Then
					Return False
				End If
			End If
			Throw
		Finally
			arData = Nothing
		End Try
	End Function

End Class
