﻿
''' ---------------------------------------------
''' <summary>
''' 区分グループ検索ＳＱＬクラス（新規作成：V4-14047）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class sqlXSP250F010
	' 列名
	Public Const itmMNGITEM_CD As String = "MNGITEM_CD"						'管理物コード
	Public Const itmDIV_GRP_CD As String = "DIV_GRP_CD"						'区分グループコード
	Public Const itmDIV_GRP_NM As String = "DIV_GRP_NM"						'区分グループ
	Public Const itmDIV_GRP_RNM As String = "DIV_GRP_RNM"					'区分グループ略称名
	Public Const itmDSPORDER As String = "DSPORDER"							'表示順

	' パラメータ
	Public Const prmMNGITEM_CD As String = "@MNGITEM_CD"					'管理物コード

	''' <summary>
	''' 区分１グループ全件取得
	''' </summary>
	Public Const sqlSelDiv1GrpListAll As String = _
	"SELECT MNGITEM_CD," _
	& " DIV1_GRP_CD AS DIV_GRP_CD," _
	& " DIV1_GRP_NM AS DIV_GRP_NM," _
	& " DIV1_GRP_RNM AS DIV_GRP_RNM," _
	& " DSPORDER" _
	& " FROM LTM_DIV1_GRP" _
	& " WHERE MNGITEM_CD = " & prmMNGITEM_CD _
	& " ORDER BY DSPORDER, DIV1_GRP_CD"

	''' <summary>
	''' 区分２グループ全件取得
	''' </summary>
	Public Const sqlSelDiv2GrpListAll As String = _
	"SELECT MNGITEM_CD," _
	& " DIV2_GRP_CD AS DIV_GRP_CD," _
	& " DIV2_GRP_NM AS DIV_GRP_NM," _
	& " DIV2_GRP_RNM AS DIV_GRP_RNM," _
	& " DSPORDER" _
	& " FROM LTM_DIV2_GRP" _
	& " WHERE MNGITEM_CD = " & prmMNGITEM_CD _
	& " ORDER BY DSPORDER, DIV2_GRP_CD"

	''' <summary>
	''' 区分１全件取得
	''' </summary>
	Public Const sqlSelDiv1ListAll As String = _
	"SELECT MNGITEM_CD," _
	& " DIV1_CD AS DIV_CD," _
	& " DIV1_NM AS DIV_NM," _
	& " DIV1_RNM AS DIV_RNM," _
	& " DIV1_GRP_CD AS DIV_GRP_CD," _
	& " DSPORDER," _
	& " FIXED_CD1" _
	& " FROM LTM_DIV1" _
	& " WHERE MNGITEM_CD = " & prmMNGITEM_CD _
	& " ORDER BY DSPORDER, DIV1_CD"

	''' <summary>
	''' 区分２全件取得
	''' </summary>
	Public Const sqlSelDiv2ListAll As String = _
	"SELECT MNGITEM_CD," _
	& " DIV2_CD AS DIV_CD," _
	& " DIV2_NM AS DIV_NM," _
	& " DIV2_RNM AS DIV_RNM," _
	& " DIV2_GRP_CD AS DIV_GRP_CD," _
	& " DSPORDER," _
	& " FIXED_CD1" _
	& " FROM LTM_DIV2" _
	& " WHERE MNGITEM_CD = " & prmMNGITEM_CD _
	& " ORDER BY DSPORDER, DIV2_CD"

End Class
